commit 3440a78e6e368a954412ad07d61dcf4e1f467da3
Merge: 7abcfff b731a83
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Wed Nov 21 16:22:04 2012 -0800

    Merge pull request #52 from jasmineaura/develop
    
    [eel-background] missed g_strdup in previous commit 3ba2c5e4

commit b731a8377c5d09ae4b81e43ec5ee605dcbcfa84f
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 22 02:15:01 2012 +0200

    [eel-background] missed g_strdup in previous commit 3ba2c5e4

 eel/eel-background.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7abcfff070982c49c554749d28706f58c7fde948
Merge: 4f762cd 3ba2c5e
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Wed Nov 21 06:49:13 2012 -0800

    Merge pull request #51 from jasmineaura/develop
    
    [eel-background] fix gradient support of color-drops (#49)

commit 3ba2c5e4fada787852a0b7db4722b578fa297aa8
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Nov 21 12:55:15 2012 +0200

    [eel-background] use GtkStyle's bg color when no custom one is set
    
    this fixes #49 "Gradients-support of color-drops broken since 1.2"

 eel/eel-background.c |   22 +++++++++++++++++-----
 1 file changed, 17 insertions(+), 5 deletions(-)

commit 4f762cdecf92c6391b27930456e40a703ea880f8
Merge: 49c5ca8 55f7b8c
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Tue Nov 20 19:23:06 2012 -0800

    Merge pull request #50 from jasmineaura/develop
    
    eel-bg and lc-p rendering-cleanup followups, eel-bg-box rendering-cleanup

commit 55f7b8caf97f3eb0da4dcc1a36e4c0ba0ed200d2
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Nov 21 01:14:18 2012 +0200

    [background-box] use expose-event for GTK2, draw for GTK3

 eel/eel-background-box.c |   34 ++++++++++++++++++++++------------
 1 file changed, 22 insertions(+), 12 deletions(-)

commit c4e2b5d53b82c9f82099d8e6c89a82f88458f223
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Mon Nov 19 14:59:33 2012 +0200

    [lc-p] revise rendering-cleanup commit 2a4433a562
    
    mainly, in icon-dnd, in drag_begin_callback, CajaIconContainer was only declared
    for GTK2. Also, replace some deprecated gdk_drawable_get(size|screen) calls, and
    remove some unnecessary GDK_DRAWABLE casts.
    Also, in icon-canvas-item, in draw_label_text, missed ommitting a NULL parameter
    to gtk_paint_focus, for GTK3.

 libcaja-private/caja-icon-canvas-item.c |   16 +++++++++-------
 libcaja-private/caja-icon-container.c   |    4 +---
 libcaja-private/caja-icon-dnd.c         |   27 +++++++--------------------
 3 files changed, 17 insertions(+), 30 deletions(-)

commit d35f6594100ab023839c3c6ac9350adfd107f105
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Tue Nov 20 07:21:57 2012 +0200

    [sidebar-title] fix minor styling regression from 638df47e
    
    1. Actually return if the widget isn't realized, not the other way around.
    2. install the style properties (in class_init) before trying to use them
    in _select_text_color().
    
    This was basically adapted from code in lc-p/icon-container

 src/caja-sidebar-title.c |   24 ++++++++++++++++++++----
 1 file changed, 20 insertions(+), 4 deletions(-)

commit 71d1fdacecc445e7d8ca277422cf85ddd476bf7d
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Tue Nov 20 06:24:26 2012 +0200

    [eel-background] fix minor _expose regression from b5f9a6c8

 eel/eel-background.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 49c5ca823b2e18ac7524bb733f84c3549b8f359c
Merge: 4e9ac51 b5f9a6c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Nov 19 03:31:22 2012 -0800

    Merge pull request #45 from jasmineaura/develop
    
    [eel-background] drawable deprecations (GTK2), rendering-cleanup (GTK3)

commit b5f9a6c811da63f5c4aca18f05cb207783a7beea
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Nov 17 12:17:42 2012 +0200

    [eel-background] drawable deprecations (GTK2), rendering-cleanup (GTK3)
    
    1. Don't use gdk_drawable_get_display (deprecated in 2.24)
    
    2. Use GDK_PIXMAP_XDISPLAY(pixmap) directly instead of
    GDK_DISPLAY_XDISPLAY(gdk_drawable_get_display(GDK_DRAWABLE (pixmap)))
    
    3. Don't require GTK3 for stuff in GTK2.24, which we now require, and
    don't use gdk_drawable_get_size at all. So, use (i/o = instead of):
    gdk_window_get_width|height i/o gdk_drawable_get_size
    gdk_window_get_screen       i/o gdk_drawable_get_screen
    gdk_window_get_visual       i/o of gdk_drawable_get_visual
    
    4. add eel_background_draw for GTK3, eel_background_expose for GTK2
    This was removed in nautilus (after eel-background-box was removed):
    http://git.gnome.org/browse/nautilus/commit/?id=87eb53a0701252607b494f34c677b6506f82278c
    
    5. background: port to rendering-cleanup & cope with renamings of gnome-bg APIs
    http://git.gnome.org/browse/nautilus/commit/?id=0b664aae4090704fa2e44d42f213da2cea8bd828
    http://git.gnome.org/browse/nautilus/commit/?id=426079ef07d5f902911f30b0a9d7de95f3020374
    
    6. Fix remaining issue #41: crashes w/ gdk_x_error BadPixmap when changing screen resolution
    Remove eel_background_get_pixmap_and_color(), and use the pixmap/surface & color properties
    in background->details directly, when needed. i.e. No more g_object/surface referencing.
    And call eel_background_ensure_realized() and make_color_inactive() where appropriate.

 eel/eel-background.c |  289 ++++++++++++++++++++++----------------------------
 eel/eel-background.h |   71 +++++++------
 2 files changed, 162 insertions(+), 198 deletions(-)

commit 4e9ac513b2deed3e884eb289809017e51831beed
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Sun Nov 18 17:05:11 2012 -0500

    fixed incorrect fsf addresses.

 libcaja-private/caja-desktop-metadata.c |    4 ++--
 libcaja-private/caja-desktop-metadata.h |    4 ++--
 src/caja-connect-server-operation.c     |    4 ++--
 src/caja-connect-server-operation.h     |    4 ++--
 4 files changed, 8 insertions(+), 8 deletions(-)

commit dc66bc40724191f0068869773576dc4edf042c6f
Merge: 935e1fe 1466df2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Nov 16 05:08:48 2012 -0800

    Merge pull request #42 from jasmineaura/develop
    
    Bring Caja up to speed, stage1

commit 1466df20591105550738a1d0784a623af9909abf
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Nov 10 11:28:29 2012 +0200

    [navigation-window] Use gtk_paned_new for GTK3 instead of gtk_[h|v]paned_new
    
    http://git.gnome.org/browse/nautilus/commit/?id=0609431a5cb3803d0b98bd333f90e3c7796f86b7

 src/caja-navigation-window.c |    8 ++++++++
 1 file changed, 8 insertions(+)

commit 48cc04df5933644ade234ce16ac8a6ee817bb867
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Nov 10 11:22:51 2012 +0200

    [eel] remove eel_gdk_pixbuf_list_ref()
    
    But unlike upstream commit below, not removing include eel-art-extensions.h
    from eel-gdk-pixbuf-extensions.h, as we still have functions in the latter
    using eel_irect_* (from eel-art-extensions), which are still used by the
    eel-debug-drawing we kept around.
    
    http://git.gnome.org/browse/nautilus/commit/?id=7dee3226ad6b3aa1c782cc3d2969e32c5eeae3f3

 eel/eel-gdk-pixbuf-extensions.c         |   12 ------------
 eel/eel-gdk-pixbuf-extensions.h         |    4 ----
 libcaja-private/caja-icon-canvas-item.c |    3 +--
 3 files changed, 1 insertion(+), 18 deletions(-)

commit 639c9137b77557f38946d6dc174772554343da47
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 11:29:02 2012 +0200

    [eel] remove unused eel_get_filename_charset()
    
    http://git.gnome.org/browse/nautilus/commit/?id=00c0b9daa2053a110e17c64fb79ce4884290dc76

 eel/eel-glib-extensions.c |   98 ---------------------------------------------
 eel/eel-glib-extensions.h |    3 --
 2 files changed, 101 deletions(-)

commit eb0fb3845bd7a6f3b566c454d16b6f7cd287ef9c
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 11:25:15 2012 +0200

    [eel] remove eel_gtk_widget_set_shown()
    
    http://git.gnome.org/browse/nautilus/commit/?id=31dfbdc19075ddf92b4f04a2f84e3111c3fb429b

 eel/eel-gtk-extensions.c |   22 ----------------------
 eel/eel-gtk-extensions.h |    3 ---
 2 files changed, 25 deletions(-)

commit f5b61ba409db5976bcc5be71accaac57ea88fcd0
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 11:21:40 2012 +0200

    [places-sidebar] use gtk_widget_set_visible() instead of the eel helper
    
    http://git.gnome.org/browse/nautilus/commit/?id=bb145a018a9d66b748971e40be4e09a7f843b2be

 src/caja-places-sidebar.c |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 7a42b9b076d6b831c89bd0b9e996368c1c95aef3
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 10:30:31 2012 +0200

    [all] use g_list_free() and g_strcmp0 instead of eel functions
    
     Was: general: use g_list_free_full() instead of eel functions
     http://git.gnome.org/browse/nautilus/commit/?id=5e669515fd7f760382e6b7aa1449734a35a2d7f4
     .
     Instead of g_list_free_full(), we use g_list_foreach and g_list_free() to avoid
     unnecessary glib dependency bump to 2.28

 eel/eel-gdk-pixbuf-extensions.c                 |   12 ---
 eel/eel-gdk-pixbuf-extensions.h                 |    2 -
 eel/eel-glib-extensions.c                       |   97 +++--------------------
 eel/eel-glib-extensions.h                       |   14 ----
 libcaja-private/caja-autorun.c                  |    4 +-
 libcaja-private/caja-bookmark.c                 |    4 +-
 libcaja-private/caja-clipboard.c                |   19 ++---
 libcaja-private/caja-customization-data.c       |   12 +--
 libcaja-private/caja-debug-log.c                |    4 +-
 libcaja-private/caja-directory-async.c          |   22 +++--
 libcaja-private/caja-directory.c                |   19 +++--
 libcaja-private/caja-dnd.c                      |    7 +-
 libcaja-private/caja-emblem-utils.c             |    4 +-
 libcaja-private/caja-file-changes-queue.c       |   16 ++--
 libcaja-private/caja-file-dnd.c                 |    4 +-
 libcaja-private/caja-file-operations.c          |   24 ++++--
 libcaja-private/caja-file-utilities.c           |    3 +-
 libcaja-private/caja-file.c                     |   28 ++++---
 libcaja-private/caja-icon-canvas-item.c         |   10 ++-
 libcaja-private/caja-icon-container.c           |    7 +-
 libcaja-private/caja-merged-directory.c         |    3 +-
 libcaja-private/caja-mime-actions.c             |    9 ++-
 libcaja-private/caja-mime-application-chooser.c |    8 +-
 libcaja-private/caja-open-with-dialog.c         |    4 +-
 libcaja-private/caja-program-choosing.c         |   14 ++--
 libcaja-private/caja-progress-info.c            |   10 +--
 libcaja-private/caja-query.c                    |    5 +-
 libcaja-private/caja-search-engine-beagle.c     |    4 +-
 libcaja-private/caja-search-engine-simple.c     |   10 ++-
 libcaja-private/caja-search-engine-tracker.c    |    4 +-
 libcaja-private/caja-undostack-manager.c        |   25 +++---
 src/caja-application.c                          |    3 +-
 src/caja-bookmark-list.c                        |    9 ++-
 src/caja-emblem-sidebar.c                       |    5 +-
 src/caja-history-sidebar.c                      |    5 +-
 src/caja-information-panel.c                    |    3 +-
 src/caja-navigation-window-slot.c               |    6 +-
 src/caja-notes-viewer.c                         |    5 +-
 src/caja-pathbar.c                              |    9 +--
 src/caja-places-sidebar.c                       |    7 +-
 src/caja-property-browser.c                     |   10 ++-
 src/caja-query-editor.c                         |    4 +-
 src/caja-spatial-window.c                       |    4 +-
 src/caja-trash-bar.c                            |    3 +-
 src/caja-window-manage-views.c                  |   22 +++--
 src/caja-window-slot.c                          |    3 +-
 src/caja-window.c                               |   11 +--
 src/file-manager/fm-directory-view.c            |   38 ++++++---
 src/file-manager/fm-list-model.c                |   11 +--
 src/file-manager/fm-list-view.c                 |    6 +-
 src/file-manager/fm-properties-window.c         |   35 +++++---
 src/file-manager/fm-tree-model.c                |    4 +-
 src/file-manager/fm-tree-view.c                 |   11 +--
 53 files changed, 302 insertions(+), 320 deletions(-)

commit decb73c787a2709f977305a4a6da052227d7b37d
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 8 08:42:47 2012 +0200

    [editable-label] don't use deprecated size_request vfunc
    
    http://git.gnome.org/browse/nautilus/commit/?id=12c7a03bfe3c49078cb5b44ff2651eb9ce1edce4

 eel/eel-editable-label.c |   42 +++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 41 insertions(+), 1 deletion(-)

commit cb95554ed52fc0c5d996de6ae821999d92e15b65
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 8 08:36:39 2012 +0200

    [window] don't use deprecated size_request vfunc
    
    http://git.gnome.org/browse/nautilus/commit/?id=b532d0d9290d1731203d971e7c679979265f0a43

 src/caja-window.c |   74 +++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 57 insertions(+), 17 deletions(-)

commit 743a7522519fb3c3ac69dae3789d4f0873252779
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 8 08:25:46 2012 +0200

    [icon-container] remove size_request vfunc impl
    
    It doesn't seem to do anything useful.
    http://git.gnome.org/browse/nautilus/commit/?id=1cdd0b41bf9de69a93cb166636d7eccff9f5355f

 libcaja-private/caja-icon-container.c |   10 ----------
 1 file changed, 10 deletions(-)

commit 7ec82bee955b65550ce806186c7f01070170e2de
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 8 08:22:02 2012 +0200

    [pathbar] don't use deprecated size_request vfunc
    
    http://git.gnome.org/browse/nautilus/commit/?id=22cb1accd98c1ae10938eac10cc6beda8fb6b145

 src/caja-pathbar.c |  199 ++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 186 insertions(+), 13 deletions(-)

commit 5ee6f114f83b68d02e7d5b723090f1dfe8c443ca
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 8 06:40:35 2012 +0200

    [general] use new GtkScrollable interface
    
    http://git.gnome.org/browse/nautilus/commit/?id=d811553a4e74106efdf8bf6c91c6d29944ed6df7
    
    canvas: use GTK_LAYOUT casts instead of going through the parent struct
    http://git.gnome.org/browse/nautilus/commit/?id=2260005986d8c620669e56c4b9f2fba12e8e0625

 eel/eel-canvas.c                           |   54 ++++++++++++++++------------
 libcaja-private/caja-icon-container.c      |   52 +++++++++++++++------------
 libcaja-private/caja-icon-dnd.c            |   42 ++++++++++++++--------
 libcaja-private/caja-tree-view-drag-dest.c |    4 +--
 src/file-manager/fm-desktop-icon-view.c    |   10 ++++--
 5 files changed, 98 insertions(+), 64 deletions(-)

commit b7f2233c06be6506e6913fcd02ae9c9e2183c9d3
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 19:42:49 2012 +0200

    [fm-properties] use GtkComboBoxText in the GtkBuilder file
    
    http://git.gnome.org/browse/nautilus/commit/?id=18fc6dd2516f9091570902640032e68b263cfddf
    
    Also include subsequent commit:
    preferences: cleanup expand/fill flags
    Probably a change in GTK+ requires fixing this flags, so that the
    dialog doesn't look odd.
    http://git.gnome.org/browse/nautilus/commit/?id=6669f155734c320617bcf79f3b5d8f315f4886f9

 src/caja-file-management-properties.ui |  247 +++++++++-----------------------
 1 file changed, 69 insertions(+), 178 deletions(-)

commit 345bf975a496493161baf455af07977d57cbf709
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 25 14:13:07 2012 +0200

    [src] replace deprecated GtkComboBox text APIs with GtkComboBoxText
    
    [src] don't use GtkComboBox text APIs (#632651)
    They got replaced by GtkComboBoxText. Thanks to Mathias Clasen and Flo Gravo.
    http://git.gnome.org/browse/nautilus/commit/?id=f123f99bee1005cd279783f9d441f538fcf85542

 src/caja-file-management-properties.c   |   21 +++++++++++----------
 src/caja-query-editor.c                 |    4 ++--
 src/caja-view-as-action.c               |    8 ++++----
 src/file-manager/fm-properties-window.c |   10 +++++-----
 4 files changed, 22 insertions(+), 21 deletions(-)

commit bd5fe64bb5ec8a9cdca866d7bc78baf8f725a9f9
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 17:39:45 2012 +0200

    [image-properties-page] call gdk_pixbuf_loader_close() earlier
    
    This helps smaller images (>8192 bytes) to signal size_prepared before
    reading image geometry. (#558267)
    http://git.gnome.org/browse/nautilus/commit/?id=d3ab8e137ae957e5afef54bf0ec1e275b96caab5

 src/caja-image-properties-page.c |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 01a922551d410ecb11e4eb1477cfe3f33bff3491
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Nov 7 01:54:48 2012 +0200

    [column-utilities] fix a TODO about a missing description string
    
    http://git.gnome.org/browse/nautilus/commit/?id=0f8dcf2ac394121c488afdf0fecc2b7afeb673b6

 libcaja-private/caja-column-utilities.c |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 29bf2205fbea100f3b799560a4d5b4ffece1ac53
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Nov 7 01:53:16 2012 +0200

    [column-utilities] disable SELinux column if !HAVE_SELINUX
    
    http://git.gnome.org/browse/nautilus/commit/?id=b0550951f461c2033f4d1aaa4404078c7a70f220

 libcaja-private/caja-column-utilities.c |    2 ++
 1 file changed, 2 insertions(+)

commit 43dad9d04402b97de8440366d03d43dbe954528a
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Nov 7 01:50:57 2012 +0200

    [icon-view] if possible, use the local path for the preview
    
    This solves issues where the audio previewer is not capable of
    understanding some GVfs URIs. (#624841)
    http://git.gnome.org/browse/nautilus/commit/?id=ebcbb167876f8b4491af0bc86bc29015c211b3af

 src/file-manager/fm-icon-view.c |   18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit aa6696e05a7c2614eccde660bf06554735ace3e2
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Nov 7 01:43:35 2012 +0200

    [horizontal-splitter] remove, and use a regular GtkPaned instead
    
    The feature it was bringing in (shrink when the paned handle is
    double-clicked) is even confusing.
    http://git.gnome.org/browse/nautilus/commit/?id=1620bd8a4e4ab1760c5c518dd954a4471645ce87

 libcaja-private/Makefile.am                |    2 -
 libcaja-private/caja-horizontal-splitter.c |  307 ----------------------------
 libcaja-private/caja-horizontal-splitter.h |   76 -------
 src/caja-navigation-window.c               |    8 +-
 src/caja-spatial-window.c                  |    1 -
 src/caja-window.c                          |    1 -
 6 files changed, 4 insertions(+), 391 deletions(-)

commit add2dd8b06d33c6c9cb73b1fdcccf66e81ae2749
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 8 04:07:00 2012 +0200

    [editable-label] fix cairo drawing regressions
    
    http://git.gnome.org/browse/nautilus/commit/?id=407666719856127547f5c2f3f03f6a050858239a

 eel/eel-editable-label.c |   35 +++++++++++++++++++++--------------
 1 file changed, 21 insertions(+), 14 deletions(-)

commit 767734608e245a3a6684e1087fa9e11280296004
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 8 03:51:08 2012 +0200

    [cell-renderer-text-ellipsized] use new GtkSizeRequest vfunctions
    
    This fixes the 'Name' column being too thin in list view.
    http://git.gnome.org/browse/nautilus/commit/?id=33c9b6d24a60079fe6c4c1be281c76f43def6fee

 .../caja-cell-renderer-text-ellipsized.c           |   88 +++++++++++++-------
 1 file changed, 57 insertions(+), 31 deletions(-)

commit 4d27e091b87bc08fee257fda6cb3f928c3aee39f
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 17:30:19 2012 +0200

    [build] fix distcheck
    
    http://git.gnome.org/browse/nautilus/commit/?id=74a0311e65f2c9fc2d03967b0607633dcb652f88

 eel/Makefile.am |    1 +
 src/Makefile.am |    1 +
 2 files changed, 2 insertions(+)

commit 61cb94240f5844596fa0e061af83646355d3484b
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 8 03:23:01 2012 +0200

    [properties-window] split some long lines
    
    http://git.gnome.org/browse/nautilus/commit/?id=64819695a13eb636df535e08e0eed6e896a8821c

 src/file-manager/fm-properties-window.c |   40 ++++++++++++++++++++++++-------
 1 file changed, 32 insertions(+), 8 deletions(-)

commit 452e4c3b65141bc819d3f7de2d6522d166de65b0
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 8 03:17:41 2012 +0200

    [properties-window] don't use expose-event to draw the pie chart
    
    Use GtkWidget::draw instead
    http://git.gnome.org/browse/nautilus/commit/?id=5ece5d67163e30a91e600d2f2bcf0d657d365dc4

 src/file-manager/fm-properties-window.c |   62 +++++++++++++++++++++++++------
 1 file changed, 50 insertions(+), 12 deletions(-)

commit 9dc0c0cf31bbd72f0545ae79e724f2c98e38f43f
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 17:02:32 2012 +0200

    [window-toolbars] show/hide the spinner when changing its state
    
    http://git.gnome.org/browse/nautilus/commit/?id=d72087b74c871ef82b1f6a13bb5bb72b38670a52
    
    Including followup commit:
    
    window-toolbars: show/hide the spinner in the right order
    Apparently calling them in the wrong order makes new GTK+ crash.
    http://git.gnome.org/browse/nautilus/commit/?id=61906b05ec90d5d4759ae7ff7fc7aca40fb18f15

 src/caja-window-toolbars.c |   13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

commit b1cb355a3a65d11101d55846803cbf0296e22da5
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 8 02:57:24 2012 +0200

    [icon-dnd] cleanup useless comment
    
    removing old comment, keeping old pixmap/mask code around for GTK2
    
    was: icon-dnd: cleanup useless code
    http://git.gnome.org/browse/nautilus/commit/?id=098057414b38aeeddd3fcd81942324336628d341

 libcaja-private/caja-icon-dnd.c |    4 ----
 1 file changed, 4 deletions(-)

commit 07bbb722c57b1f985a8750db9776099f1fadf7f6
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 8 02:53:55 2012 +0200

    [icon-dnd] use negative device offsets to set the drag surface
    
    http://git.gnome.org/browse/nautilus/commit/?id=f38bad2536faf497fe56c9a491ab852cb00514c0

 libcaja-private/caja-icon-dnd.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b6b774806a7198d46edd701054cc73989dc3e200
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 8 02:51:02 2012 +0200

    [icon-canvas-item] use cairo directly instead of gdk_pixbuf_composite()
    
    http://git.gnome.org/browse/nautilus/commit/?id=a136af0a01c160cdfb513c531b910b49a4a62973

 libcaja-private/caja-icon-canvas-item.c |   45 ++++++++++++++++++-------------
 1 file changed, 27 insertions(+), 18 deletions(-)

commit f4babe394d101d2053b3358fcb6bfb489b1e2d58
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 8 02:15:15 2012 +0200

    [icon-canvas-item] set transparent background for highlight
    
    http://git.gnome.org/browse/nautilus/commit/?id=c6860491c432e311d585a6d92443ef821afd46d2

 libcaja-private/caja-icon-canvas-item.c |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit eb4866501e0ab9114c3ea459d3d4aa437194d961
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Oct 31 08:58:28 2012 +0200

    [desktop-icon-view] don't use gdk_drawable_get_screen()
    
    http://git.gnome.org/browse/nautilus/commit/?id=b1aac113ef867846fb39ee4187378c6f1a13f33e

 src/file-manager/fm-desktop-icon-view.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 48d2f19ea2b821d1f3b3017afc912154ab2ee7da
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 8 01:03:47 2012 +0200

    [src] use gtk_widget_get_preferred_size()
    
    http://git.gnome.org/browse/nautilus/commit/?id=c47d18f566fa9518ca7750922da7da66d3211f3e

 src/caja-pathbar.c        |   27 ++++++++++++++++++---------
 src/caja-side-pane.c      |    8 ++++++--
 src/caja-spatial-window.c |    8 ++++++--
 src/caja-zoom-control.c   |    8 ++++++--
 4 files changed, 36 insertions(+), 15 deletions(-)

commit e5b2fbf43e1c1ad5552abb004e5ebc4beb17ce2c
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 8 00:14:30 2012 +0200

    [icon-container] use gtk_widget_get_preferred_size()
    
    http://git.gnome.org/browse/nautilus/commit/?id=e56241830bfd2ca470ec2b1da53313c2230bc2b9

 libcaja-private/caja-icon-container.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 2a4433a562b4a9fde5f81961c67fbee8810d63f0
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 8 00:05:37 2012 +0200

    [libcaja-private] Port to rendering-cleanup-next
    
    http://git.gnome.org/browse/nautilus/commit/?id=910191ea13e5647e1b8c793e7585530c6ae4c9b1

 libcaja-private/caja-icon-canvas-item.c    |  282 +++++++++++++++++++++++-----
 libcaja-private/caja-icon-canvas-item.h    |    8 +-
 libcaja-private/caja-icon-container.c      |   16 +-
 libcaja-private/caja-icon-dnd.c            |   56 +++++-
 libcaja-private/caja-tree-view-drag-dest.c |   44 +++--
 5 files changed, 325 insertions(+), 81 deletions(-)

commit 40d77d2c4a371a546a35cbc8aa24bf9261e30fc0
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Nov 7 19:52:40 2012 +0200

    [eel] Port EelEditableLabel to rendering-cleanup-next
    
    http://git.gnome.org/browse/nautilus/commit/?id=2b7659ac4fcaa8b93ad8f409e1560aaa60dcdc12

 eel/eel-editable-label.c |   82 ++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 69 insertions(+), 13 deletions(-)

commit 7e395411a8ef934accc205f34b4c67e03282a2dc
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Nov 7 19:27:12 2012 +0200

    [editable-label] use gtk_widget_get_preferred_size() for GTK3
    
    and gtk_widget_size_request() for GTK2
    
    http://git.gnome.org/browse/nautilus/commit/?id=4963a3c9e5526ffd139b1b0b5bff18b6ea91a717

 eel/eel-editable-label.c |    6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit aebf60348dd7675678c28a5c850d1900b7b95e8c
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Nov 7 19:19:10 2012 +0200

    [eel-canvas] Port the eel canvas to rendering-cleanup-next
    
    http://git.gnome.org/browse/nautilus/commit/?id=58832e54b6a4e596693527d577e4f8fa2f3e4ccf

 eel/eel-canvas-rect-ellipse.c |   38 ++++++++-
 eel/eel-canvas.c              |  173 +++++++++++++++++++++++++++++++++++------
 eel/eel-canvas.h              |    8 ++
 3 files changed, 193 insertions(+), 26 deletions(-)

commit 8af0b94b1f4df47364abc9f7f02cc467ecd1cdee
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Nov 7 17:27:04 2012 +0200

    [eel-gdk-extensions] Add eel_cairo_draw_layout_with_drop_shadow for GTK3
    
    keeping eel_gdk_draw_layout_with_drop_shadow for GTK2
    
    http://git.gnome.org/browse/nautilus/commit/?id=d2f141f4a5435b10b43abea0822e3d0569b67886

 eel/eel-gdk-extensions.c |   13 ++++++++++++-
 eel/eel-gdk-extensions.h |   18 +++++++++++++-----
 2 files changed, 25 insertions(+), 6 deletions(-)

commit 2e0b6b0a2e689d5af0ca719ee0ef29f90c4f2e0c
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 16:33:39 2012 +0200

    [icon-dnd] remove commented out obsolete code
    
    http://git.gnome.org/browse/nautilus/commit/?id=c5eba3314c99059aa1fff13aedcb1004966fdd55

 libcaja-private/caja-icon-dnd.c |   63 +--------------------------------------
 1 file changed, 1 insertion(+), 62 deletions(-)

commit 765d89de748d29e99e0babf08091985133f9c377
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Tue Nov 6 18:07:07 2012 +0200

    [emblem-sidebar] Don't include eel-gtk-macros, minor cleanup

 src/caja-emblem-sidebar.c |    7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit 5d46e2a7bed077a365f4df32e8ef2ef20323871c
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Nov 3 18:26:46 2012 +0200

    [property-browser] Don't use GtkObject nor eel-gtk-macros

 src/caja-property-browser.c |  149 ++++++++++++++++++++-----------------------
 1 file changed, 69 insertions(+), 80 deletions(-)

commit 700c0c288247d4cecaeb0ea340437779faf64edb
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Tue Nov 13 07:53:03 2012 +0200

    [information-panel] Don't use eel-gtk-macros

 src/caja-information-panel.c |   16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit 079f01d120988b1b6549a0b815cd0fad65bdc424
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Tue Nov 13 12:11:05 2012 +0200

    [KeepLastVerticalBox] Don't use eel-gtk-macros

 libcaja-private/caja-keep-last-vertical-box.c |    9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit dc5517f0b74d260129753417f7f36b06ef9f4121
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Tue Nov 13 07:25:36 2012 +0200

    [sidebar-title] Don't use GtkObject nor eel-gtk-macros

 src/caja-sidebar-title.c |   65 +++++++++++++++++++++-------------------------
 1 file changed, 29 insertions(+), 36 deletions(-)

commit ad104e7b749949455f88cb47a082a16ae00fee77
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Tue Nov 13 06:13:50 2012 +0200

    [eel-background-box] Don't use eel-gtk-macros

 eel/eel-background-box.c |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 5347614b1dae2a8edad9f8cebc073c4a282de7b7
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Tue Nov 6 17:28:49 2012 +0200

    [eel-debug-drawing] Don't use eel-gtk-macros

 eel/eel-debug-drawing.c |   38 +++++++++++++-------------------------
 1 file changed, 13 insertions(+), 25 deletions(-)

commit 9bb422fbed4667c1540889091960f7ee9ebd89ed
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Tue Nov 6 17:14:03 2012 +0200

    [eel-(image|wrap)-table] Don't use GtkObject nor eel-gtk-macros
    
    the ::destroy signal of GtkObject has only been moved to GtkWidget in GTK3
    (after GtkObject removal): http://developer.gnome.org/gtk3/3.0/ch25s02.html
    So, we use conditionals in eel-image-table's case, to keep working with GTK2

 eel/eel-image-table.c |  215 ++++++++++++++++++++++++-------------------------
 eel/eel-wrap-table.c  |  175 ++++++++++++++++------------------------
 2 files changed, 175 insertions(+), 215 deletions(-)

commit ca03cc6c6b01a8a9b42a6e5b0f3096e5b792a531
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Oct 31 03:43:42 2012 +0200

    [eel-labeled-image] Don't use GtkObject nor eel-gtk-macros

 eel/eel-labeled-image.c |  360 +++++++++++++++++++++--------------------------
 1 file changed, 160 insertions(+), 200 deletions(-)

commit 2472d52a0f28dd84d362dcc5570e747a82aa8ba6
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Oct 31 04:42:15 2012 +0200

    [src] don't use GtkObject (GTK3)
    
    the ::destroy signal of GtkObject has only been moved to GtkWidget in GTK3
    (after GtkObject removal): http://developer.gnome.org/gtk3/3.0/ch25s02.html
    So we use conditionals in this case, to keep it working with GTK2.
    
    A tad similar:
    http://git.gnome.org/browse/nautilus/commit/?id=cc6cb51e827c0b15d4ef09f12d37b9f331ddcef8

 src/caja-application.c                  |    6 +++++-
 src/caja-bookmarks-window.c             |    8 ++++----
 src/caja-location-bar.c                 |   20 +++++++++++++------
 src/caja-location-dialog.c              |   19 +-----------------
 src/caja-location-entry.c               |   29 +++++++++++++++-------------
 src/caja-main.c                         |   12 ++++++++----
 src/caja-main.h                         |    6 +++++-
 src/caja-navigation-bar.c               |    9 +++------
 src/caja-navigation-window-menus.c      |    2 +-
 src/caja-navigation-window.c            |   12 ++++++++++++
 src/caja-pathbar.c                      |    6 ++----
 src/caja-window-bookmarks.c             |    2 +-
 src/caja-window-manage-views.c          |    4 ++--
 src/caja-window.c                       |   23 +++++++++++++++++++---
 src/file-manager/fm-desktop-icon-view.c |    3 ++-
 src/file-manager/fm-directory-view.c    |   32 ++++++++++++++++++++-----------
 src/file-manager/fm-icon-view.c         |   18 ++++++++++++-----
 src/file-manager/fm-properties-window.c |   12 ++++++++++++
 18 files changed, 142 insertions(+), 81 deletions(-)

commit ae33b1c624c008ca0818ab08735968c8d01fae1c
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Nov 3 19:03:17 2012 +0200

    [lc-p] use eel_canvas_item_destroy instead of gtk_object_destroy()
    
    http://git.gnome.org/browse/nautilus/commit/?id=f5192b6990cd9240d126974dd587b7b7525ae714

 libcaja-private/caja-icon-container.c |    4 ++--
 libcaja-private/caja-icon-dnd.c       |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 4895118afc287dc511792a5f91f109a2e1f868d0
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Oct 31 04:23:12 2012 +0200

    [lc-p] don't use GtkObject (GTK3)
    
    the ::destroy signal of GtkObject has only been moved to GtkWidget in GTK3
    (after GtkObject removal): http://developer.gnome.org/gtk3/3.0/ch25s02.html
    So, we use conditionals in this case, to keep working with GTK2
    
    Original commit:
    http://git.gnome.org/browse/nautilus/commit/?id=aef4cfcf93ef34a0b2d4c87b40fcec2b7a66dd06

 libcaja-private/caja-autorun.c                  |    2 +-
 libcaja-private/caja-clipboard.c                |    4 ++--
 libcaja-private/caja-entry.c                    |   12 ++++--------
 libcaja-private/caja-icon-container.c           |   16 +++++++++++++---
 libcaja-private/caja-mime-actions.c             |    6 +++---
 libcaja-private/caja-mime-application-chooser.c |   10 ----------
 libcaja-private/caja-open-with-dialog.c         |   12 +-----------
 libcaja-private/caja-program-choosing.c         |    2 +-
 8 files changed, 25 insertions(+), 39 deletions(-)

commit ca47debc4ffe4f3ec5b8d6094261dbef02b73dcd
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Tue Oct 30 23:45:15 2012 +0200

    [eel-editable-label] don't use GtkObject
    
    http://git.gnome.org/browse/nautilus/commit/?id=b5f9acb9029c015558ab678e01fc2c8dcc8c6c82

 eel/eel-editable-label.c |   21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

commit 5f7d0e33a04e69778509edb93beabbe0e62ab69b
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Tue Oct 30 23:42:48 2012 +0200

    [eel-canvas] don't use GtkObject (GTK3)
    
    the ::destroy signal of GtkObject has only been moved to GtkWidget in GTK3
    (after GtkObject removal): http://developer.gnome.org/gtk3/3.0/ch25s02.html
    So, we conditionals in this case, to keep working with GTK2
    
    Nautilus commit message: This implies adding a 'destroy' signal to EelCanvasItem,
    with similar semantics to gtk_object_destroy()
    http://git.gnome.org/browse/nautilus/commit/?id=1f615321613751a5dbc84d5ef7f20edd104b8dc4

 eel/eel-canvas-rect-ellipse.c |   21 ----------
 eel/eel-canvas.c              |   91 ++++++++++++++++++++++++++---------------
 eel/eel-canvas.h              |    8 +++-
 3 files changed, 63 insertions(+), 57 deletions(-)

commit 4fe815f4dc825928008a1fc09e53ebcbbc22569d
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Tue Oct 30 23:31:43 2012 +0200

    [eel-stock-dialogs] don't use GtkObject
    
    http://git.gnome.org/browse/nautilus/commit/?id=5edcd42e503623c11bf55c6afba437b3013c7f45

 eel/eel-stock-dialogs.c |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 20ceebe17ffc956f59ce28834d528d436e66f796
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Nov 15 10:56:33 2012 +0200

    [directory-background] Use weak refs instead of EelBackground destroy signal
    
    i.e. don't connect to the destroy signal of EelBackground, in favor of
    g_object_weak_ref() and g_object_weak_unref()
    
    Though Nautilus removed code for setting non-desktop window backgrounds:
    http://git.gnome.org/browse/nautilus/commit/?id=c9be35b3ee6c468a9a102b317b82b8b639637d0f
    ..this is a tad similar:
    directory-background: don't user the 'destroy' signal of EelBackground
    http://git.gnome.org/browse/nautilus/commit/?id=fbb6b024128e3c35aeb1d74f8e287e8870c9999f&context=12

 libcaja-private/caja-directory-background.c |   52 +++++++++++++++------------
 1 file changed, 30 insertions(+), 22 deletions(-)

commit b6dc7b5cfbcc1f619084293d462f3f359c2e7121
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Tue Oct 30 20:45:27 2012 +0200

    [eel-background] Don't use GtkObject nor eel-gtk-macros
    
    http://git.gnome.org/browse/nautilus/commit/?id=60044f8ef457036560fb94ad6b20cdf7bedb4f77
    http://git.gnome.org/browse/nautilus/commit/?id=2e59a60800a9bc837af9132b0ac234d9d14668c6

 eel/eel-background.c |  149 ++++++++++++++++++++++++--------------------------
 eel/eel-background.h |    4 +-
 2 files changed, 72 insertions(+), 81 deletions(-)

commit 1cd48341ea01f8c8e0c2adb240c6703b6f6e9848
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Tue Oct 30 20:14:01 2012 +0200

    [icon-view] Don't use GtkObject nor eel-gtk-macros
    
    Similar to the commit linked below, but without moving background-setting code
    to FMDesktopIconView
    http://git.gnome.org/browse/nautilus/commit/?id=ab0616de55f6f817a745caac26fd2b38ae41b71b

 src/file-manager/fm-desktop-icon-view.c |   44 +++++++++----------------------
 1 file changed, 12 insertions(+), 32 deletions(-)

commit 6268feb7e18013e204c2ddfd5c17f9d8a1c127ef
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 06:23:37 2012 +0200

    [connect-dialog] add a missing gtk_widget_show()
    
    http://git.gnome.org/browse/nautilus/commit/?id=f3bbee79b915276068e0a0d6ed9590c212e11a0a

 src/caja-connect-server-dialog.c |    1 +
 1 file changed, 1 insertion(+)

commit c9507784924598f54275cd88ff408f53944b9549
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 06:21:33 2012 +0200

    [connect-dialog] make the code more readable
    
    Move bits around and rename methods; no actual code change.
    http://git.gnome.org/browse/nautilus/commit/?id=24100d075f747e8fc9ca3cc43a32489177f35459

 src/caja-connect-server-dialog.c |  141 +++++++++++++++++++-------------------
 1 file changed, 71 insertions(+), 70 deletions(-)

commit cd93992b95b9b16f0c41ad200da7cdfc05ded71b
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 06:17:00 2012 +0200

    [connect-dialog] display a fatal error if GVfs doesn't have methods
    
    I.e. when GVfs is not installed.
    http://git.gnome.org/browse/nautilus/commit/?id=1b79a8666fee56cdb704e8757f28acf486f7dc54

 src/caja-connect-server-dialog.c |   41 +++++++++++++++++++++++++++++++++++++-
 1 file changed, 40 insertions(+), 1 deletion(-)

commit 337155137426e1a07049f59f8a7ec63ec4b94c80
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 06:14:17 2012 +0200

    [connect-dialog] fixes for the handling of iconized entries
    
    http://git.gnome.org/browse/nautilus/commit/?id=1c826ed78bde5f34fd4a0f72d788b8d0824d6099

 src/caja-connect-server-dialog.c |   26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit 2218501731180797c5e29ce677f31fd2b2d3ecea
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 06:11:08 2012 +0200

    [connect-dialog] handle psswds, display warns/errs in info bar, tweak UI details
    
    connect-dialog: integrate password handling
    Also, use the info bar to display warnings/errors, and tweak the UI details.
    http://git.gnome.org/browse/nautilus/commit/?id=7d004452f333b7b8b804d87de49c858e8743a115

 src/caja-connect-server-dialog-main.c    |  127 ++----
 src/caja-connect-server-dialog-nonmain.c |   76 +++-
 src/caja-connect-server-dialog.c         |  680 ++++++++++++++++++++++++++----
 src/caja-connect-server-dialog.h         |   47 ++-
 4 files changed, 723 insertions(+), 207 deletions(-)

commit eade711fe26dc22391a60bc33f423817c39d9f43
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 05:46:00 2012 +0200

    [connect-operation] add CajaConnectServerOperation
    
    This is a GtkMountOperation subclass to handle
    password/username/domain requests directly from inside of
    the 'Connect to Server' dialog.
    http://git.gnome.org/browse/nautilus/commit/?id=c1bebe3a29bc2dc3b01ad2277a9802d9d0bc25cd

 src/Makefile.am                     |    6 +-
 src/caja-connect-server-operation.c |  140 +++++++++++++++++++++++++++++++++++
 src/caja-connect-server-operation.h |   63 ++++++++++++++++
 3 files changed, 207 insertions(+), 2 deletions(-)

commit 71c4af286ce5fab422537202081103aded078692
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 05:41:59 2012 +0200

    [window-menus] use new connect dialog API
    
    http://git.gnome.org/browse/nautilus/commit/?id=156615f8d9f8b99dea3459cdd76392d01b9d80df

 src/caja-window-menus.c |   10 +---------
 1 file changed, 1 insertion(+), 9 deletions(-)

commit 1638bc87bac1eb0bcf842872767d4cc953153a4e
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 05:40:18 2012 +0200

    [connect-dialog] redesign the dialog
    
    According to Allan Day's mockups.
    http://git.gnome.org/browse/nautilus/commit/?id=7848e74d812c22299962a8ae22b01dbd403929c0

 src/caja-connect-server-dialog-main.c |   23 +-
 src/caja-connect-server-dialog.c      | 1000 +++++++++++----------------------
 src/caja-connect-server-dialog.h      |    3 +-
 3 files changed, 317 insertions(+), 709 deletions(-)

commit 32ebe8fbfd23e8cae92c487f5c91eff60ec8ec99
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 05:00:52 2012 +0200

    [nav-win-menus] use new CajaApplication API
    
    http://git.gnome.org/browse/nautilus/commit/?id=d5350003ac927bd683d4e18f7c0513b94f9220d7

 src/caja-navigation-window-menus.c |   18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

commit d92e8f674131476d7382496cbc37a5827cef0c84
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Fri Oct 19 01:45:59 2012 +0200

    [bookmarks-window] use new CajaApplication API
    
    http://git.gnome.org/browse/nautilus/commit/?id=a3ce22ec6e8fcb39dafb35e04e445f4a94b8c394

 src/caja-bookmarks-window.c |   34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

commit dd924575b8e1fd4c99acf3c8f3860fc38798f0e8
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Fri Oct 19 01:41:16 2012 +0200

    [window] call the callback during the location change
    
    http://git.gnome.org/browse/nautilus/commit/?id=adedf859ec47296106f0f0d938e70b32f0120f7c

 src/caja-window-manage-views.c |   57 ++++++++++++++++++++++++++++------------
 src/caja-window-slot.h         |    2 ++
 2 files changed, 42 insertions(+), 17 deletions(-)

commit 867bdfb4c9f899358e82d9511300fde541172967
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Fri Oct 19 01:22:08 2012 +0200

    [application] change the way spatial windows are created
    
    Use a _get() function + the standard caja_window_go_to() instead of
    using _present(). The new functions in caja-window-manage-views are
    smart enough to take care of re-using an existent window.
    
    http://git.gnome.org/browse/nautilus/commit/?id=d070d631545aac9114bc271481da603587c07c7c

 src/caja-application.c |  174 +++++++++++++++++++-----------------------------
 src/caja-application.h |   15 ++---
 2 files changed, 74 insertions(+), 115 deletions(-)

commit f1f85813b51e79b0be816a28dba61bbdef5a6df5
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Fri Oct 19 00:47:14 2012 +0200

    [spatial-window] remove affect_location_on_next_change hack
    
    http://git.gnome.org/browse/nautilus/commit/?id=1936e668c73b932f8cb018e278f8b7f46442fda2

 src/caja-spatial-window.c |    2 --
 src/caja-spatial-window.h |    2 --
 2 files changed, 4 deletions(-)

commit e4ff799b046b0f7740619c7ddd0ef4f770f7102e
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Fri Oct 19 00:44:38 2012 +0200

    [desktop-window] add a 'loaded' flag
    
    http://git.gnome.org/browse/nautilus/commit/?id=f95927360079b1c05efb9cea0de62457eea307ab&context=6

 src/caja-desktop-window.c |   12 +++++++++++-
 src/caja-desktop-window.h |    1 +
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 11c358d779c6c0913cf9d784a8adbb663c6b8bd9
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Fri Oct 19 00:19:18 2012 +0200

    [window] rewrite window-opening policies
    
    The code there was very hackish and convoluted. Rewrite it to make
    it at least cleaner. This will allow further cleanup later.
    http://git.gnome.org/browse/nautilus/commit/?id=54e0a1f21513babc89f980b5b02af2bf7a6ebe85

 src/caja-window-manage-views.c |  144 +++++++++++++++++++++-------------------
 1 file changed, 74 insertions(+), 70 deletions(-)

commit 662d2326c5ce63c867b3d94fb2bb44d9a244399b
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Fri Oct 19 00:01:23 2012 +0200

    [window] add _full() versions of _go_to and _open() methods
    
    These also have a callback to get the result of the operation.
    http://git.gnome.org/browse/nautilus/commit/?id=24515b87a91afd32885e07e32e2b4080584673a4

 libcaja-private/caja-window-info.h      |    4 ++++
 libcaja-private/caja-window-slot-info.c |   14 +++++++++-----
 libcaja-private/caja-window-slot-info.h |   19 ++++++++++++++-----
 src/caja-window-manage-views.c          |    8 ++++----
 src/caja-window-slot.h                  |   11 +++++++++--
 src/caja-window.c                       |   14 +++++++++++++-
 src/caja-window.h                       |    4 ++++
 7 files changed, 57 insertions(+), 17 deletions(-)

commit 2a1ef1efb5434f189e0463c834d5926bd931184e
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 15:32:31 2012 +0200

    [window-info] move include to caja-window-private
    
    http://git.gnome.org/browse/nautilus/commit/?id=42cc7bd181d2f57dbc008bea54a40f02be40ce39

 libcaja-private/caja-window-info.h |    1 -
 src/caja-window-private.h          |    1 +
 2 files changed, 1 insertion(+), 1 deletion(-)

commit df6ac41622e955bfc2e3d3d38624dceaf4436df5
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 15:29:36 2012 +0200

    [build] don't include marshals we don't own
    
    http://git.gnome.org/browse/nautilus/commit/?id=8d07a73b28767b7c866fe403e9ac706b8affb8a2

 libcaja-private/caja-directory.c      |    1 -
 libcaja-private/caja-icon-container.c |    1 -
 src/caja-pathbar.c                    |    1 -
 src/caja-window.c                     |    1 -
 src/caja-zoom-control.c               |    1 -
 src/file-manager/fm-directory-view.c  |    1 -
 6 files changed, 6 deletions(-)

commit 1915c80f583c8d09322bc0ed91159743b7ccaf56
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 23:17:14 2012 +0200

    [ui] remove 'has_separator' properties from Glade files
    
    http://git.gnome.org/browse/nautilus/commit/?id=78e37ae9a18925d75cf90424d92c8d3ba502848a

 src/caja-bookmarks-window.ui           |    1 -
 src/caja-file-management-properties.ui |    1 -
 2 files changed, 2 deletions(-)

commit b24f066e23fb5b204c940c229c5cdebffd2f7600
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Mon Nov 5 23:14:35 2012 +0200

    [src] convert to new GDK_KEY prefix
    
    http://git.gnome.org/browse/nautilus/commit/?id=71fa1a50145a6f06da3b805a29e75c1295fd546b
    
    Also, make sure we use GDK_KEY prefix in places-sidebar where this patch was previously
    applied to Caja but with old prefix:
    places-sidebar: allow keyboard navigation with Enter/Space (#637768)
    http://git.gnome.org/browse/nautilus/commit/?id=fd03c910a73ba18459e68baaf15e8dd295acd5c1

 src/caja-bookmarks-window.c             |    4 ++--
 src/caja-location-entry.c               |   28 ++++++++++++++--------------
 src/caja-navigation-bar.c               |    2 +-
 src/caja-places-sidebar.c               |   16 ++++++++--------
 src/caja-query-editor.c                 |    2 +-
 src/caja-search-bar.c                   |    6 +++---
 src/caja-side-pane.c                    |    8 ++++----
 src/caja-spatial-window.c               |    4 ++--
 src/caja-window.c                       |    8 ++++----
 src/caja-zoom-control.c                 |   12 ++++++------
 src/file-manager/fm-directory-view.c    |    6 +++---
 src/file-manager/fm-list-view.c         |   16 ++++++++--------
 src/file-manager/fm-properties-window.c |    2 +-
 13 files changed, 57 insertions(+), 57 deletions(-)

commit 360d966dfa2a9ebe579e77d4f59a1e3b37ead28c
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 23:11:40 2012 +0200

    [lc-p] Use gdk_threads_enter/leave in thumbnail_thread_notify_file_changed
    
    This was supposed to be a change from the GDK_THREADS_* macros.
    But, the macros weren't there, so we adapt from:
    
    thumbnails: don't use GDK_THREADS_* macros
    http://git.gnome.org/browse/nautilus/commit/?id=8ee5d37f2b4776730247af75a6ce4cebcba4c550&context=12

 libcaja-private/caja-thumbnails.c |    4 ++++
 1 file changed, 4 insertions(+)

commit c97aca046a4f75e73e5d82a814337eef950efce3
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Mon Nov 5 14:29:50 2012 +0200

    [autorun] use gdk_error_trap_pop_ignored() for GTK3
    
    http://git.gnome.org/browse/nautilus/commit/?id=8dd87483bd187bfac80a606233b769c230343980

 libcaja-private/caja-autorun.c |    4 ++++
 1 file changed, 4 insertions(+)

commit 0d0641f10e84e0de0b39e63789508c260913cc98
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Mon Nov 5 14:20:13 2012 +0200

    [lc-p] convert to new GDK_KEY prefix
    
    http://git.gnome.org/browse/nautilus/commit/?id=64dcbea2a005e4ed8bb4945d06a943058b8c7ba8

 libcaja-private/caja-autorun.c        |    2 +-
 libcaja-private/caja-entry.c          |    2 +-
 libcaja-private/caja-icon-container.c |   96 ++++++++++++++++-----------------
 3 files changed, 50 insertions(+), 50 deletions(-)

commit 99699a1670fa6281cea8ce8612bb9866163059e7
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Mon Nov 5 14:09:22 2012 +0200

    [eel-labeled-image] convert to new GDK_KEY prefix

 eel/eel-labeled-image.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit aa81b74fa5297c28f6a83f926c1b6587781c7603
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Mon Nov 5 14:05:08 2012 +0200

    [eel-editable-label] convert to new GDK_KEY prefix
    
    http://git.gnome.org/browse/nautilus/commit/?id=499c54a20b64051e427ff5746fc7c8dd1a1885c2

 eel/eel-editable-label.c |   86 +++++++++++++++++++++++-----------------------
 1 file changed, 43 insertions(+), 43 deletions(-)

commit 42e70735c78d12d88ff9ec2d1c44d3edbadd29b5
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Mon Nov 5 13:56:30 2012 +0200

    [editable-label|entry] use GtkEditableClass on GTK2, GtkEditableInterface on GTK3
    
    editable-label: rename GtkEditableClass->GtkEditableInterface
    http://git.gnome.org/browse/nautilus/commit/?id=a58bbde4ca6b11eeb1bca5fa4e62e60c0b26271b
    
    entry: rename GtkEditableClass->GtkEditableInterface
    http://git.gnome.org/browse/nautilus/commit/?id=aeb53075ed55dc2a2ef3228917ded1b8029bfdff

 eel/eel-editable-label.c     |    5 +++--
 libcaja-private/caja-entry.c |   10 +++++++---
 2 files changed, 10 insertions(+), 5 deletions(-)

commit 40cd5a93ced42275631a3d86ad68219aa73cb7a3
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 22:56:14 2012 +0200

    [all] Don't use gtk_dialog_set_has_separator()
    
    http://git.gnome.org/browse/nautilus/commit/?id=73e2941f9b837d5d0326e6e88caa7a1e3fdcabeb

 libcaja-private/caja-autorun.c              |    1 -
 libcaja-private/caja-file-conflict-dialog.c |    1 -
 libcaja-private/caja-open-with-dialog.c     |    1 -
 src/caja-connect-server-dialog.c            |    1 -
 src/caja-location-dialog.c                  |    1 -
 src/caja-query-editor.c                     |    2 +-
 src/file-manager/fm-directory-view.c        |    5 ++---
 src/file-manager/fm-properties-window.c     |    1 -
 8 files changed, 3 insertions(+), 10 deletions(-)

commit 0819a3d1982403935eb70b958ad515494d1b9a0a
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 22:52:00 2012 +0200

    [lc-p/fm] Replace deprecated GDK_DISPLAY with GDK_DISPLAY_XDISPLAY
    
    Don't use GDK_DISPLAY ()
    http://git.gnome.org/browse/nautilus/commit/?id=b66ce0fd23500f9727c1aac93366430285575697

 libcaja-private/caja-autorun.c          |    3 ++-
 src/file-manager/fm-desktop-icon-view.c |    4 ++--
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 9cc5e9489fd7285759d7f4ed0d43028dabc7bd87
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 14:49:53 2012 +0200

    [fm-properties] use right link for the 'Media' help page
    
    preferences: use right link for the 'Media' help page (#564866).
    http://git.gnome.org/browse/nautilus/commit/?id=46544c9885b7064c216f1a9401d42bdb9816bdd2

 src/caja-file-management-properties.c |    4 ++++
 1 file changed, 4 insertions(+)

commit 6297e7ac4167b57e0e3076ae2648cdced4c2a5b8
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 04:51:45 2012 +0200

    [connect-dialog] don't use EEL boilerplate
    
    http://git.gnome.org/browse/nautilus/commit/?id=f233f2aeb78e5fd14c0b18f7a3c5e80b5e7c84c5

 src/caja-connect-server-dialog.c |   32 +++++++-------------------------
 1 file changed, 7 insertions(+), 25 deletions(-)

commit 938724fe165f8d1be66121b7d22c42ea3e258dbf
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 13:48:55 2012 +0200

    [places-sidebar] redesign the Places sidebar
    
    According to http://live.gnome.org/Nautilus/UIRoadmap/Places
    http://git.gnome.org/browse/nautilus/commit/?id=a59e586adf32eea64c9c4ae08a5482d2a9c37fb1
    
    Small followup commits also included in this commit:
    
    icon-names: fix a typo
    http://git.gnome.org/browse/nautilus/commit/?id=2f847f37f429062d58df3927d10bc52c67a4524f
    
    sidebar: fix bookmark renaming
    http://git.gnome.org/browse/nautilus/commit/?id=1fdfa522da3e7c672fe4202c591a928c8796bb06
    
    sidebar: add myself to the authors (Cosimo Cecchi <cosimoc@gnome.org>)
    http://git.gnome.org/browse/nautilus/commit/?id=0f7e56b5e0ae5134ed1d8caeadcb3c684ae7f661
    
    sidebar: don't allow selecting headers
    http://git.gnome.org/browse/nautilus/commit/?id=8277ddc798fc78793364b54444fa53e9a287b5cc
    
    sidebar: don't try to add non-existing special dirs
    http://git.gnome.org/browse/nautilus/commit/?id=0f70ac4bb782b3c3fb0f5e8a24032cb344fdb2cc

 libcaja-private/caja-icon-names.h |    2 +-
 src/caja-places-sidebar.c         |  820 +++++++++++++++++++++++++------------
 2 files changed, 557 insertions(+), 265 deletions(-)

commit f30de91c1ccc7f3cbaeb3c00c0f89e4443b01238
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 13:16:20 2012 +0200

    [places-sidebar] fix eject button highlighting
    
    http://git.gnome.org/browse/nautilus/commit/?id=2d9d47254908533d1eb20e16e091f91310052e93

 src/caja-places-sidebar.c |   56 ++++++++++++++++++++++++++-------------------
 1 file changed, 33 insertions(+), 23 deletions(-)

commit 5680dbcc4995bd860e0e7659481e3d2079b09382
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 13:14:25 2012 +0200

    [icon-info] add a method to fetch GIcons for user special dirs
    
    http://git.gnome.org/browse/nautilus/commit/?id=1df83c6586560a8ae5efc96037e673e52b4b119b

 libcaja-private/caja-icon-info.c  |   27 +++++++++++++++++++++++++++
 libcaja-private/caja-icon-info.h  |    2 ++
 libcaja-private/caja-icon-names.h |    9 +++++++++
 3 files changed, 38 insertions(+)

commit c7814e5022409a72afe03743b0198d964e0338b5
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 11:35:52 2012 +0200

    [pathbar] release the highlight path on dispose
    
    http://git.gnome.org/browse/nautilus/commit/?id=fd75e8f5e8b160eaba22ca4ed7efc852dba612a0

 src/caja-places-sidebar.c |   14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit bf89f7f0ec597cfc2458338643f9c6c00e80689b
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 11:33:02 2012 +0200

    [places-sidebar] don't update the icon if it's not visible
    
    This greatly reduces the number of times we have to create a pixbuf
    (only once-per-highlight now).
    http://git.gnome.org/browse/nautilus/commit/?id=6f5777b81958ce6f3dbc6bac3323d423d3dcc20b

 src/caja-places-sidebar.c |   58 +++++++++++++++++++++++++++++----------------
 1 file changed, 37 insertions(+), 21 deletions(-)

commit 3434cb86b4a292da136bccd86d5ab9a10707b113
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 11:30:45 2012 +0200

    [pathbar] make sure |path| is always valid and memory released
    
    http://git.gnome.org/browse/nautilus/commit/?id=a43bc7def3976947b9624113d18167211e76f9b8

 src/caja-places-sidebar.c |   16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit e9f10bb18e0b8e0c39c28630b7aab6d739afc80b
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 11:25:12 2012 +0200

    [places-sidebar] use _icon_info_lookup_from_name()
    
    http://git.gnome.org/browse/nautilus/commit/?id=f4ae07c8741d2e8cc6b96450c8bb86e532b59137

 src/caja-places-sidebar.c |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 408fb6c29f23b58f5fba2704b378c2d58151490b
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 11:21:31 2012 +0200

    [places-sidebar] Add highlight to eject icon
    
    Add highlight to eject icon in places sidebar (#544103)
    http://git.gnome.org/browse/nautilus/commit/?id=63b2cac301970847f76f7bdbd12835117958d9be

 src/caja-places-sidebar.c |  158 ++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 136 insertions(+), 22 deletions(-)

commit aaa289476ee990743ef573797736d7e42595a251
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Mon Nov 5 04:48:40 2012 +0200

    [eel] reorganize Makefile.am
    
    http://git.gnome.org/browse/nautilus/commit/?id=ad5e896e1ce04485a115ee684a695b42ea0378a5

 eel/Makefile.am |   71 ++++++++++++++++++++++++++-----------------------------
 1 file changed, 34 insertions(+), 37 deletions(-)

commit 235ac60d2e47057b7e1943c19e9126927888a301
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 11:00:28 2012 +0200

    [eel] remove eel_gdk_window_focus
    
    http://git.gnome.org/browse/nautilus/commit/?id=7e8d1dfa6a17fe9189bf2489b735cd6462f03571\

 eel/eel-gdk-extensions.c |   12 ------------
 eel/eel-gdk-extensions.h |    5 -----
 2 files changed, 17 deletions(-)

commit b50a7e051df6589e2d9059ec26329ec7be39a724
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 10:58:49 2012 +0200

    [icon-container] use gdk_window_focus
    
    http://git.gnome.org/browse/nautilus/commit/?id=6b06e0e27ca1cf29afd4fac716c58e15928a8ff8

 libcaja-private/caja-icon-container.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8030e5c8d2dc8bd03215584c7e433bafbe6e265a
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 10:55:15 2012 +0200

    [eel] remove EelAlertDialog. It is unused now
    
    http://git.gnome.org/browse/nautilus/commit/?id=fe94a33657d55a2463fa066e09a8ecbfc637c4bd

 eel/Makefile.am        |    2 -
 eel/eel-alert-dialog.c |  492 ------------------------------------------------
 eel/eel-alert-dialog.h |   60 ------
 3 files changed, 554 deletions(-)

commit a71f882835029bbcbd2f46f54f18407606a558a3
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 10:49:31 2012 +0200

    [all] use GtkMessageDialog instead of EelAlertDialog (going away)
    
    This covers 4 commits:
    
    file-operations: use GtkMessageDialog
    http://git.gnome.org/browse/nautilus/commit/?id=51ec5861ca0697e802e8c003053211ac12f2fd54
    
    mime-actions: use GtkMessageDialog
    http://git.gnome.org/browse/nautilus/commit/?id=7a3dcdd4bf667aac271be74988770e18575a7df2
    
    tree-view: don't include eel-alert-dialog.h
    http://git.gnome.org/browse/nautilus/commit/?id=930af7f3058eed256a42c0c1558c7307bb93f411
    
    [eel] use GtkMessageDialog for stock dialogs
    http://git.gnome.org/browse/nautilus/commit/?id=82c5b6c0d82ebd8a705d542fcc9aa58e6e9b0da4

 eel/eel-stock-dialogs.c                |   62 +++++++++++++++++++-------------
 libcaja-private/caja-file-operations.c |   23 ++++++------
 libcaja-private/caja-mime-actions.c    |   53 ++++++++++++++-------------
 src/file-manager/fm-tree-view.c        |    1 -
 4 files changed, 79 insertions(+), 60 deletions(-)

commit cebbe2c78c33b41e164d8e5318d7a51d8cd8839b
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 10:35:57 2012 +0200

    [eel] add a utility to pack details into a message dialog
    
    So that we can remove EelAlertDialog.
    http://git.gnome.org/browse/nautilus/commit/?id=a2b4de80a94b4e049f1d2a7ef00a174865b5c9ec

 eel/eel-gtk-extensions.c |   27 +++++++++++++++++++++++++--
 eel/eel-gtk-extensions.h |    4 ++++
 2 files changed, 29 insertions(+), 2 deletions(-)

commit e6b8ac93464b85b77b9a3cbcc932ab60a5a2b75c
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Mon Nov 5 03:16:44 2012 +0200

    [eel-gtk-extensions] remove eel_gtk_signal* utilities
    
    They're now unused.
    
    http://git.gnome.org/browse/nautilus/commit/?id=394cb741c3e59df66f924771d4ef68866e602faa

 eel/eel-gtk-extensions.c |   76 ----------------------------------------------
 eel/eel-gtk-extensions.h |   16 ----------
 2 files changed, 92 deletions(-)

commit 654e3c45484f0f082e5ba3ef097219476205caa4
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Mon Nov 5 03:13:26 2012 +0200

    [eel] remove functions to set widget backgrounds
    
    Now that we've removed eel_gtk_widget_set_background_color
    calls in eel-debug-drawing.c and test-eel-image-table.c,
    both it and _set_foreground_color are unused.
    
    Original commit:
    http://git.gnome.org/browse/nautilus/commit/?id=57b66862a53298468755e12ca3712569274f0a32

 eel/eel-debug-drawing.c     |    2 --
 eel/eel-gtk-extensions.c    |   32 --------------------------------
 eel/eel-gtk-extensions.h    |    4 ----
 test/test-eel-image-table.c |   16 +++++++---------
 4 files changed, 7 insertions(+), 47 deletions(-)

commit 5b952b5d19dc17b42845c78cd4b3d5f1b3243756
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 10:10:59 2012 +0200

    [eel] remove functions to handle accelerators
    
    These are unused now
    http://git.gnome.org/browse/nautilus/commit/?id=472f3e1433ecb3d5e1a7fc8707975f45dd8d0469

 eel/eel-gtk-extensions.c |   97 ----------------------------------------------
 eel/eel-gtk-extensions.h |    3 --
 2 files changed, 100 deletions(-)

commit a8ffe6f91bb6d67410fe886ef90deef1d5639aa9
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 09:45:11 2012 +0200

    [bkmrks-win/prop-brwsr] don't use eel_gtk_window_*_close_accelerator()
    
    bk-window: don't use _event_is_close_accelerator()
    http://git.gnome.org/browse/nautilus/commit/?id=cab696f7d760f5ee63f0a623b13d27b76d2f2d00
    
    Also needed to drop eel_gtk_window_set_up_close_accelerator() instance
    in src/caja-property-browser.c

 src/caja-bookmarks-window.c |    3 +--
 src/caja-property-browser.c |    1 -
 2 files changed, 1 insertion(+), 3 deletions(-)

commit 5d8273c1bc7e355e4f032bdc9d40363e01c689b6
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 09:42:40 2012 +0200

    [spatial-window] cleanups
    
    - Don't do anything other than checking/scheduling a source in the
      configure-event callback
    - Avoid useless roundtrips through GFile
    - Avoid some casts, so we don't do useless type-checking in a row on the
      same object
    
    http://git.gnome.org/browse/nautilus/commit/?id=93798c75a1ae3cbd3a85a4ce79b5521b562a7074

 src/caja-spatial-window.c |  290 ++++++++++++++++++---------------------------
 1 file changed, 114 insertions(+), 176 deletions(-)

commit f45deb706fa21131ae7fc1948be8ca735733e819
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 09:10:32 2012 +0200

    [window] remove dead prototypes
    
    http://git.gnome.org/browse/nautilus/commit/?id=5973bc50618d1fe69247e3e2ec6eb8cf3213000b

 src/caja-window-private.h |    3 ---
 src/caja-window.h         |    4 ----
 2 files changed, 7 deletions(-)

commit eebb24f7a768b7dc94705a2d6094ce043d105788
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 09:06:08 2012 +0200

    [desktop-window] cleanups
    
    http://git.gnome.org/browse/nautilus/commit/?id=ef13366e667f848adc6b96509612e3321554d188

 src/caja-desktop-window.c |   64 ++++++++++++++++++++-------------------------
 1 file changed, 28 insertions(+), 36 deletions(-)

commit 014c77b4c14c17454bfae71d8ba0b68e9911ecf6
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 09:01:45 2012 +0200

    [window] remove dead function caja_window_has_menubar_and_statusbar()
    
    http://git.gnome.org/browse/nautilus/commit/?id=eb88f44bd27e11607cb5466c943b9caad0202110

 src/caja-window.c |   16 ----------------
 src/caja-window.h |    1 -
 2 files changed, 17 deletions(-)

commit acc5445faffbaca14c2b325318e034cd6d8a5d73
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 08:58:31 2012 +0200

    [file-manager] autogenerate marshallers
    
    http://git.gnome.org/browse/nautilus/commit/?id=21e75511d2466bd814a31031472323d3cd8ae6c1

 src/file-manager/Makefile.am         |   37 +++++++++++++++++++++++++++++++++-
 src/file-manager/fm-directory-view.c |   12 +++++------
 2 files changed, 42 insertions(+), 7 deletions(-)

commit 40167f57fa40d667514b805d6253c372a4a1b9a4
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 25 13:15:36 2012 +0200

    [src] autogenerate marshallers
    
    http://git.gnome.org/browse/nautilus/commit/?id=608918449f548b0d3ea3e7916c944b077ac43e87

 src/Makefile.am         |   32 +++++++++++++++++++++++++++++---
 src/caja-query-editor.c |    4 ++--
 src/caja-window.c       |    6 +++---
 3 files changed, 34 insertions(+), 8 deletions(-)

commit ce96467ba24b0dc13262fb5cb7ae8eb674c2099e
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Oct 27 08:54:18 2012 +0200

    [lc-p] autogenerate marshallers
    
    http://git.gnome.org/browse/nautilus/commit/?id=6509c91b48f52c72c868f2ca7a9b47c46b9e0bc6

 libcaja-private/Makefile.am           |   40 ++++++++++++++++++++++-----------
 libcaja-private/caja-icon-container.c |   14 ++++++------
 libcaja-private/caja-marshal.c        |    2 --
 libcaja-private/caja-marshal.list     |   23 -------------------
 4 files changed, 34 insertions(+), 45 deletions(-)

commit 628b15b81b856d42bf00339d317cdcdc3200bbc4
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sun Oct 28 14:08:09 2012 +0200

    [eel] simplify build system
    
    Note:
    remove eel-types.h include in eel-wrap-table.c (which was removed
    upstream prior, along with eel-image-table.[ch], after removal of
    emblems/background-setting stuff, which we're not doing, yet).
    So change EEL_TYPE_JUSTIFICATION to GTK_TYPE_JUSTIFICATION, and
    EEL_JUSTIFICATION_BEGINNING to GTK_JUSTIFY_LEFT.
    
    Upstream commit/message:
    We don't need the enumtypes anymore, and the marshallers can easily be
    autogenerated.
    http://git.gnome.org/browse/nautilus/commit/?id=75a03a440ebff23ccbf8674ca4a0e9f6475ebbb8

 eel/Makefile.am      |   90 ++++++---------------
 eel/eel-background.c |    4 -
 eel/eel-types.c      |   82 -------------------
 eel/eel-types.h      |   32 --------
 eel/eel-wrap-table.c |   12 +--
 eel/eel.h            |    1 -
 eel/eelmarshal.list  |   13 ---
 eel/makeenums.pl     |  220 --------------------------------------------------
 eel/maketypes.awk    |  155 -----------------------------------
 9 files changed, 30 insertions(+), 579 deletions(-)

commit 09766159b53c812ddf55485511cdca457d89d80d
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 21:50:34 2012 +0200

    [lc-p] remove unused caja-iso9660.h
    
    http://git.gnome.org/browse/nautilus/commit/?id=52a37d6e46fc34cef6061bc91aa02847652f3c9d

 libcaja-private/Makefile.am    |    1 -
 libcaja-private/caja-iso9660.h |  110 ----------------------------------------
 2 files changed, 111 deletions(-)

commit f170ef87e7968633dd4fb3e166e2e2ff0cfbba70
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 21:48:25 2012 +0200

    [tree-model] ony display the first emblem
    
    Only display the first emblem we can render.
    http://git.gnome.org/browse/nautilus/commit/?id=1d660252b408f3628a2d3d5943abcf6bfdd9091b

 src/file-manager/fm-tree-model.c |   29 ++++++++++++-----------------
 1 file changed, 12 insertions(+), 17 deletions(-)

commit 935e1fed604f48e68d125d205c890a59f46f8f21
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Nov 14 23:05:53 2012 +0100

    new thumbnail frame
    from https://github.com/linuxmint/nemo/commit/fd6dd5d8bea7faf25eae9b80c94955f805e37c04

 icons/thumbnail_frame.png |  Bin 482 -> 2232 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 1a056cc77b431b2a013c052c78c0309ee52bc32b
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 21:31:20 2012 +0200

    [icon-info] add caja_icon_theme_can_render()
    
    http://git.gnome.org/browse/nautilus/commit/?id=110a0e8f2b9ec96b34e4b76390e3f78adc9cda30

 libcaja-private/caja-icon-info.c |   21 +++++++++++++++++++++
 libcaja-private/caja-icon-info.h |    2 ++
 2 files changed, 23 insertions(+)

commit 4799c0deb39be1abc4fadc693e73cd44aa7c4d36
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 21:19:09 2012 +0200

    [ln-p] remove NautilusCellRendererPixbufEmblem
    
    it's useless now
    http://git.gnome.org/browse/nautilus/commit/?id=25b48e9d1f4c847e2fc95b9b9893e63ba7081658

 libcaja-private/Makefile.am                        |    2 -
 libcaja-private/caja-cell-renderer-pixbuf-emblem.c |  502 --------------------
 libcaja-private/caja-cell-renderer-pixbuf-emblem.h |   68 ---
 3 files changed, 572 deletions(-)

commit 8e93e7838483152c96e7451292f1336f4ff67b40
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 21:17:08 2012 +0200

    [tree-view] don't use NautilusCellRendererPixbufEmblem
    
    http://git.gnome.org/browse/nautilus/commit/?id=d2cbf993766d7b63f50431ab483035d01c267cdb

 src/file-manager/fm-tree-view.c |    4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit eb1623a8c930746536a6119be9b30cecc6bf782d
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 21:12:07 2012 +0200

    [tree-model] use GEmblemedIcon to render emblems.
    
    Use GEmblemedIcon instead of a separate column to render emblems.
    http://git.gnome.org/browse/nautilus/commit/?id=1694d7141bbe4a29e54cff77def697a6c9b4e118

 src/file-manager/fm-tree-model.c |  135 ++++++++++++++------------------------
 src/file-manager/fm-tree-model.h |    1 -
 2 files changed, 49 insertions(+), 87 deletions(-)

commit b88f11c7af8f45328425594b633144f723c2b276
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 20:49:48 2012 +0200

    [list-view] don't use NautilusCellRendererPixbufEmblem
    
    http://git.gnome.org/browse/nautilus/commit/?id=69740a3c7fd3a2e1cea99c0dc61b3c735993e4bb

 src/file-manager/fm-list-view.c |    8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit 6986f1b631d2979ce0af28dc138537eed1a7b26b
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 20:24:12 2012 +0200

    [list-model] use GEmblemedIcon to render emblems
    
    Use GEmblemedIcon instead of other columns to render emblems.
    http://git.gnome.org/browse/nautilus/commit/?id=a187f8a4cdcc46f56c0cb03c31b9b7c92c747a88&context=6

 src/file-manager/fm-list-model.c |  149 +++++++++++++-------------------------
 src/file-manager/fm-list-model.h |    9 ---
 2 files changed, 49 insertions(+), 109 deletions(-)

commit c4e8827c8b614de43f10c7c6c3f50830b93b4fb9
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sat Nov 3 02:01:54 2012 +0200

    [eel] remove eel-pango-extensions
    
    http://git.gnome.org/browse/nautilus/commit/?id=e42ddad5109f193bf8a5b3c0c6cd7cf4b1408300

 eel/Makefile.am                    |    2 -
 eel/eel-lib-self-check-functions.h |    1 -
 eel/eel-pango-extensions.c         |  615 ------------------------------------
 eel/eel-pango-extensions.h         |   55 ----
 eel/eel.h                          |    1 -
 5 files changed, 674 deletions(-)

commit 74206714b6a34f49d5fa8f0b7b50f845f3836924
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Tue Nov 13 15:52:16 2012 +0200

    [sidebar-title] Use pango directly to set largest-fitting font size
    
    and don't include eel-pango-extensions, which is to be dropped.

 src/caja-sidebar-title.c |   48 ++++++++++++++++++++++++++++------------------
 1 file changed, 29 insertions(+), 19 deletions(-)

commit 4c9e9bc2b097323bd7b0717f055d5ee034260d22
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 16:31:50 2012 +0200

    [lc-p|eel-gtk-extensions] Don't include eel-pango-extensions.h
    
    http://git.gnome.org/browse/nautilus/commit/?id=f080b86daeb571def4c092e1524e9adfc7700699

 eel/eel-gtk-extensions.c                  |    1 -
 libcaja-private/caja-customization-data.c |    1 -
 libcaja-private/caja-file-operations.c    |    1 -
 libcaja-private/caja-icon-canvas-item.c   |    1 -
 4 files changed, 4 deletions(-)

commit cbdd65ce75e49a8c0cc4055bf0c02dad66cab0cd
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 16:43:59 2012 +0200

    [test] remove test-eel-image-scrolled
    
    http://git.gnome.org/browse/nautilus/commit/?id=931644a649175b1886dce5cc8e50c21380f8b8b0

 test/Makefile.am               |    2 -
 test/test-eel-image-scrolled.c |  187 ----------------------------------------
 2 files changed, 189 deletions(-)

commit aefeca5ceaf9350c7e7f4a89637dc775d4207d76
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 16:30:13 2012 +0200

    [eel] cleanup eel-vfs-extensions
    
    http://git.gnome.org/browse/nautilus/commit/?id=2f202206fee4e1917494e3f4652e22648097c765

 eel/eel-vfs-extensions.c |   28 ----------------------------
 eel/eel-vfs-extensions.h |    1 -
 2 files changed, 29 deletions(-)

commit 8a2b2890d08a7443f2272fdafce5f9c35c306add
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 16:29:02 2012 +0200

    [eel] cleanup eel-glib-extensions
    
    http://git.gnome.org/browse/nautilus/commit/?id=230581b5d58650c1f50f7d9fda9ab3a1f211361a

 eel/eel-glib-extensions.c |   89 ---------------------------------------------
 eel/eel-glib-extensions.h |   18 ---------
 2 files changed, 107 deletions(-)

commit ac338998d82df4082b6092135fa03d0e55282e6b
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 16:25:12 2012 +0200

    [eel] cleanup eel-mate-extensions
    
    http://git.gnome.org/browse/nautilus/commit/?id=fbccd9bfaa9c983dccc60d040b63b86521306788

 eel/eel-mate-extensions.c |   19 ++-----------------
 eel/eel-mate-extensions.h |    4 ----
 2 files changed, 2 insertions(+), 21 deletions(-)

commit 739bd11c7853e0e760c2373d44ff934729e5cbe0
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 16:23:26 2012 +0200

    [eel] remove unused eel_make_semitransparent()
    
    http://git.gnome.org/browse/nautilus/commit/?id=48c6012e89fb1362e418d4bf56c05614f1515eab

 eel/eel-graphic-effects.c |   84 ---------------------------------------------
 eel/eel-graphic-effects.h |    4 ---
 2 files changed, 88 deletions(-)

commit f61503852a1ba50b0a258438e7ce3ca4c7545f45
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 16:07:45 2012 +0200

    [eel] remove unused code from eel-gdk-extensions
    
    http://git.gnome.org/browse/nautilus/commit/?id=6b2a053985b8c37aa1038e7a01ab05d7dd15aa2e

 eel/eel-gdk-extensions.c |  197 ----------------------------------------------
 eel/eel-gdk-extensions.h |   27 -------
 2 files changed, 224 deletions(-)

commit 1e18c64a21b04f1ecb56d763614fb0da36a38408
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Mon Nov 5 04:36:53 2012 +0200

    [eel-gdk-pixbuf-extensions] don't include eel-art-gtk-extensions.h
    
    http://git.gnome.org/browse/nautilus/commit/?id=2bfd4e3694e2f726592bae5341d7e4c7464ec415

 eel/eel-gdk-pixbuf-extensions.c |    2 --
 1 file changed, 2 deletions(-)

commit 516b5208e0b3c368130334dbdf01b810486cd8d3
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 15:54:11 2012 +0200

    [eel] use glib's i18n API instead of eel's
    
    http://git.gnome.org/browse/nautilus/commit/?id=8447fd3670021530b6340829f27f1d689b633d3a

 eel/eel-alert-dialog.c    |    4 +++-
 eel/eel-canvas.c          |    2 +-
 eel/eel-editable-label.c  |    2 +-
 eel/eel-glib-extensions.c |    1 -
 eel/eel-mate-extensions.c |    1 -
 eel/eel-stock-dialogs.c   |    2 +-
 eel/eel-vfs-extensions.c  |    2 +-
 eel/eel-xml-extensions.c  |    2 +-
 8 files changed, 8 insertions(+), 8 deletions(-)

commit 27a47dfbe833e8ae08ce6f1bab75e1e0edec09dd
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 15:47:17 2012 +0200

    [eel] remove unused eel-i18n.[ch]
    
    was: [eel] remove eel-i18n.[ch]
    http://git.gnome.org/browse/nautilus/commit/?id=742b9fb1550ceec9284f581c3741c0a864ca82fd

 eel/Makefile.am |    2 --
 eel/eel-i18n.c  |   52 ----------------------------------------------------
 eel/eel-i18n.h  |   55 -------------------------------------------------------
 3 files changed, 109 deletions(-)

commit dc5d53f773d3a7fa9a0c5ce4e99185cc97789960
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 15:25:58 2012 +0200

    [lc-p] use the 'outline-stippling' property on DnD
    
    http://git.gnome.org/browse/nautilus/commit/?id=aa43821e73d60804a3f0f2ebafb66aab53b440e1

 libcaja-private/caja-icon-dnd.c |    1 +
 1 file changed, 1 insertion(+)

commit 250d31f0d9f533dee96c91859c54883179a896eb
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 15:24:25 2012 +0200

    [eel] add an 'outline-stippling' property to the rect item
    
    http://git.gnome.org/browse/nautilus/commit/?id=b453aaacb0b17392eacacd8a9e378b7227da6413

 eel/eel-canvas-rect-ellipse.c |   24 ++++++++++++++++++++++++
 eel/eel-canvas-rect-ellipse.h |    2 ++
 2 files changed, 26 insertions(+)

commit d602f60fa4df0d2913e2d6b45f32c4bb1020583a
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 15:18:56 2012 +0200

    [lc-p] properly dash the icon when resizing it
    
    http://git.gnome.org/browse/nautilus/commit/?id=b10d8c00395026719dc0840e9d82e682c7c4e436

 libcaja-private/caja-icon-canvas-item.c |   14 +++-----------
 1 file changed, 3 insertions(+), 11 deletions(-)

commit b8b05eb092ded402d9b0d1b0a80e0627ddbc657a
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 15:15:34 2012 +0200

    [lc-p] make drawing of resize knobs work again
    
    http://git.gnome.org/browse/nautilus/commit/?id=29d7b86087f6ab86f6abd6c3c08c4e1d94b92b36

 libcaja-private/caja-icon-canvas-item.c |   15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 3b6a715fca493281fdb2d0c83d69ce28a21732dc
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 15:02:37 2012 +0200

    [lc-p] port caja-icon-private to cairo drawing
    
    http://git.gnome.org/browse/nautilus/commit/?id=cbdf5829637093c0a5c0a4ff4d303ad184847627

 libcaja-private/caja-icon-private.h |    5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit c28f508865f21658ad4319a561f999c87cf94703
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 15:00:30 2012 +0200

    [lc-p] port caja-icon-dnd to cairo drawing
    
    http://git.gnome.org/browse/nautilus/commit/?id=34a376c97717cb05187b3d880e991c2d23511109

 libcaja-private/caja-icon-dnd.c |   46 +++++++--------------------------------
 libcaja-private/caja-icon-dnd.h |    8 +------
 2 files changed, 9 insertions(+), 45 deletions(-)

commit a694648f1a1a373f96e97b632627bb30d1c5646b
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 14:52:27 2012 +0200

    [lc-p] port CajaIconContainer to cairo drawing
    
    http://git.gnome.org/browse/nautilus/commit/?id=8eab39c06628da7cf919be77d922024198105f0a

 libcaja-private/caja-icon-container.c |   40 ++++-----------------------------
 1 file changed, 4 insertions(+), 36 deletions(-)

commit d51a2a8235d5d6dc380e0482d2fdddeb60b29dc1
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 14:47:33 2012 +0200

    [lc-p] port CajaIconCanvasItem to cairo drawing
    
    http://git.gnome.org/browse/nautilus/commit/?id=89bd44de6bb11450b88d9d160593b65d62467579

 libcaja-private/caja-icon-canvas-item.c |  181 +++++++++++++------------------
 1 file changed, 77 insertions(+), 104 deletions(-)

commit fada3fccfa2e72360fc932a9d58a01268bff0fea
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 14:05:37 2012 +0200

    [lc-p] port CajaDirectoryBackground to cairo drawing
    
    http://git.gnome.org/browse/nautilus/commit/?id=6c691075c09ec23620484da00ffd43d3dfe0b75b

 libcaja-private/caja-directory-background.c |    2 --
 1 file changed, 2 deletions(-)

commit 3731b35d212b5efed3835efe7e50be55970dfe8e
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 14:02:27 2012 +0200

    [lc-p] port CajaCellRendererPixbufEmblem to cairo drawing
    
    http://git.gnome.org/browse/nautilus/commit/?id=dfbf8b9b5636dceb3d6291c980d2c349afc849d7

 libcaja-private/caja-cell-renderer-pixbuf-emblem.c |   49 +++++++-------------
 1 file changed, 16 insertions(+), 33 deletions(-)

commit 299c8466cdf47ae0468a216c2392b719330a1971
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Mon Nov 5 02:32:23 2012 +0200

    [eel-image-table] remove useless GdkGC clear_gc, and unrealize method
    
    Not upstream as image-table was removed.

 eel/eel-image-table.c |   22 ----------------------
 1 file changed, 22 deletions(-)

commit ae0deb0d1da0060fa0bba24b0fb6a65e53dc94ee
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Oct 31 01:30:30 2012 +0200

    [eel-gtk-extensions] remove dead code
    
    As in the commit below, except move a few we still need around to
    eel-image-table, which has been removed upstream. Specifically moving:
    eel_gtk_widget_find_windowed_ancestor to: find_windowed_ancestor()
    eel_gtk_signal_connect_while_realized to: signal_connect_while_realized()
    Also move while_realized_disconnecter(), as it's needed by the latter.
    
    http://git.gnome.org/browse/nautilus/commit/?id=a904f4acd546151ab37ee03bcce87869a805c323

 eel/eel-gtk-extensions.c |  553 ----------------------------------------------
 eel/eel-gtk-extensions.h |   38 ----
 eel/eel-image-table.c    |  168 +++++++++++---
 3 files changed, 138 insertions(+), 621 deletions(-)

commit f9c3a1bd9499c47db2b32a0487ad3c91dbafeea9
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Nov 14 07:30:55 2012 +0200

    [information-panel] don't use eel_point_in_widget()
    
    nor in sidebar-title. the eel function is deprecated.

 src/caja-information-panel.c |   14 +++++++++++++-
 src/caja-sidebar-title.c     |   14 +++++++++++++-
 2 files changed, 26 insertions(+), 2 deletions(-)

commit e96bb83cdc1ed0753d2547463a4e6ec61f41de12
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Nov 14 07:29:08 2012 +0200

    [sidebar-title] use gtk_label_set_attributes, obsolete eel_gtk_label_set_scale

 src/caja-sidebar-title.c |    9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 638df47ee07a8f5b3ad4cea9639ac05713ab328f
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Nov 14 07:20:41 2012 +0200

    [sidebar-title] try to use GtkStyle in _select_text_color()
    
    Hopefully this will play better with themes, when a custom (EelBackground)
    background is not set in the widget.

 src/caja-information-panel.c |    4 +-
 src/caja-sidebar-title.c     |  126 +++++++++++++++++++++++++++---------------
 src/caja-sidebar-title.h     |    3 +-
 3 files changed, 84 insertions(+), 49 deletions(-)

commit 4822b93ad236a03564af286f8a65984e9020f53c
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Sun Nov 4 15:58:07 2012 +0200

    [eel] add wrap_table_child_visible_in, replace eel_gtk_viewport_*_rect
    
    Not upstream, as wrap-table have been removed, and the said functions are
    marked for removal from eel-gtk-extensions

 eel/eel-wrap-table.c |   66 ++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 48 insertions(+), 18 deletions(-)

commit 7dd50ac5969408e7f1fd1d452c13537a45731c58
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Fri Nov 2 22:32:24 2012 +0200

    [property-browser] use gtk_label_set_attributes, obsolete eel_gtk_label_set_scale
    
    Not upstream because property-browser removed. But as in upstream,
    eel_gtk_label_set_scale() is going away in next eel-gtk-extensions.[ch]
    cleanup.

 src/caja-property-browser.c |    8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit ef8b06eaa8c26e592e9028b8a93361653abfb8ed
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 13:26:31 2012 +0200

    [eel] port eel-gdk-pixbuf-extensions to cairo drawing
    
    http://git.gnome.org/browse/nautilus/commit/?id=172af77cfbdc4910034a100a99aa1ec2cb843495

 eel/eel-gdk-pixbuf-extensions.c |   28 +++++++++-------------------
 eel/eel-gdk-pixbuf-extensions.h |    7 +------
 2 files changed, 10 insertions(+), 25 deletions(-)

commit 92ff8b1860812a2cb58bfb492765b109411d8fd5
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 13:22:16 2012 +0200

    [eel] port eel-gdk-extensions to cairo drawing
    
    http://git.gnome.org/browse/nautilus/commit/?id=917a27a6f69509720fadd0d50e40dbc87ae9f5d2

 eel/eel-gdk-extensions.c |   92 +++++++---------------------------------------
 eel/eel-gdk-extensions.h |    5 ---
 2 files changed, 14 insertions(+), 83 deletions(-)

commit 0fdc303dd11b419465d299b36307010ce3221cfa
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 13:12:33 2012 +0200

    [eel] port EelEditableLabel to cairo drawing
    
    http://git.gnome.org/browse/nautilus/commit/?id=6cb78fb15c89e53e60ee54dc8b773db6ca0def73

 eel/eel-editable-label.c |  221 ++++++++++------------------------------------
 eel/eel-editable-label.h |    3 -
 2 files changed, 48 insertions(+), 176 deletions(-)

commit e68ea5c0a9cd2f4f1d88cc9fd38f1e80b2399291
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 12:31:22 2012 +0200

    [eel] port eel-debug-drawing to cairo drawing
    
    http://git.gnome.org/browse/nautilus/commit/?id=e716f82eea847e5298d773e2689642813db3d36e

 eel/eel-debug-drawing.c |   53 +++++++++++++++++------------------------------
 1 file changed, 19 insertions(+), 34 deletions(-)

commit adfba98c507fd731a96a0551176050b697c14379
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 12:26:02 2012 +0200

    [eel] port EelCanvas to cairo drawing
    
    http://git.gnome.org/browse/nautilus/commit/?id=759f3401bee333caf6d0ae6ae9820cdadda440e4

 eel/eel-canvas.c |   77 +++++++-----------------------------------------------
 eel/eel-canvas.h |   13 ---------
 2 files changed, 9 insertions(+), 81 deletions(-)

commit 51cc028ce329709ad18a1bafcfeafe09d042e1f6
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Fri Nov 2 17:47:27 2012 +0200

    [eel] port EelCanvasRE to cairo drawing
    
    http://git.gnome.org/browse/nautilus/commit/?id=820d4088a4d1768cf7e16de3c8ec0d7ff383f473

 eel/eel-canvas-rect-ellipse.c |  404 +++++++----------------------------------
 eel/eel-canvas-rect-ellipse.h |    9 -
 2 files changed, 68 insertions(+), 345 deletions(-)

commit 550088d1a2c753fde171f8cb2d6d2fa97ddef4ea
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Thu Oct 18 11:55:38 2012 +0200

    [eel] port EelBackground to cairo drawing
    
    http://git.gnome.org/browse/nautilus/commit/?id=28b6813b77c4776b789231d3c64be3be01748608

 eel/eel-background.c |   37 ++++++++++++-------------------------
 1 file changed, 12 insertions(+), 25 deletions(-)

commit cd3a526a667083e24dd0d98c9b33ee42dd85f081
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Mon Nov 5 04:07:50 2012 +0200

    [general] Adds option to open new tab in tab bar context menu
    
    http://git.gnome.org/browse/nautilus/commit/?id=8598d769993843e1e6529a661fea034785ca0091

 src/caja-navigation-window-menus.c |   33 +--------------------------------
 src/caja-navigation-window-pane.c  |   20 ++++++++++++++++++++
 src/caja-window.c                  |   35 +++++++++++++++++++++++++++++++++++
 src/caja-window.h                  |    1 +
 4 files changed, 57 insertions(+), 32 deletions(-)

commit 96ce55723c4916ed17bc8c69e12b99fdac2ad6af
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Tue Oct 30 18:51:39 2012 +0200

    [src] remove 2 unused includes

 src/caja-navigation-window-menus.c      |    1 -
 src/file-manager/fm-properties-window.c |    1 -
 2 files changed, 2 deletions(-)

commit ea7bc87871154c2239f25d84191add2d4b630022
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Wed Oct 31 07:16:33 2012 +0200

    [eel] Use GdkRegion on GTK2, cairo_region_t on GTK3
    
    http://git.gnome.org/browse/nautilus/commit/?id=3b671558f1d8ac1ee72e8af13d4ede6ab549a400

 eel/eel-canvas-rect-ellipse.c |   24 +++++++++++++++---------
 eel/eel-canvas.c              |    8 +++++++-
 eel/eel-editable-label.c      |   14 ++++++++++----
 3 files changed, 32 insertions(+), 14 deletions(-)

commit ec92a520965f420af7d00ad8e347f62106bbc578
Author: Jasmine Hassan <jasmine.aura@gmail.com>
Date:   Fri Oct 26 18:12:05 2012 +0200

    [configure] bump GTK version to 2.24.0
    
    About time, no?

 configure.in |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit f46c1eaa4736787fe7f48191b87b780588dedf99
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Oct 25 23:17:33 2012 +0200

    remove unused profiling in configure.in
    https://bugzilla.gnome.org/show_bug.cgi?id=661632

 configure.in |   21 ---------------------
 1 file changed, 21 deletions(-)

commit 3e95aa47a6803de559a84f7b896d59bebdecfd26
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Oct 23 19:34:50 2012 +0200

    update POTFILES.in

 po/POTFILES.in |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 1606182d019b29680eb6401f96137e89605a059e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Oct 23 19:29:10 2012 +0200

    fix MATE => GNOME Documentation team

 src/caja-window-menus.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f16ff1f02c2a2f08974233ba134379bcee5a038a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Oct 23 19:28:00 2012 +0200

    set default font in gsettings schema

 libcaja-private/org.mate.caja.gschema.xml.in |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 79c06c0d58b7aa60e8e9308547ae9341c3f13d1b
Author: Nelson Marques <nmo.marques@gmail.com>
Date:   Mon Oct 22 00:31:31 2012 +0100

    update licences files:
     - COPYING-DOCS, http://www.gnu.org/licenses/fdl-1.1.txt
     - COPYING, http://www.gnu.org/licenses/gpl-2.0.txt
     - COPYING.LIB, http://www.gnu.org/licenses/lgpl-2.0.txt

 COPYING      |   38 ++++++++++++++++----------------------
 COPYING-DOCS |    6 +++---
 COPYING.LIB  |   21 ++++++++++-----------
 3 files changed, 29 insertions(+), 36 deletions(-)

commit 6a9dafae3830f46636e016c3c741b2f3df131620
Author: Nelson Marques <nmo.marques@gmail.com>
Date:   Thu Oct 18 16:31:17 2012 +0100

    remove MATE from Categories in .desktop files

 data/caja-browser.desktop.in.in                    |    2 +-
 data/caja-computer.desktop.in.in                   |    2 +-
 data/caja-file-management-properties.desktop.in.in |    2 +-
 data/caja-home.desktop.in.in                       |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 7a1bfda3d13786aa8e94da64f875f9acd623d3b3
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Oct 17 10:59:06 2012 +0200

    add missing include

 libcaja-private/caja-ui-utilities.c |    1 +
 1 file changed, 1 insertion(+)

commit 8b512df6f66ae1c68f3232070fffba0df9a7506d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Oct 15 11:44:44 2012 +0200

    add missing includes

 libcaja-private/caja-ui-utilities.c |    2 ++
 1 file changed, 2 insertions(+)

commit 2bad19e7888648507079d10340a01a4aa6b24e12
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Oct 10 19:35:21 2012 +0200

    refactor thumbnails code

 libcaja-private/caja-directory-async.c |    2 +-
 libcaja-private/caja-file.c            |   23 +-
 libcaja-private/caja-thumbnails.c      |  498 +-------------------------------
 libcaja-private/caja-thumbnails.h      |   37 ---
 libcaja-private/caja-ui-utilities.c    |   57 ++++
 libcaja-private/caja-ui-utilities.h    |    1 +
 6 files changed, 85 insertions(+), 533 deletions(-)

commit 2fbc016ecf597878e7a650db8f80ed91a49176b8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Sep 6 23:35:18 2012 +0200

    replace mate-open with gvfs-open

 libcaja-private/caja-recent.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 278df62878f2981dea980c5f48e791e047b9d5f1
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Sep 6 23:34:12 2012 +0200

    remove old undo code

 libcaja-private/Makefile.am                 |    9 -
 libcaja-private/caja-entry.c                |    3 -
 libcaja-private/caja-undo-manager.c         |  320 -------------------------
 libcaja-private/caja-undo-manager.h         |   82 -------
 libcaja-private/caja-undo-private.h         |   36 ---
 libcaja-private/caja-undo-signal-handlers.c |  345 ---------------------------
 libcaja-private/caja-undo-signal-handlers.h |   37 ---
 libcaja-private/caja-undo-transaction.c     |  343 --------------------------
 libcaja-private/caja-undo-transaction.h     |   80 -------
 libcaja-private/caja-undo.c                 |  218 -----------------
 libcaja-private/caja-undo.h                 |   77 ------
 po/POTFILES.in                              |    1 -
 src/caja-application.c                      |    6 -
 src/caja-application.h                      |    2 -
 src/caja-bookmarks-window.c                 |   33 +--
 src/caja-bookmarks-window.h                 |    7 +-
 src/caja-navigation-window-menus.c          |    1 -
 src/caja-navigation-window.c                |    1 -
 src/caja-spatial-window.c                   |    1 -
 src/caja-window-bookmarks.c                 |    9 +-
 src/caja-window-menus.c                     |   17 --
 src/caja-window.c                           |    2 -
 src/caja-window.h                           |    1 +
 src/file-manager/fm-properties-window.c     |   23 --
 24 files changed, 19 insertions(+), 1635 deletions(-)

commit f426641aacea9d5f7683be776536bc6301c7baef
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Sep 6 14:14:59 2012 +0200

    remove latest mateconf usage
    metadata saved in files instead of migrate to gsettings
    (caja-desktop-metadata.c is from nautilus)

 configure.in                                  |    2 +-
 eel/eel-background.c                          |    6 +-
 eel/eel-background.h                          |    2 +-
 libcaja-private/Makefile.am                   |    2 +
 libcaja-private/caja-desktop-directory-file.c |  157 +------------
 libcaja-private/caja-desktop-directory-file.h |   10 -
 libcaja-private/caja-desktop-icon-file.c      |    5 +-
 libcaja-private/caja-desktop-metadata.c       |  294 +++++++++++++++++++++++++
 libcaja-private/caja-desktop-metadata.h       |   47 ++++
 libcaja-private/caja-directory-background.c   |  130 +++--------
 libcaja-private/caja-global-preferences.c     |   19 +-
 libcaja-private/caja-global-preferences.h     |    4 +-
 libcaja-private/caja-metadata.h               |    3 -
 src/caja-convert-metadata.c                   |  121 +---------
 src/caja-emblem-sidebar.c                     |    9 -
 15 files changed, 395 insertions(+), 416 deletions(-)

commit 465e6ae56a2a81cd346d573532dc4a39c16df225
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 22:35:13 2012 +0200

    bump minimum mate-desktop version (for gsettings schemas)

 configure.in |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9ae0bb2d19e638a86eaead0d387e572733d38771
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 22:27:22 2012 +0200

    remove lockdown from monitored MateConf paths

 libcaja-private/caja-global-preferences.c |    1 -
 1 file changed, 1 deletion(-)

commit 79b4d49087d25ce067e9e40ab5e9ee7a70228f6a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 22:26:43 2012 +0200

    convert disable-command-line lockdown to gsettings

 libcaja-private/caja-global-preferences.c |    2 ++
 libcaja-private/caja-global-preferences.h |    5 +++--
 src/file-manager/fm-desktop-icon-view.c   |   29 ++++++++---------------------
 src/file-manager/fm-directory-view.c      |   29 ++++++-----------------------
 4 files changed, 19 insertions(+), 46 deletions(-)

commit 2c7506960cf25b2e35347a95e0eabf9d6acbd8a1
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 22:18:47 2012 +0200

    removed eel_mateconf_monitor_add occurrence

 libcaja-private/caja-directory-background.c |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit ff794577433f03b7edc6d4ee164f753583882b8b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 22:09:18 2012 +0200

    remove unused gsettings schema keys

 libcaja-private/org.mate.caja.gschema.xml.in |   13 -------------
 1 file changed, 13 deletions(-)

commit 24354f61c1cd37d393e67817bbb73da69563c51d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 22:03:28 2012 +0200

    delete mateconf schema

 configure.in                                     |    2 +-
 libcaja-private/apps_caja_preferences.schemas.in | 1205 ----------------------
 2 files changed, 1 insertion(+), 1206 deletions(-)

commit be3f666650c0da1aac5232291d83a51e127b005e
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 21:59:16 2012 +0200

    remove latest mateconf stuff

 eel/Makefile.am                             |    7 -
 eel/eel-enumeration.c                       |  555 ---------
 eel/eel-enumeration.h                       |   63 -
 eel/eel-lib-self-check-functions.h          |    4 +-
 eel/eel-mateconf-extensions.c               |  687 -----------
 eel/eel-mateconf-extensions.h               |   78 --
 eel/eel-preferences-builder.c               |  646 ----------
 eel/eel-preferences.c                       | 1764 ---------------------------
 eel/eel-preferences.h                       |  165 ---
 eel/eel.h                                   |    3 -
 libcaja-private/caja-desktop-link-monitor.c |   12 +-
 libcaja-private/caja-directory-background.c |    2 +-
 libcaja-private/caja-global-preferences.c   |   52 -
 libcaja-private/caja-global-preferences.h   |    2 +-
 libcaja-private/caja-icon-container.c       |   27 +-
 libcaja-private/caja-program-choosing.c     |    1 -
 po/POTFILES.in                              |    1 -
 src/caja-connect-server-dialog-main.c       |    2 -
 src/caja-file-management-properties-main.c  |    3 -
 src/caja-file-management-properties.c       |   23 +-
 src/caja-history-sidebar.c                  |    1 -
 src/caja-navigation-window-pane.c           |    2 -
 src/caja-pathbar.c                          |    1 -
 src/caja-places-sidebar.c                   |    1 -
 src/caja-window-menus.c                     |    1 -
 src/file-manager/fm-tree-view.c             |    1 -
 test/test.c                                 |    2 -
 27 files changed, 26 insertions(+), 4080 deletions(-)

commit 45742f8351e2991d54b00189f6e0c772e257f395
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 21:43:27 2012 +0200

    convert last eel_preference users to raw mateconf
    from nautilus patch:
    This is moslty the lockdown stuff, but we also access the background
    setting. This should be converted to use the new gsettings when they
    land.

 libcaja-private/caja-global-preferences.c    |  255 +-------------------------
 libcaja-private/caja-global-preferences.h    |    4 +
 libcaja-private/org.mate.caja.gschema.xml.in |    2 +-
 src/caja-connect-server-dialog-main.c        |    1 +
 src/file-manager/fm-desktop-icon-view.c      |   25 ++-
 src/file-manager/fm-directory-view.c         |   21 ++-
 6 files changed, 47 insertions(+), 261 deletions(-)

commit 3674c4ca12e2e33cf6669bc3701acd98c3643ec5
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 20:55:00 2012 +0200

    initialize gsettings in nautilus-connect-server

 src/caja-connect-server-dialog-main.c |    1 +
 1 file changed, 1 insertion(+)

commit e97eba684fb1b1bbe2b65624beee2402d2199004
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 20:54:05 2012 +0200

    remove old file-limit preference

 libcaja-private/caja-directory-async.c |    3 +-
 libcaja-private/caja-directory.c       |   27 ------------------
 libcaja-private/caja-directory.h       |    1 -
 src/file-manager/fm-directory-view.c   |   47 --------------------------------
 src/file-manager/fm-directory-view.h   |    9 ------
 5 files changed, 1 insertion(+), 86 deletions(-)

commit bb2f625689b6ffc91ab93eecb4da96a10ecdabdc
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 20:50:26 2012 +0200

    fix conversion of enable-delete

 src/file-manager/fm-directory-view.c |    9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit e4a0de637eb7c3ae3bbbcbe323c3f858161487e9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 20:48:07 2012 +0200

    move desktop-font preference to desktop settings

 libcaja-private/caja-global-preferences.h    |    2 +-
 libcaja-private/org.mate.caja.gschema.xml.in |   10 +++++-----
 src/file-manager/fm-desktop-icon-view.c      |    4 ++--
 3 files changed, 8 insertions(+), 8 deletions(-)

commit e13142565949e577ae589c0e93527b6698614281
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 20:43:59 2012 +0200

    convert list-view preferences to gsettings
    also move the sort order prefs from view-specific to common prefs
    we already only have one UI setting that controls both, so it makes
    no sense to have two settings.
    
    (from nautilus 3.0)

 libcaja-private/caja-global-preferences.c    |   55 +---------------
 libcaja-private/caja-global-preferences.h    |   24 ++-----
 libcaja-private/org.mate.caja.gschema.xml.in |   44 ++++---------
 src/caja-file-management-properties.c        |   41 +++++++-----
 src/file-manager/fm-icon-view.c              |   82 ++++-------------------
 src/file-manager/fm-list-view.c              |   91 ++++++++++++++++++--------
 6 files changed, 119 insertions(+), 218 deletions(-)

commit db145cb919be1242260d06095660405f415774d6
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 20:21:31 2012 +0200

    add eel_g_settings_add_auto_strv

 eel/eel-glib-extensions.c |   26 ++++++++++++++++++++++++++
 eel/eel-glib-extensions.h |    3 +++
 2 files changed, 29 insertions(+)

commit 23061821f52497d45a066da966cef5c9e6024cab
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 20:19:18 2012 +0200

    remove unused news side pane preferences

 libcaja-private/caja-global-preferences.h |    4 ----
 1 file changed, 4 deletions(-)

commit 617f5c6f7115357f4c5f92175c9ff4c9be99359c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 20:18:19 2012 +0200

    convert compact view prefs to gsettings

 libcaja-private/caja-global-preferences.c |   10 +---------
 libcaja-private/caja-global-preferences.h |    5 +++--
 src/caja-file-management-properties.c     |   14 +++++++-------
 src/file-manager/fm-icon-view.c           |   29 +++++++++++++++++++----------
 4 files changed, 30 insertions(+), 28 deletions(-)

commit c042e64ccabe8da21f2251301bc0536922d44560
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 20:10:22 2012 +0200

    convert tree sidebar prefs to gsettings

 libcaja-private/caja-global-preferences.c |    7 +------
 libcaja-private/caja-global-preferences.h |    3 ++-
 src/caja-file-management-properties.c     |    6 +++---
 src/file-manager/fm-tree-view.c           |   12 ++++++++----
 4 files changed, 14 insertions(+), 14 deletions(-)

commit 245d15cb31565d31bdb380b8a689489732748ac5
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 20:05:27 2012 +0200

    fix typo

 libcaja-private/caja-desktop-link-monitor.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4ce75a73f8a69f906a784a7704be7891e7519d81
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 19:50:04 2012 +0200

    convert desktop preferences to gsettings

 libcaja-private/caja-desktop-link-monitor.c  |   41 +++++----
 libcaja-private/caja-desktop-link.c          |   86 ++++++++++++-------
 libcaja-private/caja-global-preferences.c    |  116 +-------------------------
 libcaja-private/caja-global-preferences.h    |   21 ++---
 libcaja-private/caja-icon-container.c        |   19 +++--
 libcaja-private/org.mate.caja.gschema.xml.in |    6 +-
 src/caja-file-management-properties.c        |    6 +-
 src/caja-file-management-properties.ui       |    9 ++
 8 files changed, 119 insertions(+), 185 deletions(-)

commit 1a64f79e50328465453567515ddd62c3ea394662
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 19:17:02 2012 +0200

    fix desktop-is-home-dir gsettings conversion

 libcaja-private/caja-file-utilities.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a114197e7fd0a8dba9fbafccac03c795d3819a9b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 19:14:13 2012 +0200

    fix desktop-font gsettings conversion

 src/file-manager/fm-desktop-icon-view.c |   11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 12e085081592626b01721bebd07c22b69d1b4262
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 19:08:00 2012 +0200

    convert icon-view preferences to gsettings

 libcaja-private/caja-file.c               |    9 +--
 libcaja-private/caja-global-preferences.c |   72 +++-------------------
 libcaja-private/caja-global-preferences.h |   21 ++++---
 libcaja-private/caja-icon-container.c     |   21 ++++---
 libcaja-private/caja-thumbnails.c         |    5 +-
 src/caja-file-management-properties.c     |   37 +++++------
 src/file-manager/fm-desktop-icon-view.c   |   18 +++---
 src/file-manager/fm-directory-view.c      |   10 +--
 src/file-manager/fm-icon-container.c      |    6 +-
 src/file-manager/fm-icon-view.c           |   95 ++++++++++++++++++++---------
 10 files changed, 147 insertions(+), 147 deletions(-)

commit d66d6c4b4f07b9a18a81b0ac369a779c74af6e39
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 17:26:04 2012 +0200

    add some more g_settings auto helpers to eel-glib-extensions

 NEWS                      |    1 +
 eel/eel-glib-extensions.c |   85 +++++++++++++++++++++++++++++++++++++++++++++
 eel/eel-glib-extensions.h |    9 +++++
 3 files changed, 95 insertions(+)

commit 16be9e9816c2201c049c411572343b0c4c408552
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 17:20:48 2012 +0200

    convert preview settings to gsettings

 libcaja-private/caja-file.c               |   22 +++++---
 libcaja-private/caja-global-preferences.c |   32 -----------
 libcaja-private/caja-global-preferences.h |    8 +--
 src/caja-file-management-properties.c     |   85 ++++++++++++++++++++++++-----
 src/file-manager/fm-directory-view.c      |   10 ++--
 src/file-manager/fm-icon-view.c           |    5 +-
 6 files changed, 97 insertions(+), 65 deletions(-)

commit 562875c2ed80bd7501fb161564ab88c731ac497c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 16:55:12 2012 +0200

    convert show-directory-item-counts to gsettings

 libcaja-private/caja-directory.c          |    7 ++++---
 libcaja-private/caja-file.c               |    9 +++++----
 libcaja-private/caja-global-preferences.c |   12 ------------
 libcaja-private/caja-global-preferences.h |    2 +-
 src/caja-file-management-properties.c     |    8 ++++----
 src/caja-sidebar-title.c                  |   11 +++++++----
 6 files changed, 21 insertions(+), 28 deletions(-)

commit 46925062b04255e723ff931ac82aefda9cfc516d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 16:48:07 2012 +0200

    convert show-text-in-icons to gsettings

 libcaja-private/caja-directory.c          |    7 ++++---
 libcaja-private/caja-file.c               |    9 +++++----
 libcaja-private/caja-global-preferences.c |    7 -------
 libcaja-private/caja-global-preferences.h |    2 +-
 src/caja-file-management-properties.c     |   10 +++++-----
 5 files changed, 15 insertions(+), 20 deletions(-)

commit f0ca3e5a0329fa0c4a2fe5b6b941e660b547e113
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 16:43:01 2012 +0200

    remove unused search-bar-type setting

 libcaja-private/caja-global-preferences.c |   24 ------------------------
 libcaja-private/caja-global-preferences.h |    3 ---
 2 files changed, 27 deletions(-)

commit bd2d552864805962945aee83d4591019dbffaebc
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 16:41:03 2012 +0200

    convert default-folder-view to gsettings

 libcaja-private/caja-global-preferences.c |   19 +------------------
 libcaja-private/caja-global-preferences.h |    2 +-
 src/caja-file-management-properties.c     |   14 +++++++-------
 3 files changed, 9 insertions(+), 26 deletions(-)

commit 463bd5ef2cbba8d6c3c84a610d26fb5e427c6cab
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 16:18:41 2012 +0200

    fix media gsettings keys names

 libcaja-private/caja-global-preferences.h |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 3f1231c4539d2dfb3620b89e978157be6302ef53
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 16:17:30 2012 +0200

    convert sort-directories-first to gsettings

 libcaja-private/caja-global-preferences.c |    5 -----
 libcaja-private/caja-global-preferences.h |    2 +-
 src/caja-file-management-properties.c     |    6 +++---
 src/file-manager/fm-directory-view.c      |   14 ++++++++------
 4 files changed, 12 insertions(+), 15 deletions(-)

commit bf5ae0b15f125d949e4e8cc2a52abb94f809dc94
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 15:57:35 2012 +0200

    convert window-state to gsettings

 libcaja-private/caja-global-preferences.c |   36 +---------
 libcaja-private/caja-global-preferences.h |   21 +++---
 src/caja-application.c                    |    8 +--
 src/caja-navigation-window-pane.c         |   16 ++---
 src/caja-navigation-window.c              |  102 +++++++++++------------------
 5 files changed, 60 insertions(+), 123 deletions(-)

commit 5164b9fd8c316da50ec10ef944c389dc98f140dd
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 15:11:30 2012 +0200

    convert install-mime-activation to gsettings

 libcaja-private/caja-global-preferences.c |    5 -----
 libcaja-private/caja-global-preferences.h |    2 +-
 libcaja-private/caja-mime-actions.c       |    2 +-
 3 files changed, 2 insertions(+), 7 deletions(-)

commit 3f9a8ff95dd0632f52ecdbe4067fffd7b3c0df20
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 15:09:52 2012 +0200

    convert exit with last window to gsettings

 libcaja-private/caja-global-preferences.c |    5 -----
 libcaja-private/caja-global-preferences.h |    2 +-
 src/caja-main.c                           |    2 +-
 3 files changed, 2 insertions(+), 7 deletions(-)

commit f0ef6466ec0987807fcffdd41b09e88fc1292802
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 15:07:40 2012 +0200

    convert new tab position to gsettings

 libcaja-private/caja-global-preferences.c |   17 -----------------
 libcaja-private/caja-global-preferences.h |    2 +-
 libcaja-private/caja-mime-actions.c       |    2 +-
 src/caja-navigation-window-menus.c        |    2 +-
 src/caja-window-manage-views.c            |    2 +-
 5 files changed, 4 insertions(+), 21 deletions(-)

commit ab3a27b67b830897c49ecf395ee5e63e4dfdfc26
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 15:00:29 2012 +0200

    convert always-use-browser to gsettings

 libcaja-private/caja-global-preferences.c |    5 ----
 libcaja-private/caja-global-preferences.h |    2 +-
 src/caja-application.c                    |    6 ++---
 src/caja-bookmarks-window.c               |    2 +-
 src/caja-connect-server-dialog-nonmain.c  |    2 +-
 src/caja-file-management-properties.c     |   37 ++++++++++++++++++++++++++---
 src/caja-navigation-window-menus.c        |    2 +-
 src/caja-navigation-window.c              |   13 ++++++----
 src/caja-window-manage-views.c            |    2 +-
 src/file-manager/fm-directory-view.c      |   10 ++++----
 10 files changed, 56 insertions(+), 25 deletions(-)

commit b10e30db918ff889bb06540e129b3f31b2815da2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 14:44:07 2012 +0200

    convert click-policy to gsettings

 libcaja-private/caja-global-preferences.c |   24 ------------------------
 libcaja-private/caja-global-preferences.h |    2 +-
 libcaja-private/caja-icon-canvas-item.c   |    7 ++++---
 src/caja-file-management-properties.c     |    8 ++++----
 src/caja-history-sidebar.c                |   15 ++++++++-------
 src/file-manager/fm-directory-view.c      |   10 ++++++----
 src/file-manager/fm-icon-view.c           |    2 +-
 src/file-manager/fm-list-view.c           |    5 +++--
 8 files changed, 27 insertions(+), 46 deletions(-)

commit f82a305cde0842e53d7468ce37b4cd02161838c5
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 14:19:23 2012 +0200

    convert executable-text-activation to gsettings

 libcaja-private/caja-global-preferences.c |   29 ----------
 libcaja-private/caja-global-preferences.h |    2 +-
 libcaja-private/caja-mime-actions.c       |    8 +--
 src/caja-file-management-properties.c     |   85 +++++++++++++++++++++++++++--
 4 files changed, 86 insertions(+), 38 deletions(-)

commit f3fda69cae01b52e65a5608ed7c86d2abbb8f80a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 14:13:02 2012 +0200

    convert mouse preferences to gsettings

 libcaja-private/caja-global-preferences.c |   15 ---------------
 libcaja-private/caja-global-preferences.h |    6 +++---
 src/caja-navigation-window.c              |   28 +++++++++++++++-------------
 3 files changed, 18 insertions(+), 31 deletions(-)

commit 8e8764286d4a3f65839dfdd4019b4f22fe3eabe4
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 14:00:24 2012 +0200

    convert date-format to gsettings
    add eel_g_settings_add_auto_enum in eel/eel-glib-extensions.c

 eel/eel-glib-extensions.c                 |   24 +++++++++++++
 eel/eel-glib-extensions.h                 |    4 +++
 libcaja-private/caja-directory.c          |    7 ++--
 libcaja-private/caja-file.c               |    6 ++--
 libcaja-private/caja-global-preferences.c |   17 ---------
 libcaja-private/caja-global-preferences.h |    2 +-
 src/caja-file-management-properties.c     |   53 ++++++++++++++++++++++++++---
 7 files changed, 85 insertions(+), 28 deletions(-)

commit cf3e02237f89593e6e03065ced3af2835e915ee0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 12:44:38 2012 +0200

    convert show-advanced-persmissions to gsettings

 libcaja-private/caja-global-preferences.c |    5 -----
 libcaja-private/caja-global-preferences.h |    2 +-
 src/file-manager/fm-properties-window.c   |    2 +-
 3 files changed, 2 insertions(+), 7 deletions(-)

commit 6f15dc7cc1be8b98bbc1f5edd963ff89076295ee
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Sep 5 12:36:04 2012 +0200

    start migration to gsettings

 NEWS                                               |    4 +
 configure.in                                       |   18 +-
 libcaja-private/Makefile.am                        |   22 +-
 libcaja-private/caja-autorun.c                     |   22 +-
 libcaja-private/caja-desktop-directory-file.c      |    2 +-
 libcaja-private/caja-desktop-directory.c           |   17 +-
 libcaja-private/caja-desktop-icon-file.c           |    2 +-
 libcaja-private/caja-directory-async.c             |   39 +-
 libcaja-private/caja-directory-background.c        |   89 ++--
 libcaja-private/caja-directory-private.h           |    1 -
 libcaja-private/caja-directory.c                   |   14 +-
 libcaja-private/caja-directory.h                   |    2 -
 libcaja-private/caja-file-operations.c             |   36 +-
 libcaja-private/caja-file-private.h                |    1 -
 libcaja-private/caja-file-utilities.c              |   10 +-
 libcaja-private/caja-file-utilities.h              |    4 -
 libcaja-private/caja-file.c                        |   34 +-
 libcaja-private/caja-file.h                        |    7 +-
 libcaja-private/caja-global-preferences.c          |   85 +---
 libcaja-private/caja-global-preferences.h          |   59 ++-
 libcaja-private/caja-icon-container.c              |    7 -
 libcaja-private/caja-merged-directory.c            |    6 +-
 libcaja-private/caja-search-directory.c            |    3 -
 libcaja-private/caja-vfs-directory.c               |    2 -
 libcaja-private/caja-vfs-file.c                    |    2 +-
 libcaja-private/org.mate.caja.gschema.xml.in       |  491 ++++++++++++++++++++
 .../org.mate.media-handling.gschema.xml.in         |   34 ++
 src/caja-application.c                             |   23 +-
 src/caja-emblem-sidebar.h                          |    2 +-
 src/caja-file-management-properties-main.c         |    2 +
 src/caja-file-management-properties.c              |   61 ++-
 src/caja-history-sidebar.h                         |    2 +-
 src/caja-information-panel.c                       |   70 ++-
 src/caja-information-panel.h                       |    2 +-
 src/caja-main.c                                    |    8 -
 src/caja-navigation-window.c                       |   25 +-
 src/caja-notes-viewer.h                            |    2 +-
 src/caja-pathbar.c                                 |   10 +-
 src/caja-places-sidebar.c                          |   11 +-
 src/caja-places-sidebar.h                          |    2 +-
 src/caja-property-browser.c                        |   21 -
 src/caja-window-menus.c                            |   10 +-
 src/file-manager/Makefile.am                       |    2 -
 src/file-manager/fm-desktop-icon-view.c            |   12 +-
 src/file-manager/fm-directory-view.c               |   36 +-
 src/file-manager/fm-tree-model.c                   |    4 -
 src/file-manager/fm-tree-view.c                    |   22 +-
 src/file-manager/fm-tree-view.h                    |    2 +-
 test/test-caja-directory-async.c                   |    2 +-
 49 files changed, 833 insertions(+), 511 deletions(-)

commit 373da58a33a4242f3d91771fd304ba8bb3d55e61
Author: Perberos <perberos@gmail.com>
Date:   Tue Aug 14 14:41:29 2012 -0300

    Update configure.in
    
    set libcaja-extension to 1.4.0

 configure.in |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0251b0f018c0860bafdd621f7be5eb395b510f5c
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Sun Aug 12 14:46:29 2012 -0400

    Fixed incorrect fsf addresses. Closes #28.

 cut-n-paste-code/libegg/eggdesktopfile.c           |    4 ++--
 cut-n-paste-code/libegg/eggdesktopfile.h           |    4 ++--
 cut-n-paste-code/libegg/eggsmclient-private.h      |    4 ++--
 cut-n-paste-code/libegg/eggsmclient-xsmp.c         |    4 ++--
 cut-n-paste-code/libegg/eggsmclient.c              |    4 ++--
 cut-n-paste-code/libegg/eggsmclient.h              |    4 ++--
 cut-n-paste-code/libegg/eggtreemultidnd.c          |    4 ++--
 cut-n-paste-code/libegg/eggtreemultidnd.h          |    4 ++--
 eel/check-program.c                                |    4 ++--
 eel/eel-accessibility.c                            |    4 ++--
 eel/eel-accessibility.h                            |    4 ++--
 eel/eel-alert-dialog.c                             |    4 ++--
 eel/eel-alert-dialog.h                             |    4 ++--
 eel/eel-art-extensions.c                           |    4 ++--
 eel/eel-art-extensions.h                           |    4 ++--
 eel/eel-art-gtk-extensions.c                       |    4 ++--
 eel/eel-art-gtk-extensions.h                       |    4 ++--
 eel/eel-background-box.c                           |    4 ++--
 eel/eel-background-box.h                           |    4 ++--
 eel/eel-background.c                               |    4 ++--
 eel/eel-background.h                               |    4 ++--
 eel/eel-canvas-rect-ellipse.c                      |    4 ++--
 eel/eel-canvas-rect-ellipse.h                      |    4 ++--
 eel/eel-canvas-util.c                              |    4 ++--
 eel/eel-canvas-util.h                              |    4 ++--
 eel/eel-canvas.c                                   |    4 ++--
 eel/eel-canvas.h                                   |    4 ++--
 eel/eel-debug-drawing.c                            |    4 ++--
 eel/eel-debug-drawing.h                            |    4 ++--
 eel/eel-debug.c                                    |    4 ++--
 eel/eel-debug.h                                    |    4 ++--
 eel/eel-editable-label.c                           |    2 +-
 eel/eel-editable-label.h                           |    2 +-
 eel/eel-enumeration.c                              |    4 ++--
 eel/eel-enumeration.h                              |    4 ++--
 eel/eel-gdk-extensions.c                           |    4 ++--
 eel/eel-gdk-extensions.h                           |    4 ++--
 eel/eel-gdk-pixbuf-extensions.c                    |    4 ++--
 eel/eel-gdk-pixbuf-extensions.h                    |    4 ++--
 eel/eel-glib-extensions.c                          |    4 ++--
 eel/eel-glib-extensions.h                          |    4 ++--
 eel/eel-graphic-effects.c                          |    4 ++--
 eel/eel-graphic-effects.h                          |    4 ++--
 eel/eel-gtk-container.c                            |    4 ++--
 eel/eel-gtk-container.h                            |    4 ++--
 eel/eel-gtk-extensions.c                           |    4 ++--
 eel/eel-gtk-extensions.h                           |    4 ++--
 eel/eel-gtk-macros.h                               |    4 ++--
 eel/eel-i18n.c                                     |    4 ++--
 eel/eel-i18n.h                                     |    4 ++--
 eel/eel-image-table.c                              |    4 ++--
 eel/eel-image-table.h                              |    4 ++--
 eel/eel-labeled-image.c                            |    4 ++--
 eel/eel-labeled-image.h                            |    4 ++--
 eel/eel-lib-self-check-functions.c                 |    4 ++--
 eel/eel-lib-self-check-functions.h                 |    4 ++--
 eel/eel-mate-extensions.c                          |    4 ++--
 eel/eel-mate-extensions.h                          |    4 ++--
 eel/eel-mateconf-extensions.c                      |    4 ++--
 eel/eel-mateconf-extensions.h                      |    4 ++--
 eel/eel-pango-extensions.c                         |    4 ++--
 eel/eel-pango-extensions.h                         |    4 ++--
 eel/eel-preferences-builder.c                      |    4 ++--
 eel/eel-preferences.c                              |    4 ++--
 eel/eel-preferences.h                              |    4 ++--
 eel/eel-self-checks.c                              |    4 ++--
 eel/eel-self-checks.h                              |    4 ++--
 eel/eel-stock-dialogs.c                            |    4 ++--
 eel/eel-stock-dialogs.h                            |    4 ++--
 eel/eel-string.c                                   |    4 ++--
 eel/eel-string.h                                   |    4 ++--
 eel/eel-types.c                                    |    4 ++--
 eel/eel-types.h                                    |    4 ++--
 eel/eel-vfs-extensions.c                           |    4 ++--
 eel/eel-vfs-extensions.h                           |    4 ++--
 eel/eel-wrap-table.c                               |    4 ++--
 eel/eel-wrap-table.h                               |    4 ++--
 eel/eel-xml-extensions.c                           |    4 ++--
 eel/eel-xml-extensions.h                           |    4 ++--
 eel/eel.h                                          |    4 ++--
 libcaja-extension/caja-column-provider.c           |    2 +-
 libcaja-extension/caja-column-provider.h           |    2 +-
 libcaja-extension/caja-column.c                    |    2 +-
 libcaja-extension/caja-column.h                    |    2 +-
 libcaja-extension/caja-extension-private.h         |    2 +-
 libcaja-extension/caja-extension-types.c           |    2 +-
 libcaja-extension/caja-extension-types.h           |    2 +-
 libcaja-extension/caja-file-info.c                 |    2 +-
 libcaja-extension/caja-file-info.h                 |    2 +-
 libcaja-extension/caja-info-provider.c             |    2 +-
 libcaja-extension/caja-info-provider.h             |    2 +-
 libcaja-extension/caja-location-widget-provider.c  |    2 +-
 libcaja-extension/caja-location-widget-provider.h  |    2 +-
 libcaja-extension/caja-menu-item.c                 |    2 +-
 libcaja-extension/caja-menu-item.h                 |    2 +-
 libcaja-extension/caja-menu-provider.c             |    2 +-
 libcaja-extension/caja-menu-provider.h             |    2 +-
 libcaja-extension/caja-menu.c                      |    2 +-
 libcaja-extension/caja-menu.h                      |    2 +-
 libcaja-extension/caja-property-page-provider.c    |    2 +-
 libcaja-extension/caja-property-page-provider.h    |    2 +-
 libcaja-extension/caja-property-page.c             |    2 +-
 libcaja-extension/caja-property-page.h             |    2 +-
 libcaja-private/caja-autorun.c                     |    2 +-
 libcaja-private/caja-autorun.h                     |    2 +-
 libcaja-private/caja-bookmark.c                    |    4 ++--
 libcaja-private/caja-bookmark.h                    |    4 ++--
 libcaja-private/caja-cell-renderer-pixbuf-emblem.c |    4 ++--
 libcaja-private/caja-cell-renderer-pixbuf-emblem.h |    4 ++--
 .../caja-cell-renderer-text-ellipsized.c           |    4 ++--
 .../caja-cell-renderer-text-ellipsized.h           |    4 ++--
 libcaja-private/caja-clipboard-monitor.c           |    4 ++--
 libcaja-private/caja-clipboard-monitor.h           |    4 ++--
 libcaja-private/caja-clipboard.c                   |    4 ++--
 libcaja-private/caja-clipboard.h                   |    4 ++--
 libcaja-private/caja-column-chooser.c              |    4 ++--
 libcaja-private/caja-column-chooser.h              |    4 ++--
 libcaja-private/caja-column-utilities.c            |    4 ++--
 libcaja-private/caja-column-utilities.h            |    4 ++--
 libcaja-private/caja-customization-data.c          |    2 +-
 libcaja-private/caja-customization-data.h          |    2 +-
 libcaja-private/caja-debug-log.c                   |    4 ++--
 libcaja-private/caja-debug-log.h                   |    4 ++--
 libcaja-private/caja-default-file-icon.c           |    4 ++--
 libcaja-private/caja-default-file-icon.h           |    4 ++--
 libcaja-private/caja-desktop-directory-file.c      |    4 ++--
 libcaja-private/caja-desktop-directory-file.h      |    4 ++--
 libcaja-private/caja-desktop-directory.c           |    4 ++--
 libcaja-private/caja-desktop-directory.h           |    4 ++--
 libcaja-private/caja-desktop-icon-file.c           |    4 ++--
 libcaja-private/caja-desktop-icon-file.h           |    4 ++--
 libcaja-private/caja-desktop-link-monitor.c        |    4 ++--
 libcaja-private/caja-desktop-link-monitor.h        |    4 ++--
 libcaja-private/caja-desktop-link.c                |    4 ++--
 libcaja-private/caja-desktop-link.h                |    4 ++--
 libcaja-private/caja-directory-async.c             |    4 ++--
 libcaja-private/caja-directory-background.c        |    4 ++--
 libcaja-private/caja-directory-background.h        |    4 ++--
 libcaja-private/caja-directory-notify.h            |    4 ++--
 libcaja-private/caja-directory-private.h           |    4 ++--
 libcaja-private/caja-directory.c                   |    4 ++--
 libcaja-private/caja-directory.h                   |    4 ++--
 libcaja-private/caja-dnd.c                         |    4 ++--
 libcaja-private/caja-dnd.h                         |    4 ++--
 libcaja-private/caja-emblem-utils.c                |    4 ++--
 libcaja-private/caja-emblem-utils.h                |    4 ++--
 libcaja-private/caja-entry.c                       |    4 ++--
 libcaja-private/caja-entry.h                       |    4 ++--
 libcaja-private/caja-file-attributes.h             |    4 ++--
 libcaja-private/caja-file-changes-queue.c          |    4 ++--
 libcaja-private/caja-file-changes-queue.h          |    4 ++--
 libcaja-private/caja-file-conflict-dialog.c        |    4 ++--
 libcaja-private/caja-file-conflict-dialog.h        |    4 ++--
 libcaja-private/caja-file-dnd.c                    |    4 ++--
 libcaja-private/caja-file-dnd.h                    |    4 ++--
 libcaja-private/caja-file-operations.c             |    4 ++--
 libcaja-private/caja-file-operations.h             |    4 ++--
 libcaja-private/caja-file-private.h                |    4 ++--
 libcaja-private/caja-file-queue.c                  |    4 ++--
 libcaja-private/caja-file-queue.h                  |    4 ++--
 libcaja-private/caja-file-utilities.c              |    4 ++--
 libcaja-private/caja-file-utilities.h              |    4 ++--
 libcaja-private/caja-file.c                        |    4 ++--
 libcaja-private/caja-file.h                        |    4 ++--
 libcaja-private/caja-global-preferences.c          |    4 ++--
 libcaja-private/caja-global-preferences.h          |    4 ++--
 libcaja-private/caja-horizontal-splitter.c         |    4 ++--
 libcaja-private/caja-horizontal-splitter.h         |    4 ++--
 libcaja-private/caja-icon-canvas-item.c            |    4 ++--
 libcaja-private/caja-icon-canvas-item.h            |    4 ++--
 libcaja-private/caja-icon-container.c              |    4 ++--
 libcaja-private/caja-icon-container.h              |    4 ++--
 libcaja-private/caja-icon-dnd.c                    |    4 ++--
 libcaja-private/caja-icon-dnd.h                    |    4 ++--
 libcaja-private/caja-icon-info.c                   |    4 ++--
 libcaja-private/caja-icon-private.h                |    4 ++--
 libcaja-private/caja-idle-queue.c                  |    2 +-
 libcaja-private/caja-idle-queue.h                  |    2 +-
 libcaja-private/caja-iso9660.h                     |    2 +-
 libcaja-private/caja-keep-last-vertical-box.c      |    4 ++--
 libcaja-private/caja-keep-last-vertical-box.h      |    4 ++--
 libcaja-private/caja-lib-self-check-functions.c    |    4 ++--
 libcaja-private/caja-lib-self-check-functions.h    |    4 ++--
 libcaja-private/caja-link.c                        |    4 ++--
 libcaja-private/caja-link.h                        |    4 ++--
 libcaja-private/caja-merged-directory.c            |    4 ++--
 libcaja-private/caja-merged-directory.h            |    4 ++--
 libcaja-private/caja-metadata.c                    |    4 ++--
 libcaja-private/caja-metadata.h                    |    4 ++--
 libcaja-private/caja-mime-actions.c                |    4 ++--
 libcaja-private/caja-mime-actions.h                |    4 ++--
 libcaja-private/caja-mime-application-chooser.c    |    4 ++--
 libcaja-private/caja-mime-application-chooser.h    |    4 ++--
 libcaja-private/caja-module.c                      |    2 +-
 libcaja-private/caja-module.h                      |    2 +-
 libcaja-private/caja-monitor.c                     |    4 ++--
 libcaja-private/caja-monitor.h                     |    4 ++--
 libcaja-private/caja-open-with-dialog.c            |    4 ++--
 libcaja-private/caja-open-with-dialog.h            |    4 ++--
 libcaja-private/caja-program-choosing.c            |    4 ++--
 libcaja-private/caja-program-choosing.h            |    4 ++--
 libcaja-private/caja-progress-info.c               |    4 ++--
 libcaja-private/caja-progress-info.h               |    4 ++--
 libcaja-private/caja-query.c                       |    4 ++--
 libcaja-private/caja-query.h                       |    4 ++--
 libcaja-private/caja-recent.c                      |    4 ++--
 libcaja-private/caja-saved-search-file.c           |    4 ++--
 libcaja-private/caja-saved-search-file.h           |    4 ++--
 libcaja-private/caja-search-directory-file.c       |    4 ++--
 libcaja-private/caja-search-directory-file.h       |    4 ++--
 libcaja-private/caja-search-directory.c            |    4 ++--
 libcaja-private/caja-search-directory.h            |    4 ++--
 libcaja-private/caja-search-engine-beagle.c        |    4 ++--
 libcaja-private/caja-search-engine-beagle.h        |    4 ++--
 libcaja-private/caja-search-engine-simple.c        |    4 ++--
 libcaja-private/caja-search-engine-simple.h        |    4 ++--
 libcaja-private/caja-search-engine-tracker.c       |    4 ++--
 libcaja-private/caja-search-engine-tracker.h       |    4 ++--
 libcaja-private/caja-search-engine.c               |    4 ++--
 libcaja-private/caja-search-engine.h               |    4 ++--
 libcaja-private/caja-sidebar-provider.c            |    4 ++--
 libcaja-private/caja-sidebar-provider.h            |    4 ++--
 libcaja-private/caja-sidebar.c                     |    4 ++--
 libcaja-private/caja-sidebar.h                     |    4 ++--
 libcaja-private/caja-signaller.c                   |    2 +-
 libcaja-private/caja-signaller.h                   |    2 +-
 libcaja-private/caja-thumbnails.c                  |    4 ++--
 libcaja-private/caja-thumbnails.h                  |    4 ++--
 libcaja-private/caja-trash-monitor.c               |    4 ++--
 libcaja-private/caja-trash-monitor.h               |    4 ++--
 libcaja-private/caja-tree-view-drag-dest.c         |    4 ++--
 libcaja-private/caja-tree-view-drag-dest.h         |    4 ++--
 libcaja-private/caja-ui-utilities.c                |    4 ++--
 libcaja-private/caja-ui-utilities.h                |    4 ++--
 libcaja-private/caja-undo-manager.c                |    4 ++--
 libcaja-private/caja-undo-manager.h                |    4 ++--
 libcaja-private/caja-undo-private.h                |    4 ++--
 libcaja-private/caja-undo-signal-handlers.c        |    4 ++--
 libcaja-private/caja-undo-signal-handlers.h        |    4 ++--
 libcaja-private/caja-undo-transaction.c            |    4 ++--
 libcaja-private/caja-undo-transaction.h            |    4 ++--
 libcaja-private/caja-undo.c                        |    4 ++--
 libcaja-private/caja-undo.h                        |    4 ++--
 libcaja-private/caja-undostack-manager.c           |    4 ++--
 libcaja-private/caja-undostack-manager.h           |    4 ++--
 libcaja-private/caja-users-groups-cache.c          |    4 ++--
 libcaja-private/caja-users-groups-cache.h          |    4 ++--
 libcaja-private/caja-vfs-directory.c               |    4 ++--
 libcaja-private/caja-vfs-directory.h               |    4 ++--
 libcaja-private/caja-vfs-file.c                    |    4 ++--
 libcaja-private/caja-vfs-file.h                    |    4 ++--
 libcaja-private/caja-view-factory.c                |    4 ++--
 libcaja-private/caja-view-factory.h                |    4 ++--
 libcaja-private/caja-view.c                        |    4 ++--
 libcaja-private/caja-view.h                        |    4 ++--
 libcaja-private/caja-window-info.c                 |    4 ++--
 libcaja-private/caja-window-info.h                 |    4 ++--
 libcaja-private/caja-window-slot-info.c            |    4 ++--
 libcaja-private/caja-window-slot-info.h            |    4 ++--
 src/caja-actions.h                                 |    2 +-
 src/caja-application.c                             |    2 +-
 src/caja-application.h                             |    4 ++--
 src/caja-autorun-software.c                        |    4 ++--
 src/caja-bookmark-list.c                           |    2 +-
 src/caja-bookmark-list.h                           |    2 +-
 src/caja-bookmarks-window.c                        |    2 +-
 src/caja-bookmarks-window.h                        |    2 +-
 src/caja-connect-server-dialog-main.c              |    4 ++--
 src/caja-connect-server-dialog-nonmain.c           |    4 ++--
 src/caja-connect-server-dialog.c                   |    4 ++--
 src/caja-connect-server-dialog.h                   |    4 ++--
 src/caja-convert-metadata.c                        |    4 ++--
 src/caja-desktop-window.c                          |    2 +-
 src/caja-desktop-window.h                          |    2 +-
 src/caja-emblem-sidebar.c                          |    2 +-
 src/caja-emblem-sidebar.h                          |    2 +-
 src/caja-file-management-properties-main.c         |    4 ++--
 src/caja-file-management-properties.c              |    4 ++--
 src/caja-file-management-properties.h              |    4 ++--
 src/caja-history-sidebar.c                         |    2 +-
 src/caja-history-sidebar.h                         |    2 +-
 src/caja-image-properties-page.c                   |    4 ++--
 src/caja-image-properties-page.h                   |    4 ++--
 src/caja-information-panel.c                       |    2 +-
 src/caja-information-panel.h                       |    2 +-
 src/caja-location-bar.c                            |    4 ++--
 src/caja-location-bar.h                            |    4 ++--
 src/caja-location-dialog.c                         |    4 ++--
 src/caja-location-dialog.h                         |    4 ++--
 src/caja-location-entry.c                          |    4 ++--
 src/caja-location-entry.h                          |    4 ++--
 src/caja-main.c                                    |    2 +-
 src/caja-main.h                                    |    2 +-
 src/caja-navigation-action.c                       |    2 +-
 src/caja-navigation-action.h                       |    2 +-
 src/caja-navigation-bar.c                          |    4 ++--
 src/caja-navigation-bar.h                          |    4 ++--
 src/caja-navigation-window-menus.c                 |    2 +-
 src/caja-navigation-window-pane.c                  |    4 ++--
 src/caja-navigation-window-pane.h                  |    4 ++--
 src/caja-navigation-window-slot.c                  |    4 ++--
 src/caja-navigation-window-slot.h                  |    4 ++--
 src/caja-navigation-window.c                       |    2 +-
 src/caja-navigation-window.h                       |    2 +-
 src/caja-notes-viewer.c                            |    2 +-
 src/caja-notes-viewer.h                            |    2 +-
 src/caja-pathbar.c                                 |    4 ++--
 src/caja-pathbar.h                                 |    4 ++--
 src/caja-places-sidebar.c                          |    2 +-
 src/caja-places-sidebar.h                          |    2 +-
 src/caja-property-browser.c                        |    2 +-
 src/caja-property-browser.h                        |    2 +-
 src/caja-query-editor.c                            |    4 ++--
 src/caja-query-editor.h                            |    4 ++--
 src/caja-search-bar.c                              |    4 ++--
 src/caja-search-bar.h                              |    4 ++--
 src/caja-self-check-functions.c                    |    2 +-
 src/caja-self-check-functions.h                    |    2 +-
 src/caja-side-pane.c                               |    2 +-
 src/caja-side-pane.h                               |    2 +-
 src/caja-sidebar-title.c                           |    2 +-
 src/caja-sidebar-title.h                           |    2 +-
 src/caja-spatial-window.c                          |    2 +-
 src/caja-spatial-window.h                          |    2 +-
 src/caja-trash-bar.c                               |    2 +-
 src/caja-trash-bar.h                               |    2 +-
 src/caja-view-as-action.c                          |    2 +-
 src/caja-view-as-action.h                          |    2 +-
 src/caja-window-bookmarks.c                        |    2 +-
 src/caja-window-bookmarks.h                        |    2 +-
 src/caja-window-manage-views.c                     |    2 +-
 src/caja-window-manage-views.h                     |    2 +-
 src/caja-window-menus.c                            |    2 +-
 src/caja-window-pane.c                             |    4 ++--
 src/caja-window-pane.h                             |    4 ++--
 src/caja-window-private.h                          |    2 +-
 src/caja-window-slot.c                             |    4 ++--
 src/caja-window-slot.h                             |    4 ++--
 src/caja-window-toolbars.c                         |    2 +-
 src/caja-window.c                                  |    2 +-
 src/caja-window.h                                  |    2 +-
 src/caja-x-content-bar.c                           |    2 +-
 src/caja-x-content-bar.h                           |    2 +-
 src/caja-zoom-action.c                             |    2 +-
 src/caja-zoom-action.h                             |    2 +-
 src/caja-zoom-control.c                            |    2 +-
 src/caja-zoom-control.h                            |    2 +-
 src/file-manager/fm-actions.h                      |    4 ++--
 src/file-manager/fm-desktop-icon-view.c            |    4 ++--
 src/file-manager/fm-desktop-icon-view.h            |    4 ++--
 src/file-manager/fm-directory-view.c               |    4 ++--
 src/file-manager/fm-directory-view.h               |    4 ++--
 src/file-manager/fm-ditem-page.c                   |    2 +-
 src/file-manager/fm-ditem-page.h                   |    2 +-
 src/file-manager/fm-empty-view.c                   |    4 ++--
 src/file-manager/fm-empty-view.h                   |    4 ++--
 src/file-manager/fm-error-reporting.c              |    4 ++--
 src/file-manager/fm-error-reporting.h              |    4 ++--
 src/file-manager/fm-icon-container.c               |    4 ++--
 src/file-manager/fm-icon-container.h               |    4 ++--
 src/file-manager/fm-icon-view.c                    |    4 ++--
 src/file-manager/fm-icon-view.h                    |    4 ++--
 src/file-manager/fm-list-model.c                   |    4 ++--
 src/file-manager/fm-list-model.h                   |    4 ++--
 src/file-manager/fm-list-view-private.h            |    4 ++--
 src/file-manager/fm-list-view.c                    |    4 ++--
 src/file-manager/fm-list-view.h                    |    4 ++--
 src/file-manager/fm-properties-window.c            |    4 ++--
 src/file-manager/fm-properties-window.h            |    4 ++--
 src/file-manager/fm-tree-model.c                   |    4 ++--
 src/file-manager/fm-tree-model.h                   |    4 ++--
 src/file-manager/fm-tree-view.c                    |    4 ++--
 src/file-manager/fm-tree-view.h                    |    4 ++--
 373 files changed, 654 insertions(+), 654 deletions(-)

commit b6f29cf3fb7fe333a48f555819111cc8f6a21d3e
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Thu Jul 5 13:58:13 2012 -0400

    Preparing for 1.4 release.

 ChangeLog    |  271 ++++++++++++++++++++++++++++++++++++++++++++++++++--------
 configure.in |    4 +-
 2 files changed, 237 insertions(+), 38 deletions(-)

commit ea1d20ed8d53b647bf2f0365ae0eb7b223a125b7
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Jun 17 13:27:46 2012 +0200

    sync translations with Transifex

 po/af.po          |11394 +++++++++++++++++++++--------------------------
 po/am.po          | 9905 ++++++++++++++++++++++-------------------
 po/ar.po          | 5493 ++++++++++++-----------
 po/as.po          | 6444 +++++++++++++--------------
 po/ast.po         | 6012 +++++++++++++------------
 po/az.po          |10863 +++++++++++++++++++++++---------------------
 po/be.po          |10246 +++++++++++++++++++++---------------------
 po/bg.po          | 1727 +++----
 po/bn.po          | 5840 ++++++++++++------------
 po/bn_IN.po       | 5818 ++++++++++++------------
 po/br.po          | 5418 ++++++++++++----------
 po/bs.po          |11188 ++++++++++++++++++++++++----------------------
 po/ca.po          | 6078 ++++++++++++-------------
 po/ca@valencia.po | 6282 ++++++++++++--------------
 po/crh.po         | 7654 +++++++++++++------------------
 po/cs.po          | 5783 ++++++++++++------------
 po/da.po          | 6078 ++++++++++++-------------
 po/de.po          | 2444 ++++------
 po/dz.po          |10695 +++++++++++++++++++++++---------------------
 po/el.po          | 5457 ++++++++++++-----------
 po/en_CA.po       | 9232 ++++++++++++++++++++++----------------
 po/en_GB.po       | 6366 ++++++++++++--------------
 po/eo.po          | 5658 +++++++++++------------
 po/es.po          | 6741 ++++++++++++----------------
 po/et.po          | 1793 ++++----
 po/eu.po          | 2236 ++++------
 po/fa.po          | 8634 +++++++++++++++++------------------
 po/fi.po          | 5558 ++++++++++++-----------
 po/fr.po          | 5696 ++++++++++++------------
 po/fur.po         | 6165 +++++++++++++++----------
 po/fy.po          | 4850 +++++++++++---------
 po/ga.po          | 5423 ++++++++++++----------
 po/gl.po          | 5826 ++++++++++++------------
 po/gu.po          | 5737 ++++++++++++------------
 po/ha.po          |10507 ++++++++++++++++++++-----------------------
 po/he.po          | 8732 +++++++++++++++---------------------
 po/hi.po          | 5986 +++++++++++++------------
 po/hr.po          | 6798 +++++++++++++++-------------
 po/hu.po          | 5706 ++++++++++++------------
 po/hy.po          | 8854 ++++++++++++++++++++++--------------
 po/id.po          | 5533 ++++++++++++-----------
 po/ig.po          |10426 +++++++++++++++++++++----------------------
 po/is.po          | 6042 +++++++++++++------------
 po/it.po          | 2327 ++++------
 po/ja.po          | 5543 ++++++++++++-----------
 po/ka.po          | 6562 +++++++++++++++------------
 po/kk.po          | 4933 ++++++++++----------
 po/km.po          | 7939 +++++++++++++++++++++------------
 po/kn.po          | 6052 +++++++++++++------------
 po/ko.po          | 5252 +++++++++++-----------
 po/ku.po          | 9276 ++++++++++++++++++++++----------------
 po/li.po          |12840 ++++++++++++++++++++++++-----------------------------
 po/lt.po          | 5836 ++++++++++++------------
 po/lv.po          | 5995 ++++++++++++-------------
 po/mai.po         | 6139 ++++++++++++++-----------
 po/mg.po          | 8510 +++++++++++++++++++++--------------
 po/mi.po          | 8895 ++++++++++++++++++++++---------------
 po/mk.po          | 6644 ++++++++++++++-------------
 po/ml.po          | 5701 +++++++++++++-----------
 po/mn.po          |11510 ++++++++++++++++++++++++-----------------------
 po/mr.po          | 5705 +++++++++++++-----------
 po/ms.po          | 8510 +++++++++++++++--------------------
 po/nb.po          | 5583 +++++++++++------------
 po/nds.po         | 5268 +++++++++++++---------
 po/ne.po          | 8827 ++++++++++++++++++++----------------
 po/nl.po          | 1727 +++----
 po/nn.po          | 7329 +++++++++++++-----------------
 po/nso.po         |11533 ++++++++++++++++++++---------------------------
 po/oc.po          | 6287 +++++++++++++-------------
 po/or.po          | 5726 ++++++++++++------------
 po/pa.po          | 5816 ++++++++++++------------
 po/pl.po          | 5732 ++++++++++++------------
 po/ps.po          | 5700 ++++++++++++++----------
 po/pt.po          | 8532 ++++++++++++-----------------------
 po/pt_BR.po       | 6063 ++++++++++++-------------
 po/ro.po          | 5947 ++++++++++++-------------
 po/ru.po          | 2251 ++++------
 po/rw.po          |11739 +++++++++++++++++++++++++-----------------------
 po/si.po          | 7826 +++++++++++++++++++-------------
 po/sk.po          | 6521 +++++++++++++++------------
 po/sl.po          | 5459 ++++++++++++-----------
 po/sq.po          | 6757 +++++++++++++++-------------
 po/sr.po          | 6351 +++++++++++++-------------
 po/sr@latin.po    | 6351 +++++++++++++-------------
 po/sv.po          | 5101 +++++++++++----------
 po/ta.po          | 6566 +++++++++++++++------------
 po/te.po          | 5821 +++++++++++++-----------
 po/th.po          | 5358 +++++++++++-----------
 po/tk.po          |10953 ++++++++++++++++++++++++---------------------
 po/tr.po          | 6725 +++++++++++++---------------
 po/ug.po          | 5756 ++++++++++++------------
 po/uk.po          | 5792 ++++++++++++------------
 po/uz.po          | 5548 ++++++++++++++---------
 po/vi.po          | 5645 ++++++++++++++---------
 po/wa.po          |10801 ++++++++++++++++++++++----------------------
 po/xh.po          |10081 ++++++++++++++++++++++-------------------
 po/yi.po          | 8183 +++++++++++++++++++++-------------
 po/yo.po          |10433 +++++++++++++++++++++----------------------
 po/zh_CN.po       | 5249 +++++++++++-----------
 po/zh_HK.po       | 6142 ++++++++++++-------------
 po/zh_TW.po       | 6302 ++++++++++++--------------
 po/zu.po          |10712 ++++++++++++++++++++++++--------------------
 102 files changed, 356350 insertions(+), 341630 deletions(-)

commit 284192b5fc88484f877dd8033bb40a12e8191cf2
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Jun 17 13:13:05 2012 +0200

    add backup of gnome copyrights for po files

 po/gnome-copyrights.txt | 1864 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1864 insertions(+)

commit 16379e27f5cc8a254f766b591b7b208bf5a59d55
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Jun 16 11:57:48 2012 +0200

    revert version to 1.3.0, update NEWS file

 NEWS         |    7 ++++++-
 configure.in |    2 +-
 2 files changed, 7 insertions(+), 2 deletions(-)

commit a8789710c20b11eeae3cabe35ea58f77af5f0617
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Jun 16 11:41:58 2012 +0200

    use engrampa instead of file-roller

 libcaja-private/caja-file-dnd.c       |    2 +-
 libcaja-private/caja-file-utilities.c |    4 ++--
 libcaja-private/caja-file-utilities.h |    2 +-
 src/file-manager/fm-directory-view.c  |    6 +++---
 4 files changed, 7 insertions(+), 7 deletions(-)

commit cbbe010884fe1e3ad1deabbed7f89a77b0098a2f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Jun 16 11:31:39 2012 +0200

    add diff button for text files in file conflict dialog

 libcaja-private/caja-file-conflict-dialog.c |   67 +++++++++++++++++++++++++++
 libcaja-private/caja-file.c                 |   45 ++++++++++++++++++
 libcaja-private/caja-file.h                 |    1 +
 3 files changed, 113 insertions(+)

commit dec2e9160bdc72ff9b44582d5484e673e60e27bb
Merge: 7509b2a d69f6a0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jun 14 00:44:18 2012 -0700

    Merge pull request #23 from haxar/patch-1
    
    remove extra bracket

commit d69f6a09152b52c371216592936ff9ed6bb6f36c
Author: haxar <haxaraxah@gmail.com>
Date:   Wed Jun 13 21:30:39 2012 -0700

    remove extra bracket

 src/caja-location-entry.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7509b2aba6103d4c3c88b82b36b12a8a3a9329be
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jun 13 00:05:10 2012 +0200

    fix autocompletion for remote locations
    patch from http://git.gnome.org/browse/nautilus/commit/src/nautilus-location-entry.c?id=82fb99a34a6c27f6881e0a049d9882756b615f42

 src/caja-location-entry.c |   10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 1b5fa0a349182cd854396bf071a2706ed89d16f1
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Fri Jun 8 13:37:36 2012 -0400

    Applied a patch that makes the filename column expand to its maximum instead of shrinking to a hardcoded value.

 src/file-manager/fm-list-view.c |   11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit cfef75e230da0d56d8677be3d3b3478f54c62e57
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Mon May 28 15:06:42 2012 -0400

    Bump to 1.3.2

 ChangeLog    |   65 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in |    2 +-
 2 files changed, 66 insertions(+), 1 deletion(-)

commit 9b299865250365f948b523f45a874dce52d125d5
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Mon May 28 15:05:27 2012 -0400

    Bookmarks can now be opened via the enter or space key.

 src/caja-places-sidebar.c |   22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 03680f2d95687c0f336993bb44663af3bb0c2ffa
Merge: 896872d 1558f59
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed May 16 02:52:20 2012 -0700

    Merge pull request #16 from MDykstra/master
    
    better backward compatible dependency on gmodule-2.0

commit 1558f59456ae8abe428c8378910e6a1f26bf9411
Author: Marcel Dijkstra <marcel.dykstra@gmail.com>
Date:   Wed May 16 04:13:53 2012 +0200

    only depend on gmodule-2.0 if it exists

 configure.in |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 896872d030fa0ab1fb7c62161c327146e0ad609a
Merge: f269a73 a57d08c
Author: Perberos <perberos@gmail.com>
Date:   Thu May 10 06:24:09 2012 -0700

    Merge pull request #10 from MDykstra/master
    
    now linking under up-to-date Arch Linux system

commit f269a73f7bbee46a2217f9d0aa6714605b11ec59
Author: Perberos <perberos@gmail.com>
Date:   Wed May 9 06:48:01 2012 -0300

    updating PKGBUILD

 distro/archlinux/PKGBUILD |   40 ++++++++++++++++++++--------------------
 1 file changed, 20 insertions(+), 20 deletions(-)

commit a7a3d8e25a4a156e4b7cf8ff2c0d85bca94c5f17
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Wed May 9 12:05:35 2012 -0400

    Fixed keep aligned issue. Bumped version to 1.3.1

 ChangeLog                                     |  113 +++++++++++++++++++++++++
 configure.in                                  |    2 +-
 libcaja-private/caja-desktop-directory-file.c |    6 +-
 3 files changed, 118 insertions(+), 3 deletions(-)

commit c36dd05635062e69090670f4c125f5834e82eba4
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon May 7 17:47:06 2012 +0200

    fix issues in location bar

 src/caja-navigation-window-pane.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 01100fab944b30226de97ac964171808b91ee9be
Merge: 66a32c7 4dbd82c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed May 2 10:56:10 2012 -0700

    Merge pull request #11 from NiceandGently/master
    
    fix obsoletes mime data in caja-folder-handler.desktop.in.in
    http://git.gnome.org/browse/nautilus/commit/?id=e939b36481815dbdf4053dba070f17d02a1efc38

commit 4dbd82c4d77f2327cd86fc16b314652cf0b76b13
Author: chat-to-me@raveit.de <Nice&Gently>
Date:   Wed May 2 19:39:25 2012 +0200

    fix obsoletes mime data in caja-folder-handler.desktop.in.in

 data/caja-folder-handler.desktop.in.in |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 66a32c73c581695a0767b248859d10ea78651dfd
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Apr 27 17:36:16 2012 +0200

    start of 1.3 version

 configure.in |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 416237607d4985738feaede3b7e1b49cae9be149
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Apr 27 17:35:23 2012 +0200

    restore location toggle button
    patch from http://git.gnome.org/browse/nautilus/commit/?id=4b49aab5aa6a9ef9ab288ff2ce463affca1eacf2

 src/caja-navigation-window-pane.c |   75 +++++++++++++++++++++++++++++++++++++
 src/caja-navigation-window-pane.h |    1 +
 2 files changed, 76 insertions(+)

commit a57d08ce5672bcabae2de9a31d6660eac1c5880a
Author: Marcel Dijkstra <marcel.dykstra@gmail.com>
Date:   Thu Apr 26 22:16:37 2012 +0200

    linker now requires gmodule-2.0 in mate-file-manager

 configure.in |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit aaf4c05d9a382b18eb2eced119eff8fbf0f4c763
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Fri Apr 6 00:55:50 2012 -0400

    Removed ubuntu folder from distro.

 distro/ubuntu/build    |   36 ------------------------------------
 distro/ubuntu/postinst |   15 ---------------
 distro/ubuntu/postrm   |   10 ----------
 distro/ubuntu/preinst  |    8 --------
 distro/ubuntu/prerm    |   11 -----------
 5 files changed, 80 deletions(-)

commit 471bb189349ce7c4fd9ad78f054f140a52978604
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Apr 6 00:18:47 2012 +0200

    fix missing spaces due to caja => nautilus rename

 docs/architecture.txt |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 8a6466a545c33e358ccdec400f53c5d3473a6bbb
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Tue Apr 3 23:21:04 2012 -0400

    Removed acconfig.h and replaced with AH_TEMPLATE AND AC_DEFINE.

 acconfig.h   |   27 ---------------------------
 configure.in |   32 +++++++++++++++++++++++++++++++-
 2 files changed, 31 insertions(+), 28 deletions(-)

commit b8da9626e7a3f1bc0ec8f53dc1559ae81396c926
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 11 13:57:56 2012 +0100

    fix README file for MATE (thanks to awillson)

 HACKING |   57 ++++-----------------------------------------------------
 README  |   23 +++--------------------
 2 files changed, 7 insertions(+), 73 deletions(-)

commit bc154ccd1f47fd8a2bd1e282659e94e6893f4b70
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Feb 23 13:23:46 2012 +0100

    update translations (bg, et, nl)

 po/bg.po | 4452 ++++++++++++++++++++++++++--------------------------
 po/et.po | 3094 ++++++++++++++++++++++++++++--------
 po/nl.po | 5279 ++++++++++++++++++++++++++------------------------------------
 3 files changed, 6852 insertions(+), 5973 deletions(-)

commit 853c0d3f6c79eb5dfc6130ffde4d345f66ec51d4
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Wed Feb 22 21:16:34 2012 -0500

    Preparing for 1.2 release

 AUTHORS      |    2 +-
 ChangeLog    | 1035 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 autogen.sh   |    4 +-
 configure.in |    2 +-
 4 files changed, 1039 insertions(+), 4 deletions(-)

commit f3100ba42ca406a33d5019a5527b08871e58cd90
Author: Perberos <perberos@gmail.com>
Date:   Mon Jan 30 08:12:51 2012 -0300

    adding empty tab page on preferences

 src/caja-file-management-properties.ui |   26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 81ad1b3760e41292620093a4cd143740f6af4f3a
Merge: 31fb21b 1ee8111
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Jan 15 13:24:41 2012 -0800

    Merge pull request #1 from benpicco/master
    
    list-view: make sure not to select the extension on rename

commit 1ee81114ffe669470ae5db8d8b2ce92659cb7633
Author: Benjamin Valentin <benpicco@zedat.fu-berlin.de>
Date:   Sun Jan 15 06:21:28 2012 +0100

    list-view: make sure not to select the extension on rename
    Delay calling gtk_editable_select_region() until after
    gtk_tree_view_set_cursor()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=627110
    (cherry picked from commit 5e2edee2e8dc6b4eababdff993176d591cc2a6e6)
    
    taken from http://git.gnome.org/browse/nautilus/commit/?h=gnome-2-32&id=0fa8f53c89b84a47fac33eb923a5fb196ca564ee

 src/file-manager/fm-list-view.c |   14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 31fb21b2dd8821af384279245baa518d80a57e0b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 12 17:56:37 2012 +0100

    icon-container: use the right signature for the 'preedit-changed' cb (nautilus patch)
    this bug is related to ibus
    http://git.gnome.org/browse/nautilus/commit/?h=gnome-2-32&id=af981252fad7ea623f5e0ec1814408cda8244ff2
    it solves http://bugzilla.gnome.org/show_bug.cgi?id=629159 on nautilus
    we have this also on caja: http://forums.linuxmint.com/viewtopic.php?f=206&t=86481&start=160#p525315

 libcaja-private/caja-icon-container.c |    1 +
 1 file changed, 1 insertion(+)

commit cd65216e37d8cf33e468ad8a2f7714ef1bd6596f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 12 17:52:42 2012 +0100

    updated de translation

 po/de.po |  217 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 111 insertions(+), 106 deletions(-)

commit 3c43eac494842d438733e738ee2ac1155abaea98
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Tue Jan 10 13:51:56 2012 -0500

    Changed mate.gr.jp to gnome.gr.jp as requested in Issue #86

 po/ChangeLog |  640 +++++++++++++++++++++++++++++-----------------------------
 po/ja.po     |    2 +-
 2 files changed, 321 insertions(+), 321 deletions(-)

commit 827876affd63a117f802cb38706aadfc7cd38ff9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 5 13:51:29 2012 +0100

    release 1.1.2

 configure.in              |    2 +-
 distro/archlinux/PKGBUILD |    2 +-
 distro/ubuntu/build       |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 637c191d190376919631cfbd2398adc05b4a3b75
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 5 13:47:54 2012 +0100

    updated translations (eu, it, ru)

 po/eu.po |  405 ++++++++++++++++++++++++++++++++------------------------------
 po/it.po |  226 ++++++++++++++++++-----------------
 po/ru.po |  218 ++++++++++++++++-----------------
 3 files changed, 432 insertions(+), 417 deletions(-)

commit ed06682bcd7a122b3b4ada110c152ccb3bbd0208
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 5 13:24:04 2012 +0100

    pathbar: remove buttons only if the gone file is below the current
    This should fix once and for all the crashers when ejecting devices
    Patch by Cosimo Cecchi <cosimoc@gnome.org>
    http://git.gnome.org/browse/nautilus/commit/?h=gnome-2-32&id=c3b54e662b52ca15d1dcbe68386b8fa82b12adc5

 src/caja-pathbar.c |   11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit b375acb5643b75e65f2573f686f1ad5ad635726c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 5 13:11:17 2012 +0100

    pathbar: fix crasher when unmounting volumes
    https://bugzilla.gnome.org/show_bug.cgi?id=627901
    http://git.gnome.org/browse/nautilus/commit/?h=gnome-2-32&id=1dc416887bf1e88c4b49bd1ac2101e0fb8460af8

 src/caja-pathbar.c |   22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

commit 63a4ddb0bb1d98b54dd962831e4ca95365bc7123
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 5 13:00:45 2012 +0100

    location-entry: don't treat '~' as a relative path
    Based on a patch by Reed Lipman <rmlipman@gmail.com>
    https://bugzilla.gnome.org/show_bug.cgi?id=628802
    http://git.gnome.org/browse/nautilus/commit/?h=gnome-2-32&id=5e91bd11bea315b258839890a4ccf4d4b1c49a17

 libcaja-private/caja-icon-info.c |    2 +-
 src/caja-location-entry.c        |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 637b3475d9c8b5ff7c4dbf863c9c6b5953a6150b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jan 5 00:07:26 2012 +0100

    applied 96_no-null-in-g-str-hash.patch from ubuntu natty nautilus

 libcaja-private/caja-icon-info.c |    8 ++++++++
 1 file changed, 8 insertions(+)

commit 4a58c31e2fad6731f31c314609dc9d7ec30066d9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 4 21:28:52 2012 +0100

    applied 15_nautilus_file_peek_crash.patch from debian nautilus 2.30.1
    it solves https://bugzilla.gnome.org/show_bug.cgi?id=602500

 libcaja-private/caja-file.c |   13 +++++++++++++
 1 file changed, 13 insertions(+)

commit c514038bc3e83e37a1fb3259a61fa100bc86ba88
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 4 21:03:16 2012 +0100

    updated translations (de, eu)

 po/de.po | 4629 ++++++++++++++++++++++++++++++------------------------------
 po/eu.po | 4781 +++++++++++++++++++++++++++++++++-----------------------------
 2 files changed, 4804 insertions(+), 4606 deletions(-)

commit bd8c97baee24975ad863d86968994e8b92b3f405
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Dec 27 23:02:01 2011 +0100

    fixed about for MATE, use theme icon instead of old nautilus one

 src/caja-window-menus.c |   14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 1bd5f79286dc74de9987f15e17fdb2fcbc49d81a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Dec 27 22:30:31 2011 +0100

    updated it and ru translations (thanks OpenRevan, thanks transifex!)

 po/it.po | 4417 ++++++++++++++++++++++++++++++++------------------------------
 po/ru.po | 4194 +++++++++++++++++++++++++++++++---------------------------
 2 files changed, 4553 insertions(+), 4058 deletions(-)

commit 473ed493eb72fcf0ae0d0a0ca3fce7e83b3aacde
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Dec 26 22:44:59 2011 +0100

    add undo file in POTFILES.in

 po/POTFILES.in |    1 +
 1 file changed, 1 insertion(+)

commit 584a7c426aafaa0df7ecb7ca907726b94c1e65e7
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Dec 26 21:40:05 2011 +0100

    fix some forgotten things

 libcaja-private/caja-file.c              |    2 +-
 libcaja-private/caja-undostack-manager.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 085a8e5bc07254127ab728fc14d64c8245a13575
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Dec 26 20:29:25 2011 +0100

    prepare for 1.1.1 release

 AUTHORS                   |   17 ++++++++++++-----
 configure.in              |    2 +-
 distro/archlinux/PKGBUILD |    2 +-
 distro/ubuntu/build       |    2 +-
 4 files changed, 15 insertions(+), 8 deletions(-)

commit 1ecbd2cd9339b1a13551a945f35b4be05f18cb43
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Dec 26 20:10:02 2011 +0100

    updated UNDO-REDO with nautilus-elementary bzr rev 137

 libcaja-private/caja-undostack-manager.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bd5fd70b498e935886c0325e51b9962a4e8e5c7a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Dec 26 20:05:47 2011 +0100

    updated UNDO-REDO with nautilus-elementary bzr rev 138

 libcaja-private/caja-undostack-manager.c |   88 +++++++++++++++++++++++-------
 1 file changed, 68 insertions(+), 20 deletions(-)

commit cdd4cad2ce3930bf1d484ab12371a5d6a354ea00
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Dec 26 19:52:59 2011 +0100

    ported nautilus-elementary UNDO-REDO (bzr rev 60)

 libcaja-private/Makefile.am                 |    2 +
 libcaja-private/caja-file-operations.c      |  137 ++
 libcaja-private/caja-file-private.h         |    2 +
 libcaja-private/caja-file.c                 |   44 +
 libcaja-private/caja-undostack-manager.c    | 1988 +++++++++++++++++++++++++++
 libcaja-private/caja-undostack-manager.h    |  184 +++
 src/caja-shell-ui.xml                       |    4 +-
 src/caja-window-menus.c                     |    4 +
 src/file-manager/caja-directory-view-ui.xml |    4 +
 src/file-manager/fm-actions.h               |    2 +
 src/file-manager/fm-directory-view.c        |  171 +++
 11 files changed, 2541 insertions(+), 1 deletion(-)

commit 390b49cb93699309e1250143e744b2e61ac81cfe
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Dec 9 23:28:13 2011 +0100

    remove autogenerated files

 INSTALL                                      |  365 ------
 aclocal.m4                                   | 1812 --------------------------
 config.sub                                   | 1705 ------------------------
 cut-n-paste-code/Makefile.in                 |  646 ---------
 cut-n-paste-code/libegg/Makefile.in          |  657 ----------
 docs/reference/Makefile.in                   |  646 ---------
 docs/reference/libcaja-extension/Makefile.in |  797 -----------
 gtk-doc.make                                 |  280 ----
 install-sh                                   |  520 --------
 9 files changed, 7428 deletions(-)

commit 9885ec0e487f9a485408de81813a57df23389b58
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Thu Dec 8 22:55:27 2011 -0500

    version updated

 configure.in              |    4 ++--
 distro/archlinux/PKGBUILD |    2 +-
 distro/ubuntu/build       |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 55d22ad6ea2f1fb943794fbc2225e1cc41f9edfc
Author: Perberos <perberos@gmail.com>
Date:   Mon Dec 5 13:08:10 2011 -0300

    removing autogenerated file

 config.guess  | 1501 ---------------------------------------------------------
 config.h.in   |  185 -------
 depcomp       |  630 ------------------------
 missing       |  376 ---------------
 mkinstalldirs |  162 -------
 5 files changed, 2854 deletions(-)

commit 4732ed0c09ee3d96fc8b09b3099a72d6748b86fc
Author: Perberos <perberos@gmail.com>
Date:   Mon Dec 5 13:06:31 2011 -0300

    the ghost of the past

 libnautilus-extension/README |    1 +
 1 file changed, 1 insertion(+)

commit 682347c43d016885ad0abd86a7edaec20d57b044
Author: Perberos <perberos@gmail.com>
Date:   Sun Dec 4 04:25:45 2011 -0300

    wrong translations

 NEWS         | 1712 ----------------------------------------------------------
 po/am.po     |    4 +-
 po/az.po     |    4 +-
 po/bs.po     |    4 +-
 po/ha.po     |    2 +-
 po/ig.po     |    2 +-
 po/li.po     |    4 +-
 po/mi.po     |    2 +-
 po/mn.po     |    4 +-
 po/sr@ije.po |    4 +-
 po/tk.po     |    4 +-
 po/wa.po     |    2 +-
 po/xh.po     |    3 +-
 po/yi.po     |    2 +-
 po/yo.po     |    2 +-
 po/zu.po     |    4 +-
 16 files changed, 23 insertions(+), 1736 deletions(-)

commit 88b35394e2675ffc682ed9cbc66c51b02ae1a2a7
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Fri Dec 2 20:28:37 2011 -0500

    Changed version to 2011.12.01

 configure.in              |    2 +-
 distro/archlinux/PKGBUILD |    2 +-
 distro/ubuntu/build       |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 0e004c696b0e68b2cff37a4c3315b022a35eaf43
Author: Perberos <perberos@gmail.com>
Date:   Thu Dec 1 22:24:23 2011 -0300

    moving from https://github.com/perberos/mate-desktop-environment

 AUTHORS                                            |   60 +
 COPYING                                            |  351 +
 COPYING-DOCS                                       |  355 +
 COPYING.EXTENSIONS                                 |   10 +
 COPYING.LIB                                        |  482 +
 HACKING                                            |   57 +
 INSTALL                                            |  365 +
 MAINTAINERS                                        |   23 +
 Makefile.am                                        |   44 +
 Makefile.shared                                    |    1 +
 NEWS                                               | 1713 +++
 README                                             |   31 +
 README.commits                                     |   68 +
 THANKS                                             |  621 +
 TODO                                               |   19 +
 acconfig.h                                         |   27 +
 aclocal.m4                                         | 1812 +++
 add-include-prefix                                 |    1 +
 autogen.sh                                         |   25 +
 config.guess                                       | 1501 ++
 config.h.in                                        |  185 +
 config.sub                                         | 1705 +++
 configure.in                                       |  483 +
 cut-n-paste-code/Makefile.am                       |    2 +
 cut-n-paste-code/Makefile.in                       |  646 +
 cut-n-paste-code/README                            |   21 +
 cut-n-paste-code/libegg/Makefile.am                |   46 +
 cut-n-paste-code/libegg/Makefile.in                |  657 +
 cut-n-paste-code/libegg/eggdesktopfile.c           | 1477 ++
 cut-n-paste-code/libegg/eggdesktopfile.h           |  166 +
 cut-n-paste-code/libegg/eggsmclient-private.h      |   57 +
 cut-n-paste-code/libegg/eggsmclient-xsmp.c         | 1371 ++
 cut-n-paste-code/libegg/eggsmclient.c              |  602 +
 cut-n-paste-code/libegg/eggsmclient.h              |  123 +
 cut-n-paste-code/libegg/eggtreemultidnd.c          |  415 +
 cut-n-paste-code/libegg/eggtreemultidnd.h          |   78 +
 cut-n-paste-code/libegg/update-from-egg.sh         |   25 +
 data/Makefile.am                                   |   54 +
 data/browser.xml                                   |   76 +
 data/caja-autorun-software.desktop.in.in           |   14 +
 data/caja-browser.desktop.in.in                    |   15 +
 data/caja-computer.desktop.in.in                   |   15 +
 data/caja-extras.placeholder                       |    2 +
 data/caja-file-management-properties.desktop.in.in |   14 +
 data/caja-folder-handler.desktop.in.in             |   15 +
 data/caja-home.desktop.in.in                       |   14 +
 data/caja-suggested.placeholder                    |    2 +
 data/caja.desktop.in.in                            |   17 +
 data/caja.xml.in                                   |    8 +
 data/icons/Makefile.am                             |   86 +
 data/icons/hicolor_apps_16x16_caja.png             |  Bin 0 -> 874 bytes
 data/icons/hicolor_apps_16x16_caja.svg             |  262 +
 data/icons/hicolor_apps_22x22_caja.png             |  Bin 0 -> 1270 bytes
 data/icons/hicolor_apps_22x22_caja.svg             |  323 +
 data/icons/hicolor_apps_24x24_caja.png             |  Bin 0 -> 1310 bytes
 data/icons/hicolor_apps_32x32_caja.png             |  Bin 0 -> 2345 bytes
 data/icons/hicolor_apps_32x32_caja.svg             |  314 +
 data/icons/hicolor_apps_scalable_caja.svg          |  275 +
 data/icons/hicolor_emblems_16x16_emblem-note.png   |  Bin 0 -> 534 bytes
 data/icons/hicolor_emblems_24x24_emblem-note.png   |  Bin 0 -> 913 bytes
 data/icons/hicolor_emblems_48x48_emblem-note.png   |  Bin 0 -> 2454 bytes
 data/patterns/Makefile.am                          |   39 +
 data/patterns/blue_gray_rough.png                  |  Bin 0 -> 22418 bytes
 data/patterns/blue_ridge.png                       |  Bin 0 -> 263 bytes
 data/patterns/blue_type.png                        |  Bin 0 -> 11060 bytes
 data/patterns/brushed_metal.png                    |  Bin 0 -> 29181 bytes
 data/patterns/burlap.jpg                           |  Bin 0 -> 1611 bytes
 data/patterns/camouflage.png                       |  Bin 0 -> 29561 bytes
 data/patterns/chalk.jpg                            |  Bin 0 -> 821 bytes
 data/patterns/cork.png                             |  Bin 0 -> 20928 bytes
 data/patterns/countertop.png                       |  Bin 0 -> 4787 bytes
 data/patterns/dark-mate.jpg                        |  Bin 0 -> 9877 bytes
 data/patterns/dots.png                             |  Bin 0 -> 922 bytes
 data/patterns/fibers.png                           |  Bin 0 -> 28188 bytes
 data/patterns/fleur_de_lis.png                     |  Bin 0 -> 28890 bytes
 data/patterns/floral.png                           |  Bin 0 -> 73080 bytes
 data/patterns/fossil.png                           |  Bin 0 -> 14478 bytes
 data/patterns/green_weave.png                      |  Bin 0 -> 8088 bytes
 data/patterns/ice.png                              |  Bin 0 -> 19562 bytes
 data/patterns/manila_paper.png                     |  Bin 0 -> 21751 bytes
 data/patterns/mate.jpg                             |  Bin 0 -> 8316 bytes
 data/patterns/moss_ridge.png                       |  Bin 0 -> 274 bytes
 data/patterns/numbers.png                          |  Bin 0 -> 8993 bytes
 data/patterns/ocean_stripes.png                    |  Bin 0 -> 274 bytes
 data/patterns/purple_marble.png                    |  Bin 0 -> 12288 bytes
 data/patterns/reset.png                            |  Bin 0 -> 441 bytes
 data/patterns/ridged_paper.png                     |  Bin 0 -> 10353 bytes
 data/patterns/rough_paper.png                      |  Bin 0 -> 3955 bytes
 data/patterns/sky_ridge.png                        |  Bin 0 -> 264 bytes
 data/patterns/snow_ridge.png                       |  Bin 0 -> 274 bytes
 data/patterns/stucco.jpg                           |  Bin 0 -> 2499 bytes
 data/patterns/terracotta.png                       |  Bin 0 -> 32001 bytes
 data/patterns/wavy_white.png                       |  Bin 0 -> 1522 bytes
 depcomp                                            |  630 +
 distro/archlinux/PKGBUILD                          |   41 +
 distro/archlinux/mate-file-manager.install         |   28 +
 distro/ubuntu/build                                |   36 +
 distro/ubuntu/postinst                             |   15 +
 distro/ubuntu/postrm                               |   10 +
 distro/ubuntu/preinst                              |    8 +
 distro/ubuntu/prerm                                |   11 +
 docs/Makefile.am                                   |   25 +
 docs/architecture.txt                              |  160 +
 docs/caja-connect-server.1                         |   50 +
 docs/caja-file-management-properties.1             |   49 +
 docs/caja-internals.pdf                            |  Bin 0 -> 307912 bytes
 docs/caja-internals.sxw                            |  Bin 0 -> 59282 bytes
 docs/caja-io.txt                                   |  255 +
 docs/caja.1                                        |   77 +
 docs/caja.faq                                      |    7 +
 docs/dnd.txt                                       |   92 +
 docs/key_mouse_navigation.txt                      |  112 +
 docs/load-states.dia                               |  Bin 0 -> 2026 bytes
 docs/recommended-books.html                        |  167 +
 docs/reference/Makefile.am                         |    1 +
 docs/reference/Makefile.in                         |  646 +
 docs/reference/libcaja-extension/Makefile.am       |   84 +
 docs/reference/libcaja-extension/Makefile.in       |  797 ++
 docs/reference/libcaja-extension/html/ch01.html    |   63 +
 docs/reference/libcaja-extension/html/home.png     |  Bin 0 -> 654 bytes
 docs/reference/libcaja-extension/html/index.html   |   66 +
 docs/reference/libcaja-extension/html/index.sgml   |  170 +
 docs/reference/libcaja-extension/html/ix01.html    |  224 +
 docs/reference/libcaja-extension/html/left.png     |  Bin 0 -> 459 bytes
 .../libcaja-extension-caja-column-provider.html    |  117 +
 .../html/libcaja-extension-caja-column.html        |  182 +
 .../libcaja-extension-caja-extension-types.html    |  158 +
 .../html/libcaja-extension-caja-file-info.html     |  643 +
 .../html/libcaja-extension-caja-info-provider.html |  252 +
 ...ja-extension-caja-location-widget-provider.html |  133 +
 .../html/libcaja-extension-caja-menu-provider.html |  267 +
 .../html/libcaja-extension-caja-menu.html          |  473 +
 ...caja-extension-caja-property-page-provider.html |  131 +
 .../html/libcaja-extension-caja-property-page.html |  148 +
 .../html/libcaja-extension.devhelp                 |  118 +
 .../html/libcaja-extension.devhelp2                |  118 +
 docs/reference/libcaja-extension/html/pt01.html    |   68 +
 docs/reference/libcaja-extension/html/right.png    |  Bin 0 -> 472 bytes
 docs/reference/libcaja-extension/html/style.css    |  265 +
 docs/reference/libcaja-extension/html/up.png       |  Bin 0 -> 406 bytes
 .../libcaja-extension/libcaja-extension-docs.xml   |   36 +
 .../libcaja-extension-sections.txt                 |  185 +
 .../libcaja-extension/libcaja-extension.types      |   11 +
 .../tmpl/caja-column-provider.sgml                 |   45 +
 .../libcaja-extension/tmpl/caja-column.sgml        |   76 +
 .../tmpl/caja-extension-types.sgml                 |   78 +
 .../libcaja-extension/tmpl/caja-file-info.sgml     |  257 +
 .../libcaja-extension/tmpl/caja-info-provider.sgml |   80 +
 .../tmpl/caja-location-widget-provider.sgml        |   47 +
 .../libcaja-extension/tmpl/caja-menu-item.sgml     |   22 +
 .../libcaja-extension/tmpl/caja-menu-provider.sgml |   86 +
 .../libcaja-extension/tmpl/caja-menu.sgml          |  208 +
 .../tmpl/caja-property-page-provider.sgml          |   46 +
 .../libcaja-extension/tmpl/caja-property-page.sgml |   60 +
 docs/reference/libcaja-extension/version.xml.in    |    1 +
 docs/smoketests.html                               |  555 +
 docs/state-machines.txt                            |   77 +
 docs/style-guide.html                              |  137 +
 eel/ChangeLog                                      | 9642 +++++++++++++
 eel/Makefile.am                                    |  186 +
 eel/README                                         |    4 +
 eel/check-eel                                      |    3 +
 eel/check-program.c                                |   60 +
 eel/eel-accessibility.c                            |  432 +
 eel/eel-accessibility.h                            |  153 +
 eel/eel-alert-dialog.c                             |  490 +
 eel/eel-alert-dialog.h                             |   60 +
 eel/eel-art-extensions.c                           |  321 +
 eel/eel-art-extensions.h                           |  120 +
 eel/eel-art-gtk-extensions.c                       |  346 +
 eel/eel-art-gtk-extensions.h                       |   74 +
 eel/eel-background-box.c                           |   70 +
 eel/eel-background-box.h                           |   71 +
 eel/eel-background.c                               | 1273 ++
 eel/eel-background.h                               |  162 +
 eel/eel-canvas-rect-ellipse.c                      | 1550 +++
 eel/eel-canvas-rect-ellipse.h                      |  184 +
 eel/eel-canvas-util.c                              |  426 +
 eel/eel-canvas-util.h                              |  110 +
 eel/eel-canvas.c                                   | 4213 ++++++
 eel/eel-canvas.h                                   |  545 +
 eel/eel-debug-drawing.c                            |  566 +
 eel/eel-debug-drawing.h                            |   72 +
 eel/eel-debug.c                                    |  135 +
 eel/eel-debug.h                                    |   52 +
 eel/eel-editable-label.c                           | 4402 ++++++
 eel/eel-editable-label.h                           |  145 +
 eel/eel-enumeration.c                              |  555 +
 eel/eel-enumeration.h                              |   63 +
 eel/eel-gdk-extensions.c                           |  971 ++
 eel/eel-gdk-extensions.h                           |  164 +
 eel/eel-gdk-pixbuf-extensions.c                    | 1510 ++
 eel/eel-gdk-pixbuf-extensions.h                    |  162 +
 eel/eel-glib-extensions.c                          | 1231 ++
 eel/eel-glib-extensions.h                          |  128 +
 eel/eel-graphic-effects.c                          |  421 +
 eel/eel-graphic-effects.h                          |   66 +
 eel/eel-gtk-container.c                            |  225 +
 eel/eel-gtk-container.h                            |   47 +
 eel/eel-gtk-extensions.c                           | 1247 ++
 eel/eel-gtk-extensions.h                           |  141 +
 eel/eel-gtk-macros.h                               |  178 +
 eel/eel-i18n.c                                     |   52 +
 eel/eel-i18n.h                                     |   55 +
 eel/eel-image-table.c                              |  601 +
 eel/eel-image-table.h                              |   99 +
 eel/eel-labeled-image.c                            | 2493 ++++
 eel/eel-labeled-image.h                            |  166 +
 eel/eel-lib-self-check-functions.c                 |   38 +
 eel/eel-lib-self-check-functions.h                 |   53 +
 eel/eel-mate-extensions.c                          |  221 +
 eel/eel-mate-extensions.h                          |   44 +
 eel/eel-mateconf-extensions.c                      |  687 +
 eel/eel-mateconf-extensions.h                      |   78 +
 eel/eel-pango-extensions.c                         |  615 +
 eel/eel-pango-extensions.h                         |   55 +
 eel/eel-preferences-builder.c                      |  646 +
 eel/eel-preferences.c                              | 1764 +++
 eel/eel-preferences.h                              |  165 +
 eel/eel-self-checks.c                              |  237 +
 eel/eel-self-checks.h                              |  101 +
 eel/eel-stock-dialogs.c                            |  588 +
 eel/eel-stock-dialogs.h                            |   91 +
 eel/eel-string.c                                   | 1275 ++
 eel/eel-string.h                                   |  122 +
 eel/eel-types.c                                    |   82 +
 eel/eel-types.h                                    |   32 +
 eel/eel-vfs-extensions.c                           |  187 +
 eel/eel-vfs-extensions.h                           |   59 +
 eel/eel-wrap-table.c                               | 1108 ++
 eel/eel-wrap-table.h                               |  108 +
 eel/eel-xml-extensions.c                           |  199 +
 eel/eel-xml-extensions.h                           |   49 +
 eel/eel.h                                          |   53 +
 eel/eelmarshal.list                                |   13 +
 eel/makeenums.pl                                   |  220 +
 eel/maketypes.awk                                  |  155 +
 gtk-doc.make                                       |  280 +
 icons/Makefile.am                                  |   16 +
 icons/audio.svg                                    |   43 +
 icons/backgrounds.png                              |  Bin 0 -> 3735 bytes
 icons/chit_frame.png                               |  Bin 0 -> 751 bytes
 icons/colors.png                                   |  Bin 0 -> 3115 bytes
 icons/emblems.png                                  |  Bin 0 -> 3122 bytes
 icons/erase.png                                    |  Bin 0 -> 3441 bytes
 icons/knob.png                                     |  Bin 0 -> 206 bytes
 icons/thumbnail_frame.png                          |  Bin 0 -> 482 bytes
 install-sh                                         |  520 +
 libcaja-extension/Makefile.am                      |   89 +
 libcaja-extension/caja-column-provider.c           |   74 +
 libcaja-extension/caja-column-provider.h           |   65 +
 libcaja-extension/caja-column.c                    |  240 +
 libcaja-extension/caja-column.h                    |   77 +
 libcaja-extension/caja-extension-i18n.h            |   24 +
 libcaja-extension/caja-extension-private.h         |   39 +
 libcaja-extension/caja-extension-types.c           |   59 +
 libcaja-extension/caja-extension-types.h           |   72 +
 libcaja-extension/caja-file-info.c                 |  308 +
 libcaja-extension/caja-file-info.h                 |  140 +
 libcaja-extension/caja-info-provider.c             |  122 +
 libcaja-extension/caja-info-provider.h             |   87 +
 libcaja-extension/caja-location-widget-provider.c  |   74 +
 libcaja-extension/caja-location-widget-provider.h  |   69 +
 libcaja-extension/caja-menu-item.c                 |  342 +
 libcaja-extension/caja-menu-item.h                 |   30 +
 libcaja-extension/caja-menu-provider.c             |  143 +
 libcaja-extension/caja-menu-provider.h             |   85 +
 libcaja-extension/caja-menu.c                      |  112 +
 libcaja-extension/caja-menu.h                      |  125 +
 libcaja-extension/caja-property-page-provider.c    |   89 +
 libcaja-extension/caja-property-page-provider.h    |   68 +
 libcaja-extension/caja-property-page.c             |  246 +
 libcaja-extension/caja-property-page.h             |   74 +
 .../libcaja-extension-uninstalled.pc.in            |   12 +
 libcaja-extension/libcaja-extension.pc.in          |   12 +
 libcaja-private/Makefile.am                        |  246 +
 libcaja-private/README                             |   13 +
 libcaja-private/apps_caja_preferences.schemas.in   | 1205 ++
 libcaja-private/caja-autorun.c                     | 1434 ++
 libcaja-private/caja-autorun.h                     |   81 +
 libcaja-private/caja-bookmark.c                    |  672 +
 libcaja-private/caja-bookmark.h                    |  100 +
 libcaja-private/caja-cell-renderer-pixbuf-emblem.c |  519 +
 libcaja-private/caja-cell-renderer-pixbuf-emblem.h |   68 +
 .../caja-cell-renderer-text-ellipsized.c           |   80 +
 .../caja-cell-renderer-text-ellipsized.h           |   61 +
 libcaja-private/caja-clipboard-monitor.c           |  338 +
 libcaja-private/caja-clipboard-monitor.h           |   85 +
 libcaja-private/caja-clipboard.c                   |  692 +
 libcaja-private/caja-clipboard.h                   |   54 +
 libcaja-private/caja-column-chooser.c              |  670 +
 libcaja-private/caja-column-chooser.h              |   69 +
 libcaja-private/caja-column-utilities.c            |  327 +
 libcaja-private/caja-column-utilities.h            |   41 +
 libcaja-private/caja-customization-data.c          |  498 +
 libcaja-private/caja-customization-data.h          |   68 +
 libcaja-private/caja-debug-log.c                   |  760 +
 libcaja-private/caja-debug-log.h                   |   58 +
 libcaja-private/caja-default-file-icon.c           |  537 +
 libcaja-private/caja-default-file-icon.h           |   32 +
 libcaja-private/caja-desktop-directory-file.c      |  731 +
 libcaja-private/caja-desktop-directory-file.h      |   68 +
 libcaja-private/caja-desktop-directory.c           |  560 +
 libcaja-private/caja-desktop-directory.h           |   61 +
 libcaja-private/caja-desktop-icon-file.c           |  410 +
 libcaja-private/caja-desktop-icon-file.h           |   64 +
 libcaja-private/caja-desktop-link-monitor.c        |  575 +
 libcaja-private/caja-desktop-link-monitor.h        |   67 +
 libcaja-private/caja-desktop-link.c                |  479 +
 libcaja-private/caja-desktop-link.h                |   84 +
 libcaja-private/caja-directory-async.c             | 5410 ++++++++
 libcaja-private/caja-directory-background.c        |  731 +
 libcaja-private/caja-directory-background.h        |   36 +
 libcaja-private/caja-directory-notify.h            |   74 +
 libcaja-private/caja-directory-private.h           |  249 +
 libcaja-private/caja-directory.c                   | 2004 +++
 libcaja-private/caja-directory.h                   |  244 +
 libcaja-private/caja-dnd.c                         | 1446 ++
 libcaja-private/caja-dnd.h                         |  200 +
 libcaja-private/caja-emblem-utils.c                |  511 +
 libcaja-private/caja-emblem-utils.h                |   53 +
 libcaja-private/caja-entry.c                       |  442 +
 libcaja-private/caja-entry.h                       |   78 +
 libcaja-private/caja-file-attributes.h             |   47 +
 libcaja-private/caja-file-changes-queue.c          |  475 +
 libcaja-private/caja-file-changes-queue.h          |   42 +
 libcaja-private/caja-file-conflict-dialog.c        |  670 +
 libcaja-private/caja-file-conflict-dialog.h        |   80 +
 libcaja-private/caja-file-dnd.c                    |  186 +
 libcaja-private/caja-file-dnd.h                    |   44 +
 libcaja-private/caja-file-operations.c             | 6469 +++++++++
 libcaja-private/caja-file-operations.h             |  142 +
 libcaja-private/caja-file-private.h                |  316 +
 libcaja-private/caja-file-queue.c                  |  133 +
 libcaja-private/caja-file-queue.h                  |   52 +
 libcaja-private/caja-file-utilities.c              | 1449 ++
 libcaja-private/caja-file-utilities.h              |  111 +
 libcaja-private/caja-file.c                        | 8411 +++++++++++
 libcaja-private/caja-file.h                        |  590 +
 libcaja-private/caja-global-preferences.c          |  954 ++
 libcaja-private/caja-global-preferences.h          |  242 +
 libcaja-private/caja-horizontal-splitter.c         |  307 +
 libcaja-private/caja-horizontal-splitter.h         |   76 +
 libcaja-private/caja-icon-canvas-item.c            | 3874 ++++++
 libcaja-private/caja-icon-canvas-item.h            |  123 +
 libcaja-private/caja-icon-container.c              |10612 ++++++++++++++
 libcaja-private/caja-icon-container.h              |  371 +
 libcaja-private/caja-icon-dnd.c                    | 2123 +++
 libcaja-private/caja-icon-dnd.h                    |   63 +
 libcaja-private/caja-icon-info.c                   |  751 +
 libcaja-private/caja-icon-info.h                   |   99 +
 libcaja-private/caja-icon-names.h                  |   30 +
 libcaja-private/caja-icon-private.h                |  336 +
 libcaja-private/caja-idle-queue.c                  |  156 +
 libcaja-private/caja-idle-queue.h                  |   49 +
 libcaja-private/caja-iso9660.h                     |  110 +
 libcaja-private/caja-keep-last-vertical-box.c      |  166 +
 libcaja-private/caja-keep-last-vertical-box.h      |   59 +
 libcaja-private/caja-lib-self-check-functions.c    |   38 +
 libcaja-private/caja-lib-self-check-functions.h    |   50 +
 libcaja-private/caja-link.c                        |  642 +
 libcaja-private/caja-link.h                        |   54 +
 libcaja-private/caja-marshal.c                     |    2 +
 libcaja-private/caja-marshal.list                  |   23 +
 libcaja-private/caja-merged-directory.c            |  735 +
 libcaja-private/caja-merged-directory.h            |   69 +
 libcaja-private/caja-metadata.c                    |   80 +
 libcaja-private/caja-metadata.h                    |   82 +
 libcaja-private/caja-mime-actions.c                | 2597 ++++
 libcaja-private/caja-mime-actions.h                |   62 +
 libcaja-private/caja-mime-application-chooser.c    |  746 +
 libcaja-private/caja-mime-application-chooser.h    |   57 +
 libcaja-private/caja-module.c                      |  293 +
 libcaja-private/caja-module.h                      |   46 +
 libcaja-private/caja-monitor.c                     |  157 +
 libcaja-private/caja-monitor.h                     |   38 +
 libcaja-private/caja-open-with-dialog.c            | 1183 ++
 libcaja-private/caja-open-with-dialog.h            |   66 +
 libcaja-private/caja-program-choosing.c            |  509 +
 libcaja-private/caja-program-choosing.h            |   57 +
 libcaja-private/caja-progress-info.c               |  930 ++
 libcaja-private/caja-progress-info.h               |   85 +
 libcaja-private/caja-query.c                       |  395 +
 libcaja-private/caja-query.h                       |   68 +
 libcaja-private/caja-recent.c                      |   80 +
 libcaja-private/caja-recent.h                      |   13 +
 libcaja-private/caja-saved-search-file.c           |   49 +
 libcaja-private/caja-saved-search-file.h           |   58 +
 libcaja-private/caja-search-directory-file.c       |  260 +
 libcaja-private/caja-search-directory-file.h       |   59 +
 libcaja-private/caja-search-directory.c            |  934 ++
 libcaja-private/caja-search-directory.h            |   73 +
 libcaja-private/caja-search-engine-beagle.c        |  443 +
 libcaja-private/caja-search-engine-beagle.h        |   53 +
 libcaja-private/caja-search-engine-simple.c        |  464 +
 libcaja-private/caja-search-engine-simple.h        |   53 +
 libcaja-private/caja-search-engine-tracker.c       |  580 +
 libcaja-private/caja-search-engine-tracker.h       |   53 +
 libcaja-private/caja-search-engine.c               |  216 +
 libcaja-private/caja-search-engine.h               |   77 +
 libcaja-private/caja-sidebar-provider.c            |   74 +
 libcaja-private/caja-sidebar-provider.h            |   61 +
 libcaja-private/caja-sidebar.c                     |  128 +
 libcaja-private/caja-sidebar.h                     |   84 +
 libcaja-private/caja-signaller.c                   |  115 +
 libcaja-private/caja-signaller.h                   |   46 +
 libcaja-private/caja-thumbnails.c                  | 1084 ++
 libcaja-private/caja-thumbnails.h                  |   80 +
 libcaja-private/caja-trash-monitor.c               |  250 +
 libcaja-private/caja-trash-monitor.h               |   70 +
 libcaja-private/caja-tree-view-drag-dest.c         | 1306 ++
 libcaja-private/caja-tree-view-drag-dest.h         |  106 +
 libcaja-private/caja-ui-utilities.c                |  256 +
 libcaja-private/caja-ui-utilities.h                |   43 +
 libcaja-private/caja-undo-manager.c                |  320 +
 libcaja-private/caja-undo-manager.h                |   82 +
 libcaja-private/caja-undo-private.h                |   36 +
 libcaja-private/caja-undo-signal-handlers.c        |  345 +
 libcaja-private/caja-undo-signal-handlers.h        |   37 +
 libcaja-private/caja-undo-transaction.c            |  343 +
 libcaja-private/caja-undo-transaction.h            |   80 +
 libcaja-private/caja-undo.c                        |  218 +
 libcaja-private/caja-undo.h                        |   77 +
 libcaja-private/caja-users-groups-cache.c          |  295 +
 libcaja-private/caja-users-groups-cache.h          |   34 +
 libcaja-private/caja-vfs-directory.c               |  170 +
 libcaja-private/caja-vfs-directory.h               |   57 +
 libcaja-private/caja-vfs-file.c                    |  781 ++
 libcaja-private/caja-vfs-file.h                    |   57 +
 libcaja-private/caja-view-factory.c                |  126 +
 libcaja-private/caja-view-factory.h                |   75 +
 libcaja-private/caja-view.c                        |  330 +
 libcaja-private/caja-view.h                        |  193 +
 libcaja-private/caja-window-info.c                 |  291 +
 libcaja-private/caja-window-info.h                 |  189 +
 libcaja-private/caja-window-slot-info.c            |  157 +
 libcaja-private/caja-window-slot-info.h            |   97 +
 ltmain.sh                                          | 9655 +++++++++++++
 m4/gtk-doc.m4                                      |   67 +
 m4/intltool.m4                                     |  216 +
 m4/libtool.m4                                      | 7982 +++++++++++
 m4/ltoptions.m4                                    |  384 +
 m4/ltsugar.m4                                      |  123 +
 m4/ltversion.m4                                    |   23 +
 m4/lt~obsolete.m4                                  |   98 +
 missing                                            |  376 +
 mkinstalldirs                                      |  162 +
 po/ChangeLog                                       |14540 ++++++++++++++++++++
 po/LINGUAS                                         |  111 +
 po/POTFILES.in                                     |  116 +
 po/POTFILES.skip                                   |   10 +
 po/af.po                                           | 9108 ++++++++++++
 po/am.po                                           | 6957 ++++++++++
 po/ar.po                                           | 7816 +++++++++++
 po/as.po                                           | 7860 +++++++++++
 po/ast.po                                          | 7372 ++++++++++
 po/az.po                                           | 6869 +++++++++
 po/be.po                                           | 7584 ++++++++++
 po/be@latin.po                                     | 6875 +++++++++
 po/bg.po                                           | 7634 ++++++++++
 po/bn.po                                           | 7490 ++++++++++
 po/bn_IN.po                                        | 7456 ++++++++++
 po/br.po                                           | 6898 ++++++++++
 po/bs.po                                           | 7124 ++++++++++
 po/ca.po                                           | 8182 +++++++++++
 po/ca@valencia.po                                  | 7992 +++++++++++
 po/crh.po                                          | 9240 +++++++++++++
 po/cs.po                                           | 7499 ++++++++++
 po/cy.po                                           | 8976 ++++++++++++
 po/da.po                                           | 7982 +++++++++++
 po/de.po                                           | 8137 +++++++++++
 po/dz.po                                           | 6901 ++++++++++
 po/el.po                                           | 7334 ++++++++++
 po/en@shaw.po                                      | 7478 ++++++++++
 po/en_CA.po                                        | 6248 +++++++++
 po/en_GB.po                                        | 8484 ++++++++++++
 po/eo.po                                           | 7520 ++++++++++
 po/es.po                                           | 8824 ++++++++++++
 po/et.po                                           | 5838 ++++++++
 po/eu.po                                           | 7729 +++++++++++
 po/fa.po                                           | 8218 +++++++++++
 po/fi.po                                           | 7706 +++++++++++
 po/fr.po                                           | 7733 +++++++++++
 po/fur.po                                          | 6349 +++++++++
 po/fy.po                                           | 6980 ++++++++++
 po/ga.po                                           | 7167 ++++++++++
 po/gl.po                                           | 7732 +++++++++++
 po/gu.po                                           | 7335 ++++++++++
 po/gv.po                                           | 7811 +++++++++++
 po/ha.po                                           | 8321 +++++++++++
 po/he.po                                           | 9223 +++++++++++++
 po/hi.po                                           | 7304 ++++++++++
 po/hr.po                                           | 7061 ++++++++++
 po/hu.po                                           | 7616 ++++++++++
 po/hy.po                                           | 5520 ++++++++
 po/id.po                                           | 7621 ++++++++++
 po/ig.po                                           | 8168 +++++++++++
 po/io.po                                           | 5852 ++++++++
 po/is.po                                           | 7393 ++++++++++
 po/it.po                                           | 7905 +++++++++++
 po/ja.po                                           | 7627 ++++++++++
 po/ka.po                                           | 6894 ++++++++++
 po/kk.po                                           | 7335 ++++++++++
 po/km.po                                           | 5533 ++++++++
 po/kn.po                                           | 7606 ++++++++++
 po/ko.po                                           | 7418 ++++++++++
 po/ku.po                                           | 6232 +++++++++
 po/li.po                                           | 8928 ++++++++++++
 po/lt.po                                           | 7826 +++++++++++
 po/lv.po                                           | 7695 +++++++++++
 po/mai.po                                          | 6627 +++++++++
 po/mg.po                                           | 5752 ++++++++
 po/mi.po                                           | 6017 ++++++++
 po/mk.po                                           | 7830 +++++++++++
 po/ml.po                                           | 7351 ++++++++++
 po/mn.po                                           | 7140 ++++++++++
 po/mr.po                                           | 7321 ++++++++++
 po/ms.po                                           | 8896 ++++++++++++
 po/nb.po                                           | 7519 ++++++++++
 po/nds.po                                          | 6746 +++++++++
 po/ne.po                                           | 6235 +++++++++
 po/nl.po                                           | 8497 ++++++++++++
 po/nn.po                                           | 8891 ++++++++++++
 po/nso.po                                          | 9291 +++++++++++++
 po/oc.po                                           | 7903 +++++++++++
 po/or.po                                           | 7378 ++++++++++
 po/pa.po                                           | 7988 +++++++++++
 po/pl.po                                           | 7675 +++++++++++
 po/ps.po                                           | 6634 +++++++++
 po/pt.po                                           |10496 ++++++++++++++
 po/pt_BR.po                                        | 8162 +++++++++++
 po/ro.po                                           | 7815 +++++++++++
 po/ru.po                                           | 7688 +++++++++++
 po/rw.po                                           | 7205 ++++++++++
 po/si.po                                           | 5962 ++++++++
 po/sk.po                                           | 6909 ++++++++++
 po/sl.po                                           | 7512 ++++++++++
 po/sq.po                                           | 7075 ++++++++++
 po/sr.po                                           | 8059 +++++++++++
 po/sr@ije.po                                       | 7459 ++++++++++
 po/sr@latin.po                                     | 8059 +++++++++++
 po/sv.po                                           | 7095 ++++++++++
 po/ta.po                                           | 6616 +++++++++
 po/te.po                                           | 7137 ++++++++++
 po/th.po                                           | 7388 ++++++++++
 po/tk.po                                           | 6623 +++++++++
 po/tr.po                                           | 8164 +++++++++++
 po/ug.po                                           | 7378 ++++++++++
 po/uk.po                                           | 7488 ++++++++++
 po/uz.po                                           | 6214 +++++++++
 po/uz@cyrillic.po                                  | 6214 +++++++++
 po/vi.po                                           | 6265 +++++++++
 po/wa.po                                           | 7277 ++++++++++
 po/xh.po                                           | 6776 +++++++++
 po/yi.po                                           | 5857 ++++++++
 po/yo.po                                           | 8147 +++++++++++
 po/zh_CN.po                                        | 7439 ++++++++++
 po/zh_HK.po                                        | 8114 +++++++++++
 po/zh_TW.po                                        | 8240 +++++++++++
 po/zu.po                                           | 6638 +++++++++
 src/Makefile.am                                    |  197 +
 src/caja-actions.h                                 |   56 +
 src/caja-application.c                             | 2338 ++++
 src/caja-application.h                             |  117 +
 src/caja-autorun-software.c                        |  316 +
 src/caja-bookmark-list.c                           |  775 ++
 src/caja-bookmark-list.h                           |   87 +
 src/caja-bookmarks-window.c                        | 1112 ++
 src/caja-bookmarks-window.h                        |   39 +
 src/caja-bookmarks-window.ui                       |  370 +
 src/caja-connect-server-dialog-main.c              |  235 +
 src/caja-connect-server-dialog-nonmain.c           |   59 +
 src/caja-connect-server-dialog.c                   | 1075 ++
 src/caja-connect-server-dialog.h                   |   61 +
 src/caja-convert-metadata.c                        |  492 +
 src/caja-desktop-window.c                          |  277 +
 src/caja-desktop-window.h                          |   66 +
 src/caja-emblem-sidebar.c                          | 1174 ++
 src/caja-emblem-sidebar.h                          |   63 +
 src/caja-file-management-properties-main.c         |   64 +
 src/caja-file-management-properties.c              |  891 ++
 src/caja-file-management-properties.h              |   41 +
 src/caja-file-management-properties.ui             | 3080 +++++
 src/caja-history-sidebar.c                         |  423 +
 src/caja-history-sidebar.h                         |   50 +
 src/caja-image-properties-page.c                   |  745 +
 src/caja-image-properties-page.h                   |   57 +
 src/caja-information-panel.c                       | 1271 ++
 src/caja-information-panel.h                       |   66 +
 src/caja-location-bar.c                            |  617 +
 src/caja-location-bar.h                            |   70 +
 src/caja-location-dialog.c                         |  275 +
 src/caja-location-dialog.h                         |   55 +
 src/caja-location-entry.c                          |  485 +
 src/caja-location-entry.h                          |   72 +
 src/caja-main.c                                    |  590 +
 src/caja-main.h                                    |   37 +
 src/caja-navigation-action.c                       |  381 +
 src/caja-navigation-action.h                       |   68 +
 src/caja-navigation-bar.c                          |  170 +
 src/caja-navigation-bar.h                          |   77 +
 src/caja-navigation-window-menus.c                 | 1099 ++
 src/caja-navigation-window-pane.c                  |  946 ++
 src/caja-navigation-window-pane.h                  |   92 +
 src/caja-navigation-window-slot.c                  |  241 +
 src/caja-navigation-window-slot.h                  |   78 +
 src/caja-navigation-window-ui.xml                  |   77 +
 src/caja-navigation-window.c                       | 1426 ++
 src/caja-navigation-window.h                       |  119 +
 src/caja-notebook.c                                |  570 +
 src/caja-notebook.h                                |   99 +
 src/caja-notes-viewer.c                            |  535 +
 src/caja-notes-viewer.h                            |   50 +
 src/caja-pathbar.c                                 | 2165 +++
 src/caja-pathbar.h                                 |   90 +
 src/caja-places-sidebar.c                          | 3092 +++++
 src/caja-places-sidebar.h                          |   49 +
 src/caja-property-browser.c                        | 2492 ++++
 src/caja-property-browser.h                        |   71 +
 src/caja-query-editor.c                            | 1397 ++
 src/caja-query-editor.h                            |   81 +
 src/caja-search-bar.c                              |  256 +
 src/caja-search-bar.h                              |   68 +
 src/caja-self-check-functions.c                    |   40 +
 src/caja-self-check-functions.h                    |   47 +
 src/caja-shell-ui.xml                              |   87 +
 src/caja-side-pane.c                               |  675 +
 src/caja-side-pane.h                               |   82 +
 src/caja-sidebar-title.c                           |  732 +
 src/caja-sidebar-title.h                           |   76 +
 src/caja-spatial-window-ui.xml                     |   29 +
 src/caja-spatial-window.c                          | 1209 ++
 src/caja-spatial-window.h                          |   71 +
 src/caja-trash-bar.c                               |  236 +
 src/caja-trash-bar.h                               |   64 +
 src/caja-view-as-action.c                          |  288 +
 src/caja-view-as-action.h                          |   57 +
 src/caja-window-bookmarks.c                        |  295 +
 src/caja-window-bookmarks.h                        |   37 +
 src/caja-window-manage-views.c                     | 2337 ++++
 src/caja-window-manage-views.h                     |   49 +
 src/caja-window-menus.c                            | 1163 ++
 src/caja-window-pane.c                             |  305 +
 src/caja-window-pane.h                             |   97 +
 src/caja-window-private.h                          |  250 +
 src/caja-window-slot.c                             |  710 +
 src/caja-window-slot.h                             |  186 +
 src/caja-window-toolbars.c                         |  204 +
 src/caja-window.c                                  | 2164 +++
 src/caja-window.h                                  |  164 +
 src/caja-x-content-bar.c                           |  331 +
 src/caja-x-content-bar.h                           |   71 +
 src/caja-zoom-action.c                             |  211 +
 src/caja-zoom-action.h                             |   57 +
 src/caja-zoom-control.c                            |  996 ++
 src/caja-zoom-control.h                            |   91 +
 src/check-caja                                     |    2 +
 src/file-manager/Makefile.am                       |   61 +
 src/file-manager/caja-audio-mime-types.h           |   46 +
 src/file-manager/caja-desktop-icon-view-ui.xml     |   21 +
 src/file-manager/caja-directory-view-ui.xml        |  231 +
 src/file-manager/caja-icon-view-ui.xml             |   56 +
 src/file-manager/caja-list-view-ui.xml             |    9 +
 src/file-manager/fm-actions.h                      |  110 +
 src/file-manager/fm-desktop-icon-view.c            |  881 ++
 src/file-manager/fm-desktop-icon-view.h            |   60 +
 src/file-manager/fm-directory-view.c               |10936 +++++++++++++++
 src/file-manager/fm-directory-view.h               |  495 +
 src/file-manager/fm-ditem-page.c                   |  563 +
 src/file-manager/fm-ditem-page.h                   |   51 +
 src/file-manager/fm-empty-view.c                   |  412 +
 src/file-manager/fm-empty-view.h                   |   60 +
 src/file-manager/fm-error-reporting.c              |  380 +
 src/file-manager/fm-error-reporting.h              |   55 +
 src/file-manager/fm-icon-container.c               |  625 +
 src/file-manager/fm-icon-container.h               |   68 +
 src/file-manager/fm-icon-view.c                    | 3439 +++++
 src/file-manager/fm-icon-view.h                    |  135 +
 src/file-manager/fm-list-model.c                   | 1882 +++
 src/file-manager/fm-list-model.h                   |  148 +
 src/file-manager/fm-list-view-private.h            |   43 +
 src/file-manager/fm-list-view.c                    | 3415 +++++
 src/file-manager/fm-list-view.h                    |   63 +
 src/file-manager/fm-properties-window.c            | 5835 ++++++++
 src/file-manager/fm-properties-window.h            |   69 +
 src/file-manager/fm-tree-model.c                   | 2152 +++
 src/file-manager/fm-tree-model.h                   |  104 +
 src/file-manager/fm-tree-view.c                    | 1814 +++
 src/file-manager/fm-tree-view.h                    |   65 +
 src/mate-network-scheme.desktop.in                 |   11 +
 test/Makefile.am                                   |   46 +
 test/test-caja-directory-async.c                   |  104 +
 test/test-caja-search-engine.c                     |   58 +
 test/test-caja-wrap-table.c                        |   96 +
 test/test-copy.c                                   |   93 +
 test/test-eel-background.c                         |   38 +
 test/test-eel-editable-label.c                     |   58 +
 test/test-eel-image-scrolled.c                     |  187 +
 test/test-eel-image-table.c                        |  304 +
 test/test-eel-labeled-image.c                      |   79 +
 test/test-eel-pixbuf-scale.c                       |   83 +
 test/test.c                                        |  152 +
 test/test.h                                        |   38 +
 703 files changed, 1088094 insertions(+)
